commit 1e76bf48e3f0ef419cf1ca55c9d1d3fe4d0e099d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 18:51:09 2010 +0100

    makefile: another Xcode4 fix

commit 29966630ec0423422503f10f8e7ef687abd7d80d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 18:16:09 2010 +0100

    contribs: fixed installation of this stupid library

commit 029de0a493f79ae7ca15bf205967091f8e938f2b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 18:03:04 2010 +0100

    contribs: removed cmake from Mac distro files again
    
    This should be installed locally as it can't be crosscompiled. Recommendation: Homebrew

commit 5eb8777f896104264b0d6ca5d3e7ca34bd24bc2e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 16:42:22 2010 +0100

    stream_filter/httplive.c: cleanup hls_Thread()
    
    Cleanup hls_Thread().

commit 1ca77e878d37cd54724f71f452f7313a1be10fe8
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 16:20:13 2010 +0100

    stream_filter/httplive.c: only check p_sys->playlist.wakeup for live streams
    
    Check only for live streams the member p_sys->playlist.wakeup.

commit 9994020808c74044174d589418db790b41e00f0d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 15:40:55 2010 +0100

    stream_filter/httplive.c: Cleanup hls_thread_t and stream_sys_t structs.
    
    Cleanup hls_thread_t and stream_sys_t structs:
    - duplicate members
    - rename hls_playlist_t to hls_playlist_s
    - move download members to stream_sys_t inside a hls_download_s struct
    - check for p_sys->thread is no longer needed in segment_Seek()

commit c407725c0a6dd217458cb59bad342c4c02e20420
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 15:31:49 2010 +0100

    stream_filter/httplive.c: reloading playlist check before download segments
    
    Rearrange hls_Thread logic with live playback in mind. In case all segments have been
    downloaded, then make sure that reloading the playlist file happens before downloading
    the next segment. This is also true when it is time to reload the playlist.

commit a84de9b103ee17e5eda7175f640aca40243ca59f
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 14:10:31 2010 +0100

    stream_filter/httplive.c: sanity checking in GetSegment()
    
    Print a warning if the download segment counter and playback segment counter are
    less then 3 segments apart. Print and error if they are the same.

commit 9dffe0cb327826a501a556f540a59184c39cf901
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 13:30:14 2010 +0100

    stream_filter/httplive.c: cleanup debugging messages
    
    no functional changes

commit 31d95875ea7bd2144a1039b2a7fb3e38042b374a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 11:51:58 2010 +0100

    stream_filter/httplive.c: use segment->sequence number in msg_*
    
    Use the sequence number of the segment in msg_* instead of the array index.

commit fa540df2d12647891c0c2764eb0b78762d2005cf
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 11:33:31 2010 +0100

    stream_filter/httplive.c: cleanup error path
    
    Make error path simpler.

commit 7507a0f70c3ea934889933262a974bd029fa145f
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 31 11:13:57 2010 +0100

    stream_filter/httplive.c: off by one
    
    Matching #EXT-* keywords was off by one for several.

commit f02f6199300f9bec09fec698300df12f5b863fc5
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 29 16:29:16 2010 +0100

    stream_filter/httplive.c: debugging for live streams
    
    Add extensive debugging information for detecting issues in HLS live streams.

commit b73c6998e092380472c6c9d390bc12aabc7ad08c
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 14:30:16 2010 +0100

    stream_filter/httplive.c: Reload M3U8 playlist for live streams
    
    Reload .m3u8 playlist from the server and try merging its result with the current
    available information. The array of segments for the current stream is only appended
    and does currently not shrink. Shrinking the segment list will be dealt with in another patch.

commit fc76ca457c74d2134abcdea10cc397d9ecff61b8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 17:42:26 2010 +0100

    contribs: updated binary package for Mac OS X

commit 9929e5b16fac4fbc5678ba87f02c841056e07fe6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 16:06:26 2010 +0100

    contribs: added another hack to crosscompile this broken library

commit b5ff30806b3b332bcfeb4ddbe58a6419ed58892a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 15:31:15 2010 +0100

    contribs: fixed broken check

commit 10cca3218348f5ee13c7316b35c15cfba5178d6b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 14:08:28 2010 +0100

    contribs: correctly setup cmake toolchain when cross-compiling on Mac OS X
    
    and a few other fixes

commit 0ab5a28a27d319f1ed26b8dffde19f442ab0ee22
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 31 14:04:45 2010 +0100

    contribs: updated cmake to 2.8.3

commit 8beb6e0f0c7235349c0715b8de1d1844b65d9e53
Author: Sébastien Toque <xilasz@gmail.com>
Date:   Thu Dec 30 22:07:16 2010 +0100

    Added 3 settings to projectm module and fix a crash
    
    3 setting to set meshx, meshy and texturesize
    Fixed a crash if there is no available presets
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e71277e8fbd5fcc1c81b69c8de25fb7c56159df2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 24 16:19:07 2010 +0100

    Symbian: modules compilation fix

commit 795d78fccc11545e37b82479e9cf7c22a9cb79d1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 24 15:02:29 2010 +0100

    Symbian: Return 1 as cpu number
    
    TODO: use HAL or another way

commit b048d0aab088e14e22bb76206a2bfe0808d43432
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 23 19:05:55 2010 +0100

    Symbian: fix for PATH_MAX

commit 2cb957df80ebddee5a5094923e951046511a7c7c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 23 18:33:18 2010 +0100

    Symbian: native separator is \\

commit b225dc1390f75fb71581dc96888931899aa98a79
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 23 17:55:22 2010 +0100

    Symbian: no daemon mode

commit 544a92a06c96a960a119db1440778b76b60e21e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 19 02:28:28 2010 +0100

    Symbian: simple configure
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 84e68e25cc2e10bd146e6c450ba5ba88ca1dacf9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 23 17:56:02 2010 +0100

    configure.ac: do not warn against shared if you aren't building VLC

commit f0dfd71b45c7f6b8625841941644a7fdea9fd457
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 30 20:50:30 2010 +0100

    Fix memory leak.

commit 0674cc738c43a1ffa7e48762af84b5321d1663c9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 30 14:52:10 2010 +0100

    contribs: enable cmake for Mac

commit 50e6ae23508177f6df145b2b37d797199aafd264
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 30 14:15:05 2010 +0100

    contribs: updated ffmpeg to HEAD

commit 6568965770f906d34d4aef83237842a5376adb55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 15 00:08:59 2010 +0200

    Real: fix heap buffer overflow (CVE-2010-3907)
    
    Malformatted files may have a zero i_subpackets value. In this case,
    we cannot use the array, but we still have to free it (calloc(0)).
    
    This should fix LP#690173.
    
    Reported-by: Dan Rosenberg <drosenberg@vsecurity.com>

commit 403718957b551c3c27546b7f82b2ae9ba937652f
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Wed Dec 29 20:49:21 2010 +0530

    ML: Use bsearch() instead of reinventing

commit 30834428ddf147f1c102be3559d73ff7e5cfbd0d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 29 15:41:54 2010 +0100

    stream_filter/httplive.c: relative_URI() determine base path of p_sys->m3u8.psz_path
    
    commit-id: 61042012fa846988d7d7c364396478850afedf67 simplified relative_URI()
    a bit too much.

commit e2cac80ee9015cf4aee56950c022013805135def
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 29 15:17:49 2010 +0100

    stream_filter/httplive.c: use check username/password in relative_URI()
    
    If a username and password are suplied, then use it when constructing the
    URI.

commit 60ab123e3ccf9b5432c7e46ef7cc52ce361e71fb
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 29 14:49:55 2010 +0100

    stream_filter/httplive.c: use hls->url.psz_path in relative_URI() for segments.
    
    The function relative_URI() only took the base path from the meta index file into account.
    This caused it to miss subdirectories mentioned in the .m3u8 files referenced from the
    meta index file. Instead of looking at the base of the meta index file it now looks at
    the base path (hls->url.psz_path) from the HLS stream itself for segments.

commit ea09a15047ba67961134f1d82088367de6083575
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 29 00:05:46 2010 +0100

    Fixed VLC.app creation with Xcode 4.2

commit 5a7825ca8ae47062a3299864262dda853856183a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 29 00:03:46 2010 +0100

    lavc implements emu-edge in VP8 now

commit 64f1b9a158a8350c9d1545fdd66c943c89c862bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 28 23:46:42 2010 +0100

    Contribs: build sidplay2 and patch it so it can actually compile

commit d72e2884abe6bd30b5b2b408f309970bb74de4c3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 28 22:02:56 2010 +0100

    contribs: compile ffmpeg.

commit 7998559cf94be7456098f747dc929f182d249de2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 28 21:27:17 2010 +0100

    Contrib: build some libs for android.
    
    A lot of libraries are still missing.

commit ea570fc6b64c114ee5b95ce3cf81d1590042507d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 28 17:36:31 2010 +0100

    Contribs: libjpeg update

commit 311bf8db97758b836da37da1f6824adcea2d4856
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 28 17:32:30 2010 +0100

    Contribs: Minor updates of libxml and libpng

commit 1342283db9b3fb55b8564dd9eab645e363afb038
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 28 17:21:37 2010 +0100

    Contribs: gnutls update to 2.10.4

commit 80bf9fe9a00447930f0cc49231b3b763a56e324d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 28 17:16:59 2010 +0100

    Contribs: update to libogg 1.2.2

commit 30296dcacd8934c05e5542d3218c03693fe8eaa9
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 15:06:04 2010 +0100

    stream_filter/httplive.c: b_cache determined in wrong place
    
    The logic to determine if caching of segments is allowed or denied was flawed. It
    only determined it onces after the playlists were loaded. In case of a meta playlist
    the logic would only indicated the caching value for the last added HLS stream.
    
    The fix is to determine p_sys->b_caching (caching segments allowed or not) when switching
    segments or HLS streams (adaptive bandwidth).

commit 5af85ce47daf121a00eed6ad13d41fc28e21c610
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 13:13:00 2010 +0100

    stream_filter/httplive.c: do not calculate stream size for live streams
    
    It is not possible to calculate a stream size for a live HLS stream.

commit 37164e21de04929d633961c515328cd38e6a29a2
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 12:52:01 2010 +0100

    stream_filter/httplive.c: cleanup parse_StreamInformation()
    
    Cleanup parse_StreamInformation() function.

commit 90c85095d9304426b981949274ae3c4daee6d93e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 12:41:32 2010 +0100

    stream_filter/httplive.c: Do not cache on live playback
    
    Release segments for HLS live streams even when HLS caching is allowed.

commit 6cc64e70e5759d85af49dc5f56ff311c341b9efc
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 14:53:28 2010 +0100

    stream_filter/httplive.c: cleanup stream_sys_t structure
    
    Abstract HLS playback variables into a structure
    
    Conflicts:
    
            modules/stream_filter/httplive.c

commit cb87768b569875c011c58120100095451bb9032c
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 12:30:26 2010 +0100

    stream_filter/httplive.c: Initialize HLS Live stream and abstract HLS playlist variables into a structure
    
    Initialize HLS Live stream and abstract HLS playlist variables into a structure.

commit 78965a9531d7e59170882b681fb51a2c822c8e4d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 28 12:13:31 2010 +0100

    stream_filter/httplive.c: simplify relative_URI() function.
    
    Simplify relative_URI() function.

commit 975eb272acdde0ec89ee1cfa21eaa4fa879ad4e5
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Dec 27 14:21:17 2010 +0100

    stream_filter/httplive.c: download 6 segments from start point
    
    The HLS plugin downloads all segments as fast as possible once started. This is
    not very friendly to HLS servers, because it equals a full download of the movie in one go.
    However by downloading only a certain amount (say 6 segments, which is about 60 seconds usually)
    the load on the server is spread.

commit 7e5cf95b033bf7543fc6a2f200d12c1e8a4a443b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 28 14:21:07 2010 +0100

    Revert "src: fixed 2 errors detected by the clang static analyser"
    
    This reverts commit 0e65dd7707b32d702dcf1f8ad74b641f9b6bb761.

commit ecfb93fb38ffcb6965cd10031ddbb51156412b94
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 4 17:18:20 2010 +0100

    macosx: return a value in a non-void method

commit 0e65dd7707b32d702dcf1f8ad74b641f9b6bb761
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 4 17:17:37 2010 +0100

    src: fixed 2 errors detected by the clang static analyser

commit 44b30a30dd92848c2e4d012782c01da74ee7b3db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 27 14:49:24 2010 +0100

    Mention libVLC improvements in NEWS

commit 7f92a65ed716a69ebf7dc49ddca43bc9e4ad0af0
Author: Rune Botten <rbotten@gmail.com>
Date:   Mon Dec 20 16:11:47 2010 +0100

    Add method for getting stats from VLCMedia
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit fbd6f7c38efeecb2c215dbaaf07b3e076bfb9c2f
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Sun Dec 26 21:07:33 2010 +0000

    Update Blackmagic DeckLink driver to the 7.9 SDK.
    
    From 7.6 to 7.9, the method for setting video modes et al was changed,
    in a way that is neither backwards nor forwards compatible. Even though
    the 7.9 SDK includes some backwards-compatible headers for emulating
    older APIs, they are unfortunately not a drop-in replacement, since they
    add version numbers to struct names et al. Thus, there is no simple method
    of maintaining source-level compatibility with both APIs (even though a
    VLC compiled against the 7.6 SDK most likely would work if moved to a
    machine with 7.9 driver), and given the choice, we should support the
    newest API, as the older SDK isn't even downloadable anymore.
    
    Thus, update unconditionally to the new API, and hope Blackmagic won't
    change things too often in the future.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b562aae175feac0abeb6da0bf3a4d25617ff09d7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 26 14:01:15 2010 +0100

    Qt, sprefs: add dependency of auto-resize, to integration of video in intf

commit cdf00df21af78ff1d6b7277d87bbdf421ff68b50
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 26 13:58:58 2010 +0100

    Qt: add the minimize-on-pause option in the SPrefs...

commit 588c2528c476cd2a249a549c592467cfbae990a2
Author: Jakub Wieczorek <fawek@fawek.net>
Date:   Sat Dec 25 23:08:23 2010 +0100

    Add an option to pause the playback on minimizing the window. http://trac.videolan.org/vlc/ticket/2234
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 627feeb61ad0cf76ec27befe48ebfb68eb68b110
Author: Jakub Wieczorek <fawek@fawek.net>
Date:   Fri Dec 24 19:39:29 2010 +0100

    InputManager: Rename the status property to playingStatus and add a getter.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75a0c9e1e7e5d9fdb6f4fdb993088fb84e38f603
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 23 15:06:56 2010 +0100

    vod: remove useless stuff

commit 02cf4304066825f3e29aaa334280d8f24cf9fe0f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 23 14:45:30 2010 +0100

    Move the Phonon binding away from gitorious

commit a924e4302e23796737c3a41131036aae43dc7ef4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 23 14:22:13 2010 +0100

    Qt: move the playlist button in the main controller

commit 6ef65eaf97a49ad52ac55a6a4d120a5f9014cd64
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 23 14:20:09 2010 +0100

    rtsp: check Range validity before starting to process the request

commit c200ffa3e933b11f0ce2fc54a6c9a5205eac91a6
Author: Jakub Wieczorek <fawek@fawek.net>
Date:   Tue Dec 21 23:25:40 2010 +0100

    Remove the filter patterns in the playlist file dialog from the translatable strings. These shouldn't be translated and malforming them could introduce a functional bug, as it happened in the case of the Spanish translation. http://trac.videolan.org/vlc/ticket/4376
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0782f130b52f15c21b10a84b16f62cd3e9fd59c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 22 19:41:16 2010 +0100

    Qt: messages: Use std button for close button

commit cf6693379fe97500b5f091576e74c23c4308d85c
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 22 09:55:59 2010 +0100

    stream_filter/httplive.c: better wording

commit a2beee05d3a374a79e38d8e6879606c0e5871465
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Dec 20 23:37:20 2010 +0100

    stream_filter/httplive.c: add sanity check
    
    Add sanity check before downloading if measured bandwidth is sufficient to download
    next segment. If not then go into error mode.

commit 2d06277c0e6d22c57469b8c7ce3c569ac6ea3a81
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Dec 20 21:13:35 2010 +0100

    stream_filter/httplive.c: p_sys->segment reset in hls_Thread is not needed.
    
    commit id: 4929a92d makes this code obsolete

commit 4c4ac43110ad6afbd36c7b7bbdb9b92014f5a906
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Dec 20 19:48:37 2010 +0100

    stream_filter/httplive.c: Allow bandwidth adaptation while prefetching.
    
    Allow bandwidth adaptation while prefetching.

commit cc8181c8095d5344b5013bb3418f21781f6a9831
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 17 15:44:42 2010 +0100

    stream_filter/httplive.c: do not seek in last 3 segments of HLS stream
    
    Seeking into the last 3 segments keeps this condition in false state. In this
    case it should turn into true because the last 3 segments have already been downloaded.
    Or the condition should just not be applied.

commit 16591673eef2a15bf0d7f0f57c1192226594ec7e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 17 15:35:28 2010 +0100

    stream_filter/httplive.c: Rename NextSegment() to GetSegment()
    
    The function NextSegment() no longer resembles its name. It does not
    get the next segment. It just gets the segment p_sys->segment from a
    HLS stream (default p_sys->current).
    
    Renamed the function GetSegment() to more resemble its usage.

commit 68f1ff3b4abed6056aa5591f4e28217db1e16588
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 21 09:33:18 2010 +0100

    stream_filter/httplive.c: allow seeking for all segments.
    
    Seeking was only implemented for segments already downloaded. Now seeking
    is also allowed for segments not downloaded.

commit 4030fa3cf9ea3361eefdf08c92d9ad0b2485bc37
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 17 12:22:47 2010 +0100

    stream_filter/httplive.c: seeking improvements
    
    Improve seeking for HLS streams. The seeking is done on a granularity of
    segment->duration.

commit 6991abef61bf44283d5312caebbc57c0b9a7eb1d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 17 10:55:50 2010 +0100

    stream_filter/httplive.c: HLS stream size calculation
    
    The function hls_GetStreamSize() calculates the HLS stream size in bytes, based
    upon information found in the .m3u8 file. The sum of each segment duration
    (in seconds) times bandwith in bytes (hls->bandwidth/8).

commit d1e065b72d63033f1ba0a656edb3e2f2cdff1ba3
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 17 10:53:25 2010 +0100

    stream_filter/httplive.c: rename segment->length to segment->duration
    
    Rename wrongly named segment->length to segment->duration.

commit 04e2e5888b3570c616d28cebe893da3698b6aff5
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 14 20:19:24 2010 +0100

    stream_filter/httplive.c: improve locking of hls stream instances
    
    Make locking more consistent.

commit 86589cdbbcb1b661bf103e7b8fb311968f739658
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed Dec 22 01:35:01 2010 +0300

    Maemo: fix icons paths.

commit 01dbb084e4d7d2b56856d3637aea9c4a9ae26e0a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 22 23:38:44 2010 +0300

    Contrib: point ACLOCAL to appropriate place for tremor.

commit e7e6ff45689e3b1d17e057b1701b72c70af250d2
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 22 23:38:27 2010 +0300

    Codec/vorbis: follow tremor API change.

commit b604f90e0579dfc50f090858754ef8b4f421e501
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Wed Dec 22 00:43:36 2010 +0530

    ML: Fix binary search

commit b74d2d8c4f12f3e4cd6a8f0fd2af76dc77f00bc8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 21 19:51:10 2010 +0100

    Files and paths are not string variables (for Qt)

commit 292e05753096d4649b6217f43f1518b7e9dc8449
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 21 19:37:29 2010 +0100

    Fix segfault in Qt adv_prefs caused by Null text.

commit 3f808957006315d08f2c05ae2ae64212a1a1f0fd
Author: Jakub Wieczorek <fawek@fawek.net>
Date:   Mon Dec 20 09:47:33 2010 +0100

    LibVLC Audio/video filters listing API
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81758ac018435e0919c9b82f52a6a94e672de839
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 20 01:28:29 2010 +0100

    Try to decode WMVP with lavc WMV3's decoder

commit b737cab7f7cd38135f4b11febd88a35fac246ca6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 20 01:18:03 2010 +0100

    Codecs: map G.722 to avcodec decoder
    
    Maybe .au demuxer should be modified accordingly

commit dab0099198a258234d53d4324d896179ec5b1076
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 20 00:31:23 2010 +0100

    Qt, Menu: move "customize interface" near preferences

commit 886d603ed3deab432f826beee9437831c8d67d4e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 20 00:24:56 2010 +0100

    Qt, sprefs: small fix for initial state

commit f5b0dbb496963f2e52b6f5b27f75e5e1c8483a6c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 21:29:37 2010 +0100

    Qt, sprefs: add configuration for OSD Title position

commit cb085c10109344edc2a9c6f7a4f258aadcc77a5b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 20:21:59 2010 +0100

    Qt, sprefs: reorder interface tabulations and widget buddies

commit 4e60dedd06fa5eb3ecb980ed91f476a644ac8c15
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 20:20:23 2010 +0100

    Qt, sprefs: link the systray options together

commit a69e27f67fa4f77d58fd17f03ce158b076a537f1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 00:42:10 2010 +0100

    Broadcom CrystalHD decoder support
    
    This new module works with BCM70015 Crystal HD video decoders
    It handles hardware decoding of H264, VC-1 and mpeg2
    
    So far, it only works on GNU/Linux with the appropriate driver and
    library. Windows version is still limited.
    
    This is the first part, since mpeg4, interlaced and BCM70012 are not
    working yet.

commit d722087d8e5367da64b747bae0f4780ad5fed291
Author: Rune Botten <rbotten@gmail.com>
Date:   Fri Dec 17 22:00:30 2010 +0100

    Method for adding vlc-options to a VLCMedia
    
    --0016e64f6886ef58a30497a17561
    Content-Type: text/plain; charset=ISO-8859-1
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 684d0712dd39cc10ebd1d433382ba25be82ac4e6
Author: Rune Botten <rbotten@gmail.com>
Date:   Fri Dec 17 22:01:11 2010 +0100

    Add more files and folders to gitignore
    
    --00163631086b52edd30497a17858
    Content-Type: text/plain; charset=ISO-8859-1
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit d11ef8dd7065088e416369cd3a274393b73ac634
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 00:08:23 2010 +0100

    Win32: clean the install from libtool and static objects

commit 9aef921398ee70c3e7f1873b5dafbf8eb6cc6c2e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 19 00:07:44 2010 +0100

    Configure: Win32, store the path of peflags, since it will be provided by the contribs

commit e5103010b8aaf7cc09560c11b9afe313b8e5294b
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Sat Dec 18 02:03:07 2010 +0530

    Qt/ML: Configuration dialog for Media Library Directory Monitoring

commit eeddb68f4c7b3e60db74f78f0fa936d74adfe898
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 13:57:48 2010 +0100

    rtsp: return an error when the client tries to seek a broadcast stream

commit 66c6214f24d3f0391e38c837bfa7ad9f73392464
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 12:54:43 2010 +0100

    rtsp: pass proper PLAY requests to VoD
    
    Half of it is still unimplemented, so it's just sweeping under the
    VLM rug

commit 38d2de2c17f568f5543b5affdee8f25ade2aeb7e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 10:38:36 2010 +0100

    rtsp: small simplification

commit 48b9ba2fba09dfa60eef108f68a5fb2377bbdf44
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 09:23:21 2010 +0100

    vod: playing/seeking improvement

commit 7f761a39c29ea4bc9f6c7bac350aff777894cda4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 09:06:49 2010 +0100

    rtsp: don't forget to set ssrc

commit c8d1c51f17b851ca3440ce2a2f96abf3e9d8a0f5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 17 08:12:09 2010 +0100

    vod: support for adding tracks after start-up

commit df805945d60896b8b6e5a27f801948d6b4db8478
Author: Daniel Marth <danielmarth@gmx.at>
Date:   Wed Dec 15 19:19:49 2010 +0100

    URL box is now focussed when "Open Network Stream" dialog box opens.
    
    The URL box in the "Open Network Stream" dialog has now always focus
    when opened and its content is automatically selected.
    The patch is for ticket #4361 and was created as a part of a GCI-task
    (http://www.google-melange.com/gci/task/show/google/gci2010/videolan/t129200306101).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1579921119c69639edac4b7b59830dd06753a4d7
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 15 07:31:24 2010 +0100

    rtsp: track muting support

commit e054f6f0e3aaa3153e7706efca5b8ff36b5dc5ea
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 14 19:40:57 2010 +0200

    qt4: use caching in pictureflow (bring it back)

commit 06b557b9507363e34c28b9eac0d4f0344fa523b1
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 9 17:47:20 2010 +0200

    Qt4: pictureflow, draw album artists/title on flowimage

commit 5c40d8ad4c188c6be5d3fca93d39297f797b1b8f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 9 17:45:21 2010 +0200

    Qt4: use transform in pictureflow to ease up drawing

commit 3ef18d45d0ee371b843658ad0069d44a5a5f3935
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 14 17:34:38 2010 +0100

    rtsp: clean up multicast parameters

commit 8742335988942f661e230cf6cbd9f7f992910d8f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 14 17:11:40 2010 +0100

    rtp sout: refactor muxed case handling
    
    This will allow to clean up multicast parameters

commit 3f9e7e3fa9b95b63acec455febc34fca3ec86b35
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 14 12:10:13 2010 +0100

    Revert "stream_filter/httplive.c: select stream with lowest bandwidth to start playback."
    
    This reverts commit d20cd47813b732bba92eb3d2663f13aa89108576.
    
    Conflicts:
    
            modules/stream_filter/httplive.c

commit c44a8218833415bb456a9c708165c482eaeb3971
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 14 12:05:00 2010 +0100

    stream_filter/httplive.c: Use first HLS stream in .m3u8 as starting point.
    
    Determine which HLS stream can be served best by this server. If found, then download
    the first two segments and start playback.

commit 35b0af9b86745e865cadd4c4592fc59645466fc7
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 7 16:11:07 2010 +0100

    stream_filter/httplive.c: Try guessing best quality stream for this connection.
    
    Try picking the best quality stream possible. Then start downloading first
    3 segments to ensure a smooth playback start.

commit 4c12e70681435b23813b31555169f992afd07c77
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Dec 7 16:15:11 2010 +0100

    stream_filter/httplive.c: segment->sequence was of by one
    
    The value for segment->sequence is of by one. It is specified to start
    at 0 and the code lets it start by 1.

commit d69f518633db434da752ce4272d97431465d6e3c
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 3 16:11:26 2010 +0100

    access/v4l2.c: Tell vlc what framerate the device delivers
    
    The framerate as specified by the user or detected by the v4l2 access input was
    overwritten by the rawvideo decoder. The module did not specify:
    
            es_fmt.video.i_frame_rate
            es_fmt.video.i_frame_rate_base
    
    Their default values are 0. The rawvideo decoder detects that there is no framerate
    specified and resorts to its own default (fps 25.0). Through setting framerate and
    framerate_base in the v4l2 es format the correct fps is communicated to vlc core.

commit 4fb8ca6785699cba7129fbd9991dc925c33903a1
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Dec 3 16:09:10 2010 +0100

    access/v4l2: remove framerate reduction code.
    
    The framerate reduction code is not needed. If the user did not set
    the requested framerate, then the v4l2 module asks the driver for its
    default value. When fps is specified by the user then that one is used.

commit 9531690ccecd6073582e7edadd2c02f2514e2b01
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 14 09:23:48 2010 +0100

    Revert "i18n: remove deleted file" The file is present again.
    
    This reverts commit e1d4b62a17dfa9228140710703f1487ea4a70707.

commit ae352dedeaec88dc54f4e7c5c93f94177da636d8
Author: Rune Botten <rbotten@gmail.com>
Date:   Mon Dec 13 13:46:24 2010 +0100

    Documentation error, is milliseconds
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit f65691230b41b3ccc1ec7792225404fc066e0fc1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 13 15:04:03 2010 +0100

    ML: fix potential memleaks.

commit e0f5d173a3afc1c6265b7a635d2b3f96d58f4681
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 13 14:46:18 2010 +0100

    ML: remove duplication in static array.

commit 315f8e47d9503a94bd3955e581ece46f7c175971
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 13 14:15:04 2010 +0100

    More cleaner fix when tdestroy only is missing.

commit 875531f7c312b14d372827f8fa55ed7c0a182c2f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 13 02:06:02 2010 +0100

    rtp sout: destroy mutex

commit 10a05481f119a020742e235133cbd6f6593a05a2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 12 23:51:36 2010 +0100

    Contribs: fix mpc...
    
    Sure, naming a static library *_static.a is _VERY_ useful
    (and helps the linker find it... not)
    And of course, installing .svn on make install is clever
    
    Do not ask me why noone uses MPC these days...

commit 603b6aa9b6e0687df04178dbb0551a4db1b072ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 13 00:14:47 2010 +0200

    Do not clear --play-and-pause once it happens
    
    Some people want to seek backward, resume and pause again at end-of-stream.

commit f2b08f6ad6a71fc9c8be2fa8ce179888adbf485b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 12 10:36:22 2010 +0100

    rtsp: clean up useless stuff

commit 6b872c5ce8e02ec6e49853c312569deb666cdc2d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 12 09:54:08 2010 +0100

    rtsp: clean up RTP-Info generation

commit 8460b86d7deb66d5ecc97a55d170b6859624da1c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 12 09:31:03 2010 +0100

    rtsp: enable forgotten reason phrase

commit 693b28be24593883f5c28a0615685fa12888d41a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 12 09:24:41 2010 +0100

    rtsp: handle SETUP requests on already set up tracks

commit 66f743de0e8f55a3bf2688714b7f11e9c2f393cc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 11 20:13:41 2010 +0100

    i18n: add new module

commit 70efc50c3ded7797bb8c2e681dd23ceb40c325fc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 11 20:03:34 2010 +0100

    display sout: use CLOCK_FREQ

commit 383146f35de69f79db68e46d14b3cfafbef06b84
Author: Rune Botten <rbotten@gmail.com>
Date:   Fri Dec 10 10:49:59 2010 +0100

    macosx/framework: Register VLCMediaPlayer for opening and buffering events
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit 81717b48cdb23df13c3ca31bd2c5b881ec39e8f4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 11 11:56:14 2010 +0100

    skins2: implement a new 'focus' attribute for text control
    
    Up to now, text control could but be focusable, and this focus was used
    to scroll text, should it be too long for full display.
    
    From a user viewpoint, this behavior is often counterintuitive :
     - Most of the time, the control is designed to fit the text anyway, and
       scrolling is not expected.
     - On the other hand, an underlying control may be used to move the window
       (for instance, the title bar), and a text control is expected not to
       interact in this endeavor. Same goes for popupmenu, that is expected
       to work if one happens to right-click on a text control.
    
    This patch adds a 'focus' attribute to the text control, and leave it to the
    skins developper to decide which behavior is most desirable on a per-control
    basis. focus still defaults to true to maintain skins current behavior.

commit f4266f31d19938935306af292b1e9c2cf89596f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 11 03:13:25 2010 +0200

    GME is not 1.2.0 news

commit c70b9f112bdd5b53ee419a3a88cad2351fbada09
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 11 03:13:11 2010 +0200

    News

commit eaa7e2e869d2c9b5e37862611b9b15353612528d
Author: Alan Fischer <alan@lightningtoads.com>
Date:   Fri Dec 10 17:34:57 2010 -0600

    Added C64 sid demux module
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 5907d722c99da93dced4b5d0d70ecbb20b2097d7
Author: Branko Kokanovic <branko.kokanovic@gmail.com>
Date:   Mon Nov 15 20:20:14 2010 +0100

    Sepia video filter
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2e1b9e44719618eb97b3850d05096753fd7d3617
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 11 00:58:18 2010 +0100

    httpd: gracefully handle too large request bodies
    
    Return a 413 error instead of crashing

commit 8fae1e140a0bfc80666c41ce55255000c1fad440
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 11 00:41:08 2010 +0100

    httpd: fix parsing of request body
    
    This caused genuine bugs like mangled bodies and corrupted requests
    (usually leading to 501 errors), and possibly leaks of memory buffer
    of the size of the Content-Length parameter. This is pretty bad since
    crafted requests could easily exhaust the memory and/or trigger a crash.
    Apart from the contents of the buffer of the involved request, there
    doesn't seem to be any possible memory corruption.

commit 4c87b90bf458901e542e7d318ef4c58925421e76
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 11 00:13:48 2010 +0100

    httpd: fix grammar in comments

commit 3326e7ef0e333e7a1aa6419c4547703dcbd23618
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Dec 10 19:44:45 2010 +0100

    qt4: fix skins2 crash after exiting the preferences dialog
    
    This fixes a regression brought by 7f485998dd63c9685f0a470439c9b2ea127ef5c5
    
    On skins2(tested on Linux), open and close the preferences dialog leads to a
    crash, because the whole qt4 thread terminates unexpectedly.
    
    This is due to setQuitOnLastWindowClosed set to true. As a dialog provider,
    qt4 doesn't run any windows, and therefore just closing the preferences
     dialog box (via accept() or reject()) signals the qt4 thread to quit.

commit 501530e61e474423b0761e8b8b6a5b62c8da5bc4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 16:17:44 2010 +0100

    Qt: reinstate the small QSplitter on Mac for the playlist

commit f6b7fd14b8828437dd496f78edaa06a993db8142
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 15:52:56 2010 +0100

    Qt: use SmallSize for the volume slider

commit 387d1ce62402645fab01b05226c5674800fa48cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 15:40:51 2010 +0100

    Qt: provide QAction roles for menu roles

commit e15e0503d21c609b9e912fb5f4c55141a51b29cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 15:23:26 2010 +0100

    Qt, mac: make playist without the blue focus halo

commit f9216bf1843de8e06c72701fd2b8aad18e956a67
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 14:46:10 2010 +0100

    Qt, mac: fix compilation

commit e69c3914b1ddd9f78e5e68dda2df241f2fa1880f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 10 14:39:22 2010 +0100

    Qt, playlist: reduce the margins

commit a6ab0e45235b7eb7acfea72ca0eaba6c6688e59a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 9 02:45:39 2010 +0100

    qt4: really change the RTSP port to 8554

commit cb44473fafaa86b659cc68dd7f2ee668d914a0fe
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 9 02:11:13 2010 +0100

    qt4: change default RTSP port to 8554
    
    8554 is the IANA-registered RTSP alternative port

commit 21f58879331b398f2b91a4fc82fa5dec3442a85a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 9 00:36:07 2010 +0100

    Qt: fix compilation warning

commit 2e16b1daa8e3065151d7d24393eecafadfbfe198
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 9 00:30:59 2010 +0100

    Qt: playlist look fixes
    
    - setContentMargin is the same on all platforms
    - color fixes on Linux

commit bcd6bf01796132aa88d310f455a2ff9c4f474f7f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 9 00:24:55 2010 +0100

    Qt, playlist: change the layout. This should help MacOS layout

commit 77edd1d45fd92ce1303ddd7d04ced8868fa1a9b5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 8 23:17:51 2010 +0100

    NEWS: major VoD rework

commit b656bb75375d33740e53821071199f9ae58e427a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 8 22:56:24 2010 +0100

    Contribs: fix MPC target

commit 8a56113f4f287610675c1854969b6fecf8cc3bf1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 8 22:42:59 2010 +0100

    Add forgotten change_need_restart()

commit 255b467c9c8503cc721d61ac974d51871ff3303e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 8 22:30:31 2010 +0100

    Add option to choose the VoD server module
    
    For users who'll want to revert to the old one for whatever reason

commit 31258aa03cf77f1d6a61e8406c77989041599763
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 8 21:22:37 2010 +0100

    libVLC examples, from GCI work
    
     - Gtk+ player
     - wx   player
     - Qt   player
     - DVD ripper using Gtk

commit 42e82206caf01963f27d00ed36cf4fe0cb27bbdb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 8 19:03:58 2010 +0100

    vod: default to new module
    
    The new version, merged into the RTP stream output, is supposed to be
    better than the old one, except for two dropped features:
    
     - non-standard RAW/RAW/UDP and MP2T/H2221/UDP RTSP Transports, and
       x-playNow RTSP header: the only vague specification of this that I
       could find is this 10-year-old draft:
       http://www-rn.informatik.uni-bremen.de/ietf/mmusic/47/id/draft-sheedy-mmusic-rtsp-ext-00.txt
       They provide support for broken Amino STBs.
    
     - client number limiting: not sure how pertinent that is and if it
       would be the right way to implement/port it
    
    If you think it's a problem to drop these features, speak now.
    Ultimately the goal is to get rid of the old code (after the next major
    release?)
    
    Closes #568

commit e1d4b62a17dfa9228140710703f1487ea4a70707
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 8 18:40:04 2010 +0100

    i18n: remove deleted file

commit b4ca80b9b1dcd529be276d46961fd40749b3f5d8
Author: Alex Helfet <alex.helfet@googlemail.com>
Date:   Wed Dec 8 01:09:33 2010 +0000

    Win32: added config option to disable volume keys.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 682ed3b449c250eb523782c651b418c44201ac51
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 7 19:01:44 2010 +0100

    projectm: remove some variables from sys_t structures.
    
    They are only used by the thread and can be freed before the module closes.

commit 27eefb90fcc90240adaa1cfee81be68f8a727295
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 7 18:41:22 2010 +0100

    projectm: randomly choose the first preset or projectM will always take the same.

commit 3df02ef034fc199814e66727e28802b935766653
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 7 17:37:04 2010 +0100

    Fix make check.

commit 5fff8a35a9a85d17173ee4b02e6a716d69294d7b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 7 14:41:59 2010 +0100

    remove vlc_tdestroy from the symbols list.

commit c40c90cf6fcb4df8984812af9eabedbd46be13a7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 7 14:04:47 2010 +0100

    tsearch functions: check for the presence of search.h and replace tdestroy.
    
    If search.h is present but not tdestroy: implement it based on others t* functions
    If search.h and tdestroy are not present: implement every t* functions.

commit 245dcd2771a5f4842cc89625230cb719d6b44825
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 7 12:46:06 2010 +0100

    Use HAS_QT47

commit 740ab95dd85658ed11e32f40f5363632e92e5a58
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 6 20:54:59 2010 +0100

    skins2: fix race condition (if multiple vouts)
    
    Close must also be serialized (one single global lock/wait).

commit 890ea92aede33e3e8ddd065844c4ab06acfe7615
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 6 19:48:50 2010 +0100

    skins2: fix compil warning
    
    function call didn't match function prototype.

commit 8b02394e5ed092a32b6370410a1639c597b8e11a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 19:12:28 2010 +0100

    t* remove the dependence to cdefs.h

commit b983946db701561cb7c7f5136b55657e6ea4d2fb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 18:34:33 2010 +0100

    only include search.h if available (anyway vlc_fixups will define the functions if needed).

commit 1d69914ecef64593051f5ca807f7c314423e9230
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 17:51:54 2010 +0100

    tdestroy: fix compilation for system that does have search.h but not tdestroy.

commit c489a903fa6b54f2c5e512709390a47df162a2e3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 15:43:13 2010 +0100

    Implement tsearch functions for systems that does not know about it.

commit 46527ae8580d1ccf2edaead2a7d5ad592ea2fab5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 17:43:11 2010 +0100

    configure: do not fail if dvdnav is not present.

commit 8c475b9f12c684311cd6e7ad902463d16245752d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 6 15:05:26 2010 +0100

    lua_gettext: do not include vlc_fixups.h

commit ad4cf3034b2e1cb7eb5245585e16dc842f1e54c0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 6 06:04:35 2010 +0200

    IFO: fix DVD-VR as well

commit 5aca149e414bb5012e7499dc97f3fa7e09c22c23
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 6 05:59:04 2010 +0200

    IFO: fix non-ASCII paths

commit 0084980f903872789530e4d27bc15511466bbab4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 6 01:13:33 2010 +0200

    Typo

commit 588ce05760940696ab64acf1ba52fd5871e8bc64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 6 00:41:19 2010 +0200

    Win32: compile fix (untested)

commit f787d521c43ab719c790fba0d996a738ec6b937d
Author: Kaarlo Raiha <kaarlo.raiha@gmail.com>
Date:   Sun Dec 5 19:32:59 2010 +0200

    support channel up and channel down remote keys QT4+win32
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 70526ce235650b7f39a8abc3c06682bd6a0d7d47
Author: Kaarlo Raiha <kaarlo.raiha@gmail.com>
Date:   Sat Dec 4 19:31:06 2010 +0200

    support mce remote controllers record button in QT4 GUI win32
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e61ba5a72f46d5f67b361bd5f617f661f64e5fb7
Author: Michael E <mapei_@hotmail.com>
Date:   Sun Dec 5 19:45:18 2010 +0200

    Fix scope alignment
    
    This sets the base level of the scope display back to the centre of
    its channel. Has been broken for at least +1 year.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 618b77f969dc2ca2e64f60192799a58308a1d40d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 19:29:38 2010 +0200

    Capitalize PulseAudio correctly

commit 6a35c6ad8ff6be8ab31c1dcb4da4a833744675c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 19:13:07 2010 +0200

    Fix comments

commit 757e6a6eb00f3c99335e5925e6ade4929b68d9ad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 19:12:38 2010 +0200

    Revert "vlc_clone_detach: remove thread handle parameter"
    
    This reverts commit 653a66372d98131ab4c3f86bbf1d4786222d4c4c.
    
    Conflicts:
    
            src/win32/thread.c

commit c97e19592729332a491ec0912b9d18976f39153c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 18:43:54 2010 +0200

    Win32: implement cancellation of detached threads

commit 4e647951242a8a1174d7b9dd451c9ac380135963
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 06:39:07 2010 +0200

    Remove VLC_VAR_MODULE, VLC_VAR_FILE and VLC_VAR_DIRECTORY
    
    Those variable types were identical to VLC_VAR_STRING in practice
    (Note: do not confuse variable types with configuration item types).

commit 87626923e323619696e1add713adca746c25b115
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 06:01:47 2010 +0200

    Add left and right wheel buttons

commit 938d8c45a0125d648b16e0b8eab91fd8b90409dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:59:57 2010 +0200

    Remove useless mouse buttons table

commit 365bb633561b6b6f9e4d4ea65835fc461045a85e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:55:26 2010 +0200

    Cosmetic

commit 9e7cfdd896c1e3d8ebeaa4ef29e22da71d31265c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:36:49 2010 +0200

    add_key: declare the global key first

commit cea1b8355772ee3c6331ea4cc94b6eef8a6781c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:27:29 2010 +0200

    Remove obsolete dump action

commit 10289bdecce4a6a889ca9ead47dbb13a0b8a13fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:23:45 2010 +0200

    Undefine unimplemented history actions
    
    VLC maintains no history, so no wonder...

commit ce75154bf7fdaa77f8e93863751ebb766f13d5b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 05:19:12 2010 +0200

    Unassign cube speed action values

commit 98bf554a92e0ea8001ad4f1b04e59ffcaefcf6fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 01:26:57 2010 +0200

    Typo

commit abbdcb63d9f4161055e24faec1c7edcc9b83e44c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 5 01:17:10 2010 +0200

    Xlib: check if we can call XInitThreads() before we do so
    
    Parental advisory: naked kludge and explicit hack

commit 5984bb6aa1b9ddad1efc37295d1a2f26a46708b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 20:16:32 2010 +0200

    XCB: remove -x11-shm option
    
    We have reliable error detection with XCB, so this option has become
    mostly useless. For testing/debugging, the developer can hack the
    CheckSHM() function to return false if really needed.

commit dca2381bdfe4f78c9a2fc0d458fbfcac7eec0add
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 19:53:51 2010 +0200

    RTSP: fix a=range syntax

commit 45b2fbe5107fbf58e0fe949ff2fe0028ed04dbe2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 19:28:40 2010 +0200

    mosaic: sub filter object have no thread, remove no-op

commit 7b59c12c2416c3de7bc223bd73da98f20f3c843a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 19:25:36 2010 +0200

    Win32: remove thread times

commit 6bc9535c0a97e1ad3f8531ffd1dcbb5d565656ab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 19:15:08 2010 +0200

    Win32: implement thread return value

commit c84a46bbd8a61c9a05fcc07a2d7ccb8e0d598150
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 19:11:04 2010 +0200

    Win32: fix use-after-free in vlc_join() (untested)

commit 653a66372d98131ab4c3f86bbf1d4786222d4c4c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 4 18:55:46 2010 +0200

    vlc_clone_detach: remove thread handle parameter
    
    This made no sense. If the thread is detached, the handle is released
    asynchronously when the thread exits. So it cannot be used in any way
    (except from the thread itself).

commit 0bb330fd28ec0ccfdc54718bb709149610d0f532
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 4 15:25:57 2010 +0100

    qt4: fixed search field compilation for Mac and s/Carbon/Cocoa
    
    Note that Carbon code isn't supported in 64bit applications...

commit 11a89704974b204d6009b2b4bf143c6f0713aa55
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 4 15:18:27 2010 +0100

    lua_variables: luaL_optstring returned pointer is valid as long as the value stay on the lua stack (also avoid an strdup).

commit 44d12ee33f761ae5f55a4c13dbd0acff63c99087
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 4 00:33:22 2010 +0100

    NEWS: dynamic payload types in rtp access

commit c6c52cc8d4aa1243e7b42087dfd82c948bbfd7e8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 4 00:07:48 2010 +0100

    rtp: option to assume Theora for unknown dynamic payloads
    
    Theora support is enabled. An option is added to manually select the
    payload format of unknown dynamic payload types, in pre-arranged
    streaming setups, without needing SDP. The only choice for now is
    Theora.

commit 75d5cb1298f15d8cbc38242bf1b83a2df7edbd01
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 22:33:32 2010 +0100

    contribs: blind attempt to fix compilation of x264 on win32.

commit 82d8b16be027ec3ec50521f300e825970a18611c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 21:46:49 2010 +0100

    dvdnav: use pkgconfig instead of dvdnav-config specific script.

commit 8a01a85330e01474597a4207891dd0b7b941de40
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 17:26:26 2010 +0100

    lua_variables: the pointers returned by luaL_checkstring might be invalid when the value is poped from the lua stack.

commit 0777f8120a5148339bd7e4403db20e154c2b6d51
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 17:01:31 2010 +0100

    lua_variables: cosmetics. (no functionnal change).

commit fc2d56e310be76073782a3d9109440826adff655
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 2 19:45:13 2010 +0100

    Contribs: move MPC to the modern SV7 & SV8 library
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 87ce9b02935fdcb29c0307b551b3bbf9a28fc2c3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 12:38:01 2010 +0100

    dvdnav: use the right type of the vout object.

commit fd4632259361407e868b585888e1dcd99cfa7084
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 12:05:56 2010 +0100

    logger: use var_inherit.

commit efa1666ad381c86feef6cf0d6b471d6c4fb6e0bb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 3 11:00:02 2010 +0100

    lua_variables: allow the creation of a void variable.

commit 962f19ece26926966928ce3ab18e3d22c2381640
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 3 02:29:28 2010 +0100

    NEWS: vorbis and theora in RTP sout

commit b2bc67df36f7234f18f757c7719827ccd698e266
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 3 02:20:05 2010 +0100

    rtp sout: send in-band vorbis/theora configuration packets
    
    This is an alternative to SDP to convey the codec configuration
    necessary to decode the stream. The configuration is sent only once at
    the beginning of the stream; at least you won't be tempted to waste
    bandwidth with retransmissions. This is a ad-hoc hack, but it's not too
    bad or pervasive.

commit dae49c9ef896253833b823cf74bbd88a1966c9d9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 2 22:18:40 2010 +0100

    Revert "Revert "libvlc_media_get_tracks_info(): correct help""
    
    This reverts commit 193aeeff9d12888728c46b21720b4fc06d9033f3.
    
    Conflicts:
    
            include/vlc/libvlc_media.h

commit 4bf6ddb1c54a3bc614a81e126508c2ac85cddfa5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 2 22:16:37 2010 +0100

    Fix libvlc_media_get_tracks_info()
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit aa102fee3df0f1d3474ccf3250ebc1e3a297ac5f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 2 09:42:41 2010 +0100

    Revert "Revert "input: Fill in the input_item es""
    
    This reverts commit 2ca4cf27ef0d6dc906f5523babb35633d3b6bcd1.

commit d61f3b7fc6d02a117c53d89e74e42dbe809b697a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 2 21:41:53 2010 +0100

    Fixed a vlc_mutex_t leak in direct3d video output.

commit 494743ea5e43c83df71f25031e2452304c8126e3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 2 21:41:29 2010 +0100

    Fixed a small memleak (vout).

commit 8f5a86b390530320aef53bdc4d703623befdc527
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 2 19:14:17 2010 +0100

    lua_variables: add the possibility to attach a callback to a void variable.

commit df4237b6f1529d2f9460e4f3bb18e853ec96029d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 2 18:30:08 2010 +0100

    rtp input: theora support
    
    Not enabled yet

commit b43a83e5fe107d38d070ef8df01ffb91e5227473
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 2 18:07:17 2010 +0100

    lua_variables: call only one time var_Type and corretly check the variable class.

commit 30dd89c3247cda2506393bdffed329ffa3ea425e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 2 17:30:22 2010 +0100

    lua: remove dummy storage.

commit a511a54f897fa582e0fa4ed2fada41adfa8a797f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 2 14:22:27 2010 +0100

    contribs: build the correct libiconv for OS X

commit 0ade5cecb04d764606a35035cda087bc2accd743
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 2 14:09:33 2010 +0100

    contribs: remove unknown x264 configure option.

commit fcf43e21afb299f7c2f00fe6b97af4968d8276f4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 2 13:52:18 2010 +0100

    contribs: updated binary pacakges for Mac OS X including FluidSynth

commit 609ed8bfba91cd446bbb8d7cd17b3726c73b8fd8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 2 11:46:57 2010 +0100

    contribs: fixed 64bit compilation of x264 on Mac OS X

commit 392c7b8a555ed9994256757c0350ebc4a251ddee
Author: Brian Kurle <Brian.Kurle@arrisi.com>
Date:   Thu Dec 2 00:04:00 2010 +0100

    relative_URI memory leak cleanup
    
    If the the link is relative, psz_uri is dynamically allocated a string of the
    absolute URI (which is also returned by the function).   However, if it isn't,
    NULL is returned and nothing is allocated.   segment_New performs a strdup, so
    the pointer is not saved.   Thus, check if the allocation occurred and clean up
    if needed.
    
    Signed-off-by: Jean-Paul Saman <jean-paul.saman@m2x.nl>

commit 17ce236d62f0936298743effd3fd6f5bdf71d860
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 1 15:12:37 2010 +0100

    modules/codec/avcodec: Move HAVE_AVCODEC_MT to avcodec.h
    
    The defined HAVE_AVCODEC_MT is used by modules/codec/avcodec/avcodec.c
    and modules/codec/avcodec/video.c. It was only defined in modules/codec/avcodec/video.c.
    
    This patch moves the define to modules/codec/avcodec/avcodec.h.

commit 4e8e992bf0634077156a7a743cd6f8c2844a7b7b
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 1 14:01:47 2010 +0100

    stream_filter/httplive.c: HLS streams are in no particular order in the .m3u8 file
    
    Take into account that HLS streams with bandwidth specified are not in ascending
    (or descending) order. Choose really the best wrt to measurements.

commit fa6e476e6697bf4b584330e53c6b94f5b50be721
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 30 21:11:16 2010 +0100

    stream_filter/httplive.c: download first 3 segments.
    
    Download the first couple of segments to determine the best
    bandwidth match and to ensure smooth playback.

commit 85c4fe7dc669c95aab4090ab65820714cc5c3e79
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Nov 29 10:27:08 2010 +0100

    src/stream_output/stream_output.c: input_UpdateStatistics() expects an INPUT_STATISTIC_* not an SOUT_STATISTIC_*
    
    input_UpdateStatistics() expects an INPUT_STATISTIC_* not an SOUT_STATISTIC_*

commit 932a8b1da758af57ae3bad0d85091c809d9145eb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 2 03:30:06 2010 +0100

    rtp sout: theora packetizer
    
    This doesn't quite follow the outdated draft-barbato-avt-rtp-theora-01,
    but keeps consistant with RFC 5215 (vorbis) and with the ffmpeg
    implementation

commit 6310a0d56c69340ebe2506b145f7cd5b3379e91b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 1 21:56:36 2010 +0100

    win32: disable broken thread times too

commit da1d348a0be6862e1e0dc6f295968a595fd8cf62
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 1 19:13:46 2010 +0100

    wince: build fix

commit 09a29d9e756a2ea3418aa10be9b216445410e3d5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 1 18:47:27 2010 +0100

    win32: vlc_thread_set_priority() is broken

commit c0b04d59808d57997baebcf26ab4efb527160e2a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 1 03:01:44 2010 +0100

    rtp sout: fix memleak

commit ec8b3fefaf482527e8fa17d2e900b57f80ac8cd8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 22:18:12 2010 +0100

    Mac: use a Native Search Line
    
    This is a good example of how to use Mac native widgets (NSView) inside QtVLC
    For some reason, this is broken on the main playlist, but it works great on the plugins dialog or the simple prefs/keys
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0734535dafba5a8ce68e1fa5b7778b92544fbb81
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 21:46:47 2010 +0100

    Qt: misc simplifications and corrections

commit 9123d53be8c58099e916393ba34ed1d3cf33f88b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 21:12:39 2010 +0100

    Qt: use Qt4.7 clickLineEdit, if possible

commit 8a7513fe6819e91b2887559f98ea24caca0aa994
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 21:04:26 2010 +0100

    Qt: SearchLineEdit: rename function to match Qt4.7 names

commit 5f47703c35b8c5a68050523043e8f33aeee737b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 21:00:48 2010 +0100

    Qt: simplification

commit e14f47780d83600d74cd47605765f0f225472a9f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 20:57:06 2010 +0100

    Qt: split searchLineEdit in its own file

commit fce89194ac6f9d48bcaa8ff65eb0d8db9dabbe47
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 30 19:51:19 2010 +0200

    decklink: fix uninitialized on error path

commit 9d9f6e02ec007b43239946bc272fea4f5c39bcfb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 30 19:51:09 2010 +0200

    declink: mutex leak

commit 4ac63ab48958a9396ea617adc6e49e2408246d62
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 30 18:28:37 2010 +0100

    contribs: enable fluidsynth on Mac OS X and fetch it from SourceForge instead of Savannah

commit 72a691d8bd3d6707ea279511a214cef5960c46aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 18:06:01 2010 +0100

    Qt, Mac: reduce the size margins and change the color of the Splitter

commit 3c5ad8a6acecbfc746ea6b3e564e377288fa5f0c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 17:49:31 2010 +0100

    Qt, Mac: use the classical blue for the selector

commit 2169b78fa850f82d234f2dab8bb377d81ad88016
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 30 17:40:54 2010 +0100

    macosx: fixed preferences compilation

commit fb09bf19a0e55209092a991d0cb6708e0e1679c9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 30 13:21:02 2010 +0100

    Contribs: make Qt4 available on mac

commit 383afad3ba992904042da2d59a03f0e8a1464c8f
Author: TUDURI Benoît <benoit.tuduri@gmail.com>
Date:   Tue Jul 20 19:40:13 2010 +0200

    Fix typo for Save Playlist in french translation.
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit 177dd4ce9451c482e27e8141f38f34bad4a194fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 29 22:52:01 2010 +0200

    sout_InstanceNew: remove __

commit 3b9074b2edc6aabd9e6f6408a7e14625b9b86912
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Nov 29 22:06:40 2010 +0200

    projectm: quick fix to get projectm visualisation to work on all locales

commit d8e17e4cc4faac2fa5af8d495e429b1ffc02566a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 29 20:27:26 2010 +0200

    Unused mutex

commit 2ebdd8c3540d6ff5a48cebf8037120edfb7219f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 23 23:07:05 2010 +0200

    Win32: simplify vlc_cancel()

commit 53a25c481599c6fe784bc866545878ff6b576527
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 29 20:26:08 2010 +0200

    Win32: simplify threads (merge cancel and thread data)

commit a29e8329e2892ad5e0631772d3ccad24b15aaf49
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 29 20:15:46 2010 +0200

    Replace vlc_detach() with simpler vlc_clone_detach()
    
    vlc_clone_detach() is less flexible but we never used that lost
    flexibilty. However, it will simplify a later Windows fix as well as
    safely exposing detached threads to plugins.

commit a75bbdb2c2c81e25a6612118b75db3721c5036b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 29 19:33:58 2010 +0200

    Comments

commit da28b2754e626ae5305dd817922dbf9cd44858b3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 29 13:02:29 2010 +0100

    MobileVLCKit: remove mmap access in Aggregate

commit 3a04dae04f4dbd5210f807743a08210572fc306d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 29 00:07:13 2010 +0100

    Qt: fix previous commit

commit 6627718ccb4fe802f5528f6644cd71d92a1f7e88
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 26 08:54:31 2010 +0100

    Qt: playlist, use a better QSplitter, on Mac
    
    It might be a good idea to do the same on other platforms

commit f28ecfb06a924dc163d2899aca8b20625dc01ae0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 26 08:53:19 2010 +0100

    Qt: use a Brushed Style on Mac

commit dc8af820d1b9be0297a1dcd85cd6db8973a4209c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 26 08:52:41 2010 +0100

    Qt: use a drawer for extended Dialog on Mac

commit ee3f372e6508ceead283778d7f15f44c508812cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jul 31 11:07:37 2010 +0200

    Qt: no icons in Menus on Mac

commit f3b49014ab5eb150914be5abf0e1cef655e2e06b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 28 22:07:35 2010 +0100

    Doc: make it more clear how to sign the updates files

commit 30afde38de0555135b43730e451c2eec3af9cbc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 28 20:43:47 2010 +0100

    Contribs: try to fix CDDB crash on Windows
    
    Ref #3804

commit d3fbc3d267dfd2f255f89fc9069d2359a4a3ffce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 28 16:08:26 2010 +0200

    XCB: support platforms without System V shared memory (untested)

commit eab76644005cdb1a8c4f18ac4263cdab0c405a09
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 28 13:42:19 2010 +0100

    Qt: Allow disabling or resampling background art.

commit c7ba2edbac9a312d825802525dee66799e1f9407
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 28 01:30:17 2010 +0100

    Update comments relevent to --sout #description

commit c9663d9770791225bcfae556c53135810698f5db
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Nov 24 20:54:49 2010 +0100

    skins2: rework the fullscreen controller
    
    This rework includes:
       - activation with mouse move
       - transparency and fading out supported if the WM allows it
       - fsc no longer a child window
         (this latter point should work out the refresh problems
          often mentioned on Vista and Win7)

commit 224050508fa86593e3196382d56fb24c4b16e7a8
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 23:49:55 2010 +0100

    skins2: avoid multiple strings with same value.

commit f91eaf0b4bc51babbdd2aea95b974eaf5c32b408
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 23:34:23 2010 +0100

    skins2: remove dead code
    
    The possibility to trigger callbacks when changing preferences was removed
     lately. So this code is now useless.

commit 2a7de277df8c501d403a03353974d3298224223f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 27 20:00:45 2010 +0200

    Win32: don't destroy variables without destroy callbacks

commit 3b657dc9478ed4b7b24c5a7e802a0ee96baa1e06
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 27 19:59:32 2010 +0200

    Remove the mmap access plugin
    
    It cannot work properly due to SIGBUS when a file gets truncated.
    In fact, this plugin had been disabled by default for as long as it had
    been in VLC.

commit 7e1b4d5377e3c7616cb834700c1f74e68ea4b1fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 27 16:14:41 2010 +0200

    Remove unused msg_Stack stuff

commit aa25960c312f78badf4df4796377bfcc5ff49eec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 27 16:03:44 2010 +0200

    Win32: really set fd_set size dynamically

commit e59ca64643cb0769467f923667279cb83257e85c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 27 01:32:43 2010 +0100

    rtsp: implement session timeouts
    
    Based on keep-alive RTSP requests

commit f5d7ac64c863415aafcdd389a58d0004d7b4439c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 26 23:26:16 2010 +0100

    Fixed win32 opengl provider.
    
    CommonDisplay() must be called at least once to ensure that the window
    content is shown.

commit e7d258301dece4c59b284eb49b2ebcc637742d2c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 13 22:42:18 2010 +0100

    Fixed opengl provider vout window selection.

commit 83306b533fd201310d53e5d41b4146ead42dec48
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 13 22:30:18 2010 +0100

    Fixed coding style (window.c).

commit 21e527a0498ce864c682525bf175ee38e64e038c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 13 20:41:36 2010 +0100

    Used video_format_ScaleCropAr in scale.c/swscale.c

commit 9cf0b9d4e10fb6b2ec65de48a18fd2c6a4b1275d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 13 20:40:42 2010 +0100

    Added video_format_ScaleCropAr().
    
    It computes correct crop/ar settings when scaling a video format.

commit 351139f592525158be8b6fe55c94ebb945568287
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 12 03:26:13 2010 +0100

    Fixed crop parameters in transform filter.

commit b9188c548e14fd9f1ec3dcc2e43ebf99ae8e4799
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 18 13:10:57 2010 +0100

    MKV: Use new vlc_delete_all to clear containers.
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit a1a0cafb6c1184fd2f308af5068b5e4621840e96
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 18 13:10:37 2010 +0100

    vlc_arrays: Adding a C++ helper to clean a container
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit 4cb95a425d3b2c7a8b75510fcc1b322a5a8ffc97
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 26 16:51:04 2010 +0100

    stream_filter/httplive.c: adapt debug logging
    
    Move logging of current segment and stream. The previous place gave
    confusing information.

commit 0c7c4caa281c95b5250570fdc2274f545b09ded1
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 26 16:28:07 2010 +0100

    stream_filter/httplive.c: do not crash on seeking
    
    After the adaptive bandwidth changes seeking could end up in a segment
    that is not available. Each segment is downloaded once and after switching
    to higher or lower bandwidth segments downloaded for previous bandwidths
    will not be deleted or downloaded. The later is to be fixed.

commit d20cd47813b732bba92eb3d2663f13aa89108576
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 26 15:34:14 2010 +0100

    stream_filter/httplive.c: select stream with lowest bandwidth to start playback.
    
    Start playback with the lowest bandwidth stream.

commit ccaec9e6804b3910d5ada87955db4b5da2b82dcb
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Nov 24 10:10:51 2010 +0100

    stream_filter/httplive.c: NexSegment() look for next segment in *any* of the hls_stream_t's.
    
    NextSegment() assumed that the download thread its hls_stream_t was leading.
    However this was too simplistic.
    
    NextSegment() seeks the segment in *any* of the hls_stream_t, assuming that
    each segment will be downloaded only once.

commit 0c12dfe51fa65832b181e242673215753dbe629a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 23 15:23:22 2010 +0100

    test/modules/stream_filter/httplive: script for traffic shaping
    
    Test script for traffic shaping with tc (iproute).

commit 144336b4d601c4ec5bdec6c47fb6ea9d1a36e660
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 23 22:18:41 2010 +0100

    stream_filter/httplive.c: determine correct next segment
    
    Download the next segment from a playback standpoint.

commit dace6b3faf268d8d07ac9e89b917cfb438d0a6d9
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 23 20:48:55 2010 +0100

    stream_filter/httplive.c: cleanup
    
    Cleanup NextSegment().

commit edf94bcb049295d05a20eec923fc1dfc550664bc
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 23 14:02:41 2010 +0100

    modules/stream_filter/httplive.c: corrected bandwidth calculation.
    
    The bandwidth calculation needed corrections and is less agressive in
    switching to higher bandwidths.

commit 7cd0a8ae38e8dc78b9595b3f5f254c79f12633d6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 26 16:52:09 2010 +0100

    qt4: use the christmas icon on the same day (start at day 354)
    
    (It was broken by a8e4b30b)
    
    Move the definition to qt4.hpp and add a comment

commit 8cb745bf8692b11507da6f9c054e1f4a1323b6bd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 26 09:23:12 2010 +0100

    vlm: use a per-instance parent object to set VoD variables

commit 48029873dd449de187979e0e9c46c9fed0887715
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 26 03:23:53 2010 +0100

    vlm: make proper use of semaphore

commit ca29b79feed402d3c896005dfddab9d1026afd3f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 25 18:09:30 2010 +0100

    description: don't use vlc_object_find()
    
    If you want to use #description, you need to set up the appropriate
    struct on pass it down as a variable

commit 1a0ad6c1ab6a0ffc3994be4b42db3f0924bc46e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 22:52:57 2010 +0200

    Win32: fix poll() with more than 64 sockets

commit 899a63133af3a92193421a0868af6d2021c77704
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 22:52:34 2010 +0200

    Win32: fix a few warnings

commit 28d721ccc3caeaacc2e1f83b2c7f5480e069b821
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 24 21:50:56 2010 +0100

    decklink: fix compilation.

commit a3dd09aaac04ea29b564e93137a1daeea233b9cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 19:38:38 2010 +0200

    Allow rescheduling a one shot timer from itself

commit 020fbe57db87914f59420790d2545d385664169a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 19:35:46 2010 +0200

    Fix one shot timers

commit 66c47c31f0f81448e55100170822fae29e4834ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 19:01:28 2010 +0200

    vlc_timer_schedule: fix resetting the timer from itself
    
    This also fixes error handling: if the thread cannot be created, we do
    fail cleanly.

commit b17660378ec29c2a64991fc8a456809b1bf450b6
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 24 17:59:55 2010 +0100

    libvlc: remove unused structure member.

commit 46676e7598448df74a34c5a45fb271a801497676
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 24 17:56:50 2010 +0100

    win32: fix memleak.

commit 7ba20d426503e4efd0c2f8b5364c2ad46afa4eb2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 24 17:48:08 2010 +0100

    variables: properly reset the variable tree in var_DestroyAll()
    
    This allows using it at another time than destroying the object

commit 8d622c5bb504d48e4b1ad60b55f9f9a9839d15b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 18:43:16 2010 +0200

    cosmetic fix

commit c39920a9215fe708584f16f3d6a45c54a6db0a1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 24 18:40:41 2010 +0200

    Remove unused timer attribute

commit 13efec9e28df81890ec9f1f46a3c81eff31dd545
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 24 08:40:57 2010 +0100

    Fix grammar in comments

commit ae79d25dac4e2067530dd375369ddc08c39900ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 23 23:36:17 2010 +0200

    Win32: implement variable cleanup more similar to POSIX...
    
    ...and less prone to deadlocks. This restarts until all keys are NULL,
    in case cleaning up reset one key back to a non-NULL value.
    There is still a slight difference with POSIX still. POSIX will restarts
    only after all destructors have been invoked, not after the first one.

commit ca960c2e0c2371a7fd63735cee114f45ddd4172e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 23 23:36:03 2010 +0200

    Win32: also cleanup thread variable on cancellation

commit 444f32586f6ef937dc8dd66809189fe3fa838f82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 23 23:24:19 2010 +0200

    Win32: fix thread variable leaks

commit 4e842f86995640371cc915c093003a47c3076b55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 23 23:27:44 2010 +0200

    Win32: cancel_data is on the stack, don't free it
    
    In practice, this bug was hidden by another bug in the thread variables
    implementation: the destruction callback is never invoked.

commit 2ca4cf27ef0d6dc906f5523babb35633d3b6bcd1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 23 18:28:52 2010 +0100

    Revert "input: Fill in the input_item es"
    
    This reverts commit eea468e632fe620228778b01bec36468222556bc.
    
    When the media is played, the formats represent decoder output, and the ids are not preserved (video ES can be replaced by audio ES)

commit 193aeeff9d12888728c46b21720b4fc06d9033f3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 23 18:28:34 2010 +0100

    Revert "libvlc_media_get_tracks_info(): correct help"
    
    This reverts commit 708a15ff0ec23067c5e2cda77b6ed3334ba18393.

commit 35a39bb433a8396588a8af148515bcdf9d0d99ce
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 23 16:45:45 2010 +0100

    Print a warning about static plugins and VLC only if VLC is built.

commit f07499acd80ae3ecb30517596cb702b638907ff4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 21:32:57 2010 +0100

    skins: add some transparency to the default skin
    
    Default skin becomes slightly transparent when moved.
    (deactivated by default, needs to be set up in preferences)

commit 64c2daf417e2525f19ac608b9c02e2c1dab42757
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 21:10:52 2010 +0100

    skins2: rework and simplify transparency
    
    Several redraw were no longer needed
    (tested successfully on Ubuntu/metacity and WinNT)
    
    On Win32, switching back and forth between layered Window and not layered
     window (case where only one of the two alpha parameters is < 255) was removed
    because display was not satisfactory. (transition a bit weird)

commit af5900aedc70f8670739bc369098ccb4918e3f90
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 22 15:07:12 2010 +0100

    gestures: use static when needed.

commit c661b609bec6f8f02a66b1c02715879e691b796c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 22 15:06:11 2010 +0100

    access_oss: return NULL instead of 0.

commit 99ebae0c04aa2ce0b3085fbba78f4245c713d9c2
Author: Lari Natri <lari.natri@gmail.com>
Date:   Mon Nov 22 03:57:59 2010 +0200

    Fix for KDE device actions
    
    This tiny patch enables opening of VideoCD/AudioCD/DVD discs with VLC in KDE when inserted, which was broken before.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f511daad0b14f1db6e8838e9b2668863c6a21378
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 15:33:39 2010 +0100

    skins2: improve the default skin placements
    
    The default skins now benefits from relative positioning:
       - main window centered
       - playlist window centered with a 5% offset
       - fullscreen controller centered at the bottom
         of the screen with a 3% margin from the border
       - other ancillary windows all centered

commit 6f772953ac0e7eeffa1d98606988d1e148f1c468
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 15:38:56 2010 +0100

    skins2: implement relative positioning
    
    So far in skins2, all x, y, width and height were given in pixels, and
    no reference to the screen resolution could be made.
    
    This patch implements the following :
    - all x, y, width, height can be given in pixels or in % of their container.
      For windows, the container is the screen. For widgets, it can be the
      layout or a panel.
    - Five new tags eases up positioning
      - position : relative position given as "Center", "West", "NorthWest", ...
      - x/y-margin : margins to take into account (in px or %) wrt the borders.
      - x/y-offset : additional offset to apply (in px or %).
    - the image control can now accept a width and a height parameters.

commit 5d7acec1a0a4b79e013bf07e842bc77f6680c0f1
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 11:55:55 2010 +0100

    skins2: ifdef code specific to WIN32

commit 73150d7c3fb0380732aae88c0274a2b0fe486265
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 22 09:47:54 2010 +0100

    skins2: some optimisation and cosmetics when moving/resizing windows
    
    On most WM, move and resize are noop as long as the window is not visible, and
    these calls have to be reissued once the window becomes visible.
      - so avoid unnecessary calls when there are known to be noop.
      - remove a move in TopWindow that appears hackish
        (it hides a MoveResize and is actually needed for _all_ windows)

commit 812106522ea2f4a3cb9534715de2f14b3e69ae1a
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Nov 19 19:31:14 2010 +0100

    skins2(Win32 and Linux): Don't refresh a window forcefully
    
    A good practice is to invalidate the window and leave it to the OS to decide if a repaint is or not needed.
    
    As a side effect, this fixes some alternative task switchers (alt-tab) on WinNT (like TaskSwitcher or ATTv) that displayed a black rectangle instead of the preview of the skin, because the skin engine was not doing things the usual way.

commit a66bbe1ecfef998f0808fc2cdd32be053cf88ed3
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Nov 19 19:30:05 2010 +0100

    skins(Win32): Process events in the winProc (instead of the message loop)
    
    Events like WM_PAINT should be processed in the WinProc, because
    some functions directly call the WinProc (e.g UpdateWindow())

commit a38c6d0f5f5779fd39367988091c52db3d155c8c
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Nov 19 19:58:36 2010 +0100

    skins2: fix minor artefact with animated image
    
    Don't do anything if the image doesn't change. Otherwise, some unpleasant
    flickering occurs when the image is animated.

commit 66456370991dfd488260c1ee497e66304b17ee2d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 19:12:09 2010 +0200

    XDG: wait for end of screensaver preemption before cancelling

commit 79bb2f751a8a4a90d56d728828a82a462298bce7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 19:12:32 2010 +0200

    Disable screensaver preemption before destroying the module

commit 8178340c39a53d7737f25f14ad9f965010142ead
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 21 17:01:42 2010 +0100

    Contribs: Win32 targets reordering, based on types

commit 37e9960922beb1d931744cab26e5161bc893f426
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 21 16:44:22 2010 +0100

    Contribs: update freetype and GnuTLS

commit 1c9669ac53e83beadcd112f909b239a9645b031c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 18:08:06 2010 +0200

    Qt4: fix crash regression in 1.1.5 closeAllWindows() not thread-safe
    
    All UI related operations in Qt4 must be done on the UI thread, as
    QtGui is not thread-safe internally.

commit 9a0e0822d0c8739e4a984ea5df6b6eb6338d65b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 18:00:38 2010 +0200

    Qt4: cosmetic fixes

commit ebb7f49b030c1734de79047da741c8ee28b929d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 18:06:58 2010 +0200

    Eliminate dead code

commit 55d09264802ef94593806a206e36fb8b4b8a6977
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 15:54:13 2010 +0200

    libvlc_set_format_callbacks: dynamic video format selection
    
    LibVLC applications can now select their video memory format when the
    video output is created. In particular, this allows preservation of the
    original pixel dimensions.
    
    While untested, this should also enable planar YCbCr rendering. Until
    this, vmem assumed that all planes had equal pitches, so that subsampled
    planes would not really work.

commit 0e4caf6d4a776bd62ac1ff7bee3838ec51f281bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 15:50:10 2010 +0200

    vmem: set the video format via callback

commit 841eb240885cbea14245dfd832c9f1ab31d12bf4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 13:45:19 2010 +0200

    Qt4: do not crash if the video window is released after the interface
    
    This should fix #3359.

commit 6088b41ddc3a01d634e4b18fe95f468e12e4a864
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 21 13:30:38 2010 +0200

    Qt4: cosmetic + comment

commit 93ee8f45b2b3e301e0eb254618553375b7f0b26d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 20 19:13:45 2010 +0100

    package/ios: Improve build.sh.
    
    Make sure the specified SDK exists, add a verbose mode, allow to change the default SDK.

commit d51b0e0ee82ab06970d08921c6f35825bf9657b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 15:52:47 2010 +0200

    Use \deprecated explicitly for l_v_get_height and l_v_get_widget

commit 945142dc196acf823190d105df6a591a4f8a2f36
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 15:05:35 2010 +0200

    libvlc_video_set_callbacks: add references

commit 32e2d5373c04052ecc427202e047185fc7cbe037
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 15:01:01 2010 +0200

    vmem: trivial code factorization

commit a23e59574c13ceadff503979f38fb464073d3279
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 20 15:07:31 2010 +0200

    Qt4: toURI shouldn't need toNativeSeparators()
    
    Seems like most likely cause to #4078 (reappeared near sametime as toURI was introduced).

commit 3536adcd65543bd89657040d74691f367dce7da2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 12:20:59 2010 +0200

    doc_helper: must be executable, fix Doxygen

commit 880d51137df3eb2255868a244c46bd28407da110
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 12:17:01 2010 +0200

    Doxyfile: update to version 1.7.1

commit bc957dc1a1a92f82f432ce2e45186dbc940b30cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 20 12:07:37 2010 +0200

    Improve libvlc_video_set_callbacks documentation
    
    This is untested. Doxygen does not seem to work anymore here:
    no module lists, no function documentation, only source code.

commit 23af3705afeb76416c6697b064af2e314590f3f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 19 18:11:36 2010 +0200

    file output: support for writing to an already open file descriptor

commit 8f8f1d5e5c74dfb6cf00a4c267d4042342d83975
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 19 17:52:09 2010 +0200

    live555: remove "sdp" access_demux

commit 93417b6fa7810c5898daed3c321673474553d4cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 19 17:45:40 2010 +0200

    SDP: dummy access that return the URL path
    
    With this, we can parse an SDP the same way if it comes from SAP
    (as sdp://...) or from a file or the network.

commit 8d52ffe19f333502d2e5f31c51ac91ac62c019b9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 19 20:58:49 2010 +0100

    Use AC_FUNC_STRCOLL / HAVE_STRCOLL
    
    Windows CE for example doesn't have this function

commit 62ac11aea889dea39d9fd9ced7a689dea76ce7ca
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 19 19:56:09 2010 +0100

    vlm: accept "ps" and "ts" as mux arguments
    
    Having to type "mux mp2t" was lame

commit 1a9c88e2d703041fc90979349952db1b7bbf458f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 19 14:41:42 2010 +0100

    fix libogg build on OSX (patch taken from upstream)
    
    remove obsolete patch forgotten in [4b6e13d37fba]

commit 5ac972d7f71ec8b80ed88806c7bf2246e8c2af1f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 19 13:45:54 2010 +0100

    vod: don't handle pause state toggling in the RTSP stack
    
    RTSP doesn't toggle pause state, it sends unconditional PLAY/PAUSE
    commands. Let the VLM handle it.

commit 0c1d5a897672e4f2d153a91ba60ef21a238f8def
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Nov 19 13:37:19 2010 +0200

    Qt4: pictureflow, if target futher than 20, jump closer and scroll last 20 items

commit d811e20b7a73233cc0669e0e53b88cdb1296e7ee
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 19 10:51:07 2010 +0100

    qt4: remove an assert (a check for NULLity is enough).

commit 636b4a6bd4ac196c8ad6b09fc738ea8e0535c6c5
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Wed Nov 17 12:46:42 2010 +0100

    Qt: tell that vlc processed the media keys
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 260cae1d37eb087684542c4c532bd731c225f8dd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 18 15:06:02 2010 +0100

    Configure: do not use XCB on Symbian

commit 7f485998dd63c9685f0a470439c9b2ea127ef5c5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 19 02:58:42 2010 +0100

    Qt: fix WinXP quitting issue

commit 6c74b935f99b9d46bb92b3ba01bfbaf4c7d52276
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Nov 19 00:47:26 2010 +0100

    skins2(Win32): remove an unneeded WS_EX_TOOLWINDOW option
    
    This option prevents windows from being displayed in the alt-tab list.
    This should fix trac #4343 for Vista and Win7  (to be tested)

commit 2f53024169a244b6ab9e6b20b5f71a2683634071
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Nov 18 19:19:09 2010 +0100

    fix [41373a85a2]
    
    We don't want an universal build on osx

commit 181c3eea4f7cc4c89474167cdb12f5cc62419883
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Nov 18 18:50:13 2010 +0100

    fix [50c315b8e37a6]

commit 94189fcabf48c2a054c186b388ad0fc532ef235e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 16 13:35:40 2010 +0100

    ncurses: redraw interface unconditionally
    
    redraw happens on getch() return, on timeout (1 second), or on keypress
    wether the key was handled or not.
    
    input change is now checked in the main loop

commit 3911057333094ae2c83494b6590324b4298d8724
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Nov 7 18:55:58 2010 +0100

    x264: write first SEI NAL into first picture
    
    It contains the x264 version info and options used for encoding
    If we let it in extradata it will not be present in the final file
    
    libavcodec does that already, and this makes it easier to compare x264
    options used by VLC and FFmpeg.
    
    Comparing FFmpeg and VLC with the exact same set of options might help
    finding why mpeg (at least mpeg2/mpeg4/flv) encoding is 5 times slower
    with vlc than with ffmpeg, supposedly for the same set of options.

commit 4cc2404ca5426f522822e4906572bfa7813669cd
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Nov 18 11:25:58 2010 +0100

    transcode: reduce decoder aspect ratio fraction
    
    avoids integer overflow with aspect ratio = BIG:BIG
    fixes #4312

commit 7853e28dd2d7c3aca3b80cdcdcd4c8e6c207ce8f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 18 10:04:16 2010 +0100

    contrib: distclean target removes every thing

commit 991aa6aaeed4212f8155bda43fdccbd6b0cc4e9f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 17 23:40:36 2010 +0200

    Allow demux to select the PTS delay, fallback to access
    
    This will allow the SDP parsers to set their PTS delay according
    to rtsp-caching/rtp-caching rather than the caching value of the
    access module. The access module is irrelevant in that particular
    case.

commit b2c851f49909af828752eebb2cd030a7be69e337
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 19:53:44 2010 +0100

    contrib: No need to remove distro file before ln -sf.

commit 03916eb00733a01a938b9796c2bf52781832ccd9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 19:47:41 2010 +0100

    contrib: .iconv->.iconv-from-os when appropriate.

commit 16600c8ff8892b3adfd2ed4c751a8fe4d9db91a4
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 19:47:22 2010 +0100

    contrib: Build tools first.

commit dd5d3f52dc2d36ec7bc8fcb1200103259fdaee36
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 19:17:24 2010 +0100

    bootstrap: Use a link to distro file instead of a copy.

commit cc3200cc52f5bca93cb35a54432ff0818398ad16
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 17 19:23:43 2010 +0100

    vod: use time instead of position for seek requests
    
    RTSP uses NPT in seconds, so don't convert for nothing...

commit 74d18c465c5b27744aad6cc7eaf536671a77b18e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 18:53:21 2010 +0100

    ios_vout: Build fix.

commit fdaea5426d669d7b7f707f2cdd8b0750dc316375
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 18:12:16 2010 +0100

    contrib: Remove ifdef recursion in .live target, and fix iOS build.

commit 50c315b8e37a6193792dc1a9cca22583a05d6284
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 17 17:36:34 2010 +0100

    contrib: Fixed SVN version number for contribs.
    
    We want to be able to re-create the exact same build for a given vlc version, including contrib.

commit 3df6407dd21449d65a4c6741427714d51ab1223c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 17 19:37:43 2010 +0200

    Fix memory leak in previous commit

commit b9bb646863451b46379d86cea26c348ec6c64576
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 17 19:07:27 2010 +0200

    Lift the line length limit on config files (fixes #4338)

commit 3b7f8b1f2ac12af6f62a61a4fa8e75cd9db8efa7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 17 18:34:33 2010 +0200

    Load the whole config file all the time
    
    This avoids iterating through all config items of each modules. On my
    system, this cuts the vlcrc load time in half, and is also far simpler.
    The loader is essentially ignoring the config section, which reflects
    the architectural "limitation" of the VLC configuration.
    
    This also avoids loosing settings during VLC upgrades if an option moves
    from one module to another one (which did happen in the past).

commit d7cf24fe15d6ae18e28fce7efa04a385dcadf232
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 17 16:59:01 2010 +0100

    vod: remove pf_media_{add,del}_es
    
    These are never used

commit 152fee0cd5a879df625ae1c23ad2193081161648
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 17 14:18:01 2010 +0100

    rtp sout: vorbis packetizer

commit a7f80fa2a49eec99c0e8d6410a13501e970a0650
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Nov 17 10:31:00 2010 +0100

    skins2: fix wrong check (cosmetics)
    
    For clarity, i_children can be -1 (at init) or 0 for no child. Yet, there was
    no bug, since buildNode was just a noop for -1.
    
    pointed out on the forum

commit 53391ce60fd8459e52a98a312063fe4ee0946bb6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 17 00:06:27 2010 +0100

    rtp sout: make private functions static

commit c6d32327273ed56344937ea654673c08e0e25cc3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 16 22:33:20 2010 +0100

    Merge VoD module into RTP stream output module
    
    Cleaner and better working solution for VoD than the bad hack that we
    currently have. Instead of (badly) duplicating large portions of codes,
    it reuses the existing RTSP stack and factorizes the RTP payload code,
    and provides support for a number of ES not limited to one audio and one
    video tracks, as well as for missing features in RTSP headers.
    
    The VoD module is responsible for starting and running the RTSP stack.
    When a VoD media instance is started, the VLM passes down media and
    session parameters as variables to the RTP stream output object, that
    uses them to hook back into the VoD code (and through it, into the RTSP
    stack), to retrieve accurate, already set up parameters, and provide
    playback data.

commit ef7a981f943c426c7868ef80b78ec0752bb5b820
Author: Jonas Gehring <jonas.gehring@boolsoft.org>
Date:   Fri Nov 12 23:49:17 2010 +0100

    Add http-referrer option to HTTP access module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2afaacab847a7081f841cfd1c0dc3193c9e3e5bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 15 23:04:51 2010 +0100

    Subtitles: remove .txt for autodetection
    
    This lead to way too many false positive and complaints when VLC tried
    to open a .txt file that had nothing to do with a subtitle
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d3e5e2ca2465892e5ac203daf8b78fd1faec4970
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 16 06:06:27 2010 +0100

    i18n: add new file

commit 4ba326218a87f8748f6792e45f158b1238efba1f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 16 06:00:20 2010 +0100

    directory: build fix

commit b019abfdb69b798a487f7cde4621639d3e91b79e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 16 05:09:42 2010 +0100

    rtp: fix vorbis header parsing

commit 5e85bff1849e4391b6598bfbcc5a6c65cd1e151d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 15 22:20:09 2010 +0100

    Qt: correctly implement play-and-exit in menu
    
    This calls a var_GetBool each time a menu is redrawn. This may be not
    optimal. Maybe a callback on "play-and-exit" would be better?
    Do we care about the performance on that part (menu display)?
    Close #3842

commit 7a2f855c7e7923b988f6014c8a195e40aac8a346
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 15 21:57:34 2010 +0100

    Qt: improve look of extension dialog
    
    Should close #4332

commit e4ea738909bdacad129723015449ba6344b315bd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 15 22:24:03 2010 +0200

    directory: collate file names from the same directory

commit 79f83328722e009960e59e2cac7ee64b9dad659d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 15 22:00:54 2010 +0200

    directory: use vlc_loaddir instead of vlc_readdir
    
    This makes the input thread much less responsive. But there is no other
    way to enable directory sorting.

commit db19221d15101bd0010e22ad727f63124439dd66
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 15 21:14:17 2010 +0200

    directory: cleanup, avoid useless allocs

commit 18d1dcb4b64d5c252aa91fd4a38684f52a03695a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 15 19:20:24 2010 +0100

    Fix typo.

commit 5c74532978769a77a9af617dba8fa6eda897a353
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 15 20:14:27 2010 +0200

    directory: small simplification

commit 70cf9406b4d6d62195ee4bd9ad022909075eae97
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 15 18:07:39 2010 +0100

    video_filters: remove dummy assignement.

commit 30a0aa26b0aac7166e90c94d6f76b7d2b5682a34
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 12 10:57:39 2010 +0100

    C++: use prefix iterators instead of postfix.

commit edd979441ea48188ada3ea3cfbaf0d3298333a85
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 15 00:33:22 2010 +0100

    Configure: require libbluray 0.2

commit c37a60a3fd351a26fa5c11f41b5f16ff625036c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 14 23:13:17 2010 +0200

    windrive: basic disc discovery for Win32
    
    This is completely untested (other than compiling & linking).

commit 37e37fb11e1da56e02d79a973b7bc1ffff70223b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 14 18:26:19 2010 +0200

    swscale: fix 15- and 16-bits RGB conversions
    
    This is tested with X11 and should fix LP#665298.
    
    This partially reverts commit fb7f014161f68c914e028adbea68b7ee9863c76e.
    RV24 is left as is because I cannot test it on my GPU.

commit e536be03ef35cdd59f4096a9e2e66b0862da1954
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 14 16:41:50 2010 +0100

    contribs: fixed libiconv hack on Darwin10

commit 8de0803830d33aeb3c5cbca98cb6e94f16aacc1d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 14 11:58:01 2010 +0100

    Fix constness
    
    Partially reverts f3f203e5fd90f74850ffd0663e90e3f30cc05a29

commit f3f203e5fd90f74850ffd0663e90e3f30cc05a29
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 14 10:23:25 2010 +0100

    Fix const warnings

commit 349f269051e7d7c5a20b8db61b0fb9f7e4b20151
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 14 05:11:12 2010 +0100

    rtp: use VLC_TS_INVALID

commit d1a8c96a9f08ac62facc360398d6bf3a33d2eeff
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 13 23:48:23 2010 +0100

    rtp input: vorbis payload format is now an RFC

commit 48cecf7cdc0443255ea15375865faa1c45d4214e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 13 23:55:27 2010 +0200

    OpenCV: do not assume picture is at p_data_orig
    
    This seems quite wrong to me, but untested.

commit 2a9b31019ee3af7b9afff1604e97e65806ec8419
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 13 23:44:18 2010 +0200

    OSD: use picture_Release() not free() !

commit a69d057ffdfa6477287e0ccaf544eb50557827ad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 13 23:40:24 2010 +0200

    OSD: remove always NULL p_feedback button field

commit 83b0e6f2e20271e2b6c691a887b21bad5869f4d9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 13 20:33:06 2010 +0100

    Update the release howto to actually match what we are doing

commit fb48e363450c0a56d1688a510528a246ae7c36a1
Author: Juho Vähä-Herttua <juhovh@iki.fi>
Date:   Fri Nov 12 15:26:00 2010 +0200

    qt4: Get rid of towlower in favor of portability
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 6b42661fb7142ad6f384abba3af930c81d58bb8c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 5 19:24:41 2010 +0200

    FreeType: mark some options as safe
    
    Font is not safe because it uses the file system, and is dependent on
    the local system anyway. YUVP is only for encoding, so it seems
    irrelevant. Other options seem fine.

commit ec1566fe68ee6b2e027b379671c75dae21c1bb52
Author: Sven Petai <hadara@bsd.ee>
Date:   Sat Nov 6 12:25:01 2010 +0200

    Make returning fatal error from the Read() more obvious. No functional change.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2a3e95d7b511fb627ac79a626068f4ba4271ad13
Author: Sven Petai <hadara@bsd.ee>
Date:   Sat Nov 6 11:32:59 2010 +0200

    Return fatal error to the upper layers when connection is lost while reading the ICY metadata. Otherwise we will end up with an endless loop since -1 is interpreted by AStreamRefillStream() as a temporary error.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b9a7045b5126535b46d4afb94329e5d38c260467
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 13 18:47:44 2010 +0200

    OpenGL: use clz()

commit 0af63c4f97a7467bdeec614a7235b1c5a24a29c6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 12 11:40:57 2010 +0100

    Fortunes, smoking in the morning and JS

commit 845454bb76d96c52de62f49c71b1ee33574dad48
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 11 20:54:01 2010 +0100

    AVIO: fix compilation when avio.h is separated from avformat.h

commit 7159174488dd3e97023df461b1baf4a1af132ef2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 12 02:58:41 2010 +0100

    Fixed CC support when present using multiples specs (close #4327).

commit 735ec223092c17d5b77cdfcca25a528531e69a70
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 9 19:29:17 2010 +0100

    Fixed rar stream_filter generated playlist.
    
    The items url where not complete.

commit 21bb2451d59a2346d44166825faf170a98d27d81
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 9 19:28:43 2010 +0100

    Reset the stream position when rar stream_filter failed to load.

commit 888aed94a672eb42f56d7030da76854f10df5f23
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 12 01:38:22 2010 +0100

    vlm: use make_URI()

commit 99fa5b44ec55a87997cee0357208cae4dfaf8d1a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 12 00:15:35 2010 +0100

    Merge 1.1.5 NEWS into 1.2.0

commit 53ee46f25511be4057e325c5875a3749de32a64b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 11 11:18:10 2010 +0100

    Fix use of unitialized value.

commit 72af6adc9ae4bcc89b879c013a7e2836d848e42c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 9 22:37:28 2010 +0100

    C++: use postfix operator for interators (that's supposedly faster and a good practice).

commit 1be41caecd65f9a994118fce6d44955166cb3b99
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 10 20:22:21 2010 +0100

    contrib: Fix a typo.
    
    Thanks funman.

commit 708a15ff0ec23067c5e2cda77b6ed3334ba18393
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Nov 10 17:42:24 2010 +0100

    libvlc_media_get_tracks_info(): correct help
    
    We don't need sout_stream_description hack anymore

commit c56951687d130b24a09ff26b6777ac88ce640846
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:41:38 2010 +0200

    use var_Inherit

commit ab61a0330c45b2c1a511fe2e23e3680e222a85dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:27:33 2010 +0200

    Qt4: use toURI()

commit f73e107172463eeceff084b528e1f56f5ccb37e8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:23:39 2010 +0200

    Qt4: simplification

commit 15b329e8587082d49b86fa8df869d8dd9a4758fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:23:13 2010 +0200

    Qt4: fix TTL parameter syntax in streaming wizard
    
    (It still has no effects though)

commit cf3f7fdbcd20db54f600116df87de6c3b3b64e51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:21:47 2010 +0200

    Qt4: FileOpenPanel generates proper URLs, simplify
    
    This fixes the streaming wizard. We can now remove a few make_URI()
    calls.

commit 1bd04d54d732fc71f70afbcb7dacf39a657ac4c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 18:05:47 2010 +0200

    Qt4: add toURI() helper

commit 5b393923adac8e346fc6b0b61fcea4d0b6ead26c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 17:50:33 2010 +0200

    Qt4: missing qfu() (in commented out code)

commit d505bf17c5c6cf47e20cdad02bfe5eb1b609e6de
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 10 17:28:16 2010 +0200

    doc: cannot change xwindow while playing

commit 41373a85a2c343cf06dd6312fefd04346400ba6b
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 10 00:25:59 2010 +0100

    contrib: Fix and simplify libvpx build settings.

commit e26b8a04bbd8b330e088caffa245e4c9314d4242
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 9 21:37:19 2010 +0100

    luatelnet test: port number has to be higher than 1024.

commit 2ae976d96dafd4823c92c8b8abdf4ff6556377f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 9 21:28:30 2010 +0200

    EGL: initialize Xlib
    
    P.S.: I haaaaaaaaaaaaaaate Xlib!!!!

commit a1b3978d280993a87033ee3de22b08d6dad9544f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 9 20:13:51 2010 +0100

    lua: fix a busy loop (fix #4165)

commit 2fd5851af0a40671d0a7cdec1ce94538438351a0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 9 14:41:05 2010 +0100

    Fix contrib dependencies
    
    X=1 #comment
    Y-$(X)=1
    
    => $(Y-1) is not set

commit c48a51320c4043266bfad52d59098eadfc12c75e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 9 12:53:55 2010 +0100

    Motion: code simplification, cleaning and error-checking

commit d529bcc3a7879fcb3d2a9d6342fb5d9b938152aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 9 12:53:36 2010 +0100

    Contribs: only patch CDDB when needed

commit d9a114510b2614d3c8166c1eb0d12d625043e00d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 8 23:17:36 2010 +0000

    Add Lithuanian translator

commit 938585a6302cd1105b4a775ac264492ac629581b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 8 23:52:49 2010 +0100

    transcode: fix crash on eof when using threads >=1
    
    For now do not flush encoder buffers (as added in [14054532b4]), but
    ideally that should be fixed

commit b15fa6b2bd176914adb43c46d621ba1ca5982a62
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 8 19:32:32 2010 +0100

    Should fix #4224.

commit 2c9223f8d6b60067be7e84209fd00fd198738781
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 23:38:14 2010 +0200

    EGL: superb hack around Mesa EGL damaged linking

commit d60221ca03df4687af1afc7f1ccf2501ac3a3f6b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 23:21:48 2010 +0200

    EGL: initial video output plugin
    
    Currently, this require EGL 1.3 or later to compile.
    This was only tested against the GLX driver from the Mesa Project,
    and desktop OpenGL, which requires EGL 1.4. Win32 support is untested
    (not even compilation).
    
    OpenGL ES 1 and 2 are mostly implemented but completely untested too.
    The USE_OPENGL_ES constant would have to be predefined appropriately.
    
    This plugin mostly works, but there are two major remaining issues.
    Therefore, this plugin is disabled by default and has zero priority.
    
    (1) Mouse is not implemented. The stupid fix involves cut&paste from
    the XCB-GLX plugin. Moving mouse event reception to the window provider
    might be smart though: I would rather not corrupt the EGL plugin with
    X11, otherwise we might as well stick to GLX anyway.
    
    (2) Resize events are mostly not working. EGL does not provide
    notification for this. But there may be some bugs in Control() too.

commit 5333f1c8f793fd1390b59684c723b6fcd0f053f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 23:31:32 2010 +0200

    Cosmetic

commit f0cececc9f761475c0b91dd01a4aa43f3e2c8af8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 8 22:35:50 2010 +0100

    contribs: ffmpeg depends on yasm and we build it from source on osx

commit 89c6366805db082156e6f6844a99812533679840
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 8 21:42:05 2010 +0100

    typo

commit 426d0fbdef1740235ae80db94733aace7226889c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 20:13:52 2010 +0200

    Fix a warning

commit 44076392a41490b7207a1667317eb8f0ab43a3ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 20:02:24 2010 +0200

    Typo

commit caa737e1253eb2eef135f8d36045a937754eeeaa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 19:54:55 2010 +0200

    Replace a run-time assertion with a pre-processor check

commit 99daef177ee7e9a80f2c15fcb575bd92d921dd15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 19:53:30 2010 +0200

    OpenGL: fix a bunch of warnings

commit be42ceec36af2c65bfee2f1e2805936456910c10
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 8 19:51:30 2010 +0200

    OpenGL: de-inline huge pieces of code

commit a8334a4bf6539c4f7461571adc4b75e11b3b5c9c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 8 18:52:11 2010 +0100

    distribute the telnet auto test script.

commit 021552a218a6011bf994839e983598886466d65f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 8 18:33:23 2010 +0100

    luatelnet: remove the telnet commands from the command line.

commit ffb601a5f2f74f0298e9eefa7822c06441f967ef
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 8 18:27:38 2010 +0100

    luatelnet auto test: use the current PID as port number.

commit 0656ac9c68a5e6abb81ca132771d3fa3c1fc296f
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 8 12:19:45 2010 +0100

    skins2(Linux): A XSync is needed
    
    This partially fixes the position indicator getting blurry, because XGetImage didn't
    retrieve the latest change in pixmap (Previous XCopyArea calls may still be pending)
    
    Note that XSync is needed but not sufficient. Sporadic blurriness can still happen, because
    there seems to be no way to know for sure when the pixmap content is really updated.
    (waiting for NoExpose event, if enabled, is also not enough). Also, this problem is more
    prone to occur with --vout xv than with x11 or opengl, as if xvideo were stressing the X server
    more than the other two.
    
     modules/gui/skins2/x11/x11_graphics.cpp |    4 ++++
     1 files changed, 4 insertions(+), 0 deletions(-)

commit e759ce5f6497f8ad3dc18c48b0faccfe0fb09798
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Nov 8 11:56:53 2010 +0100

    skins2: default width/height to -1 (undefined) and not 0
    
    This fixes automatic resizing not working when a skin uses vlc.hasVout to monitor
     video visibility. (in vlc12, the default skin belongs to this category)

commit fc9935aa9c0d0d99a913ee67eb793bec7b1522f0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 7 22:45:18 2010 +0100

    httplive: remove dummy calloc (a call to strndup follows).

commit 9b403140a184a2c85d3595d883d4562a86042b03
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 7 22:44:52 2010 +0100

    dbus: fix memory leaks.

commit 2ec53236058360f9f9b08b2f3aa4a7a06d6d8f0e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Nov 7 22:03:40 2010 +0100

    macosx: Add a dumb build.sh script to run all the steps requested to build VLC on macosx.
    
    This may help some, and to link how to build VLC on Mac OS X for a certain version. (Should be more robust than wiki.videolan.org/OSXCompile)

commit 3624edd324b04a0a4765d47b949063791bfe9fb5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Nov 7 21:45:21 2010 +0100

    win32 package (compiled) lua scripts
    
    share/vlc/lua only contains the files needed for the (lua) http interface

commit 004020d3c05be1a9dc5b11828bac4b9587545473
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Nov 7 21:33:44 2010 +0100

    ios: rename build_for_iOS.sh to build.sh.

commit a442cf21954ec76ed4c1214d4f916b94bb393230
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 13:09:39 2010 +0100

    contrib: Avoid redefining multiple time the same thing in fontconfig and wrap the lines.

commit db9941d65d2bfd8923d363bef38a14f105f6c6e8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 12:55:05 2010 +0100

    contrib: Avoid ifdef recursion in .lua.

commit cf6c1cb15dd7a95282d0f82cff45e6d428e6439d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 12:52:23 2010 +0100

    contrib: Avoid ifdef recursion in ffmpeg's conf and wrap long lines.
    
    This should improve readability a little bit.

commit e12917627d061c0a686ac6f3d3f42a33d769ecd8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 12:51:51 2010 +0100

    contrib: Only build from binary by default when HAVE_MACOSX is enabled.

commit 0caf16b420fd60c81d052594c7b3181a1c541dcb
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 12:49:20 2010 +0100

    contrib: Define HAVE_MACOSX when distro=macosx*
    
    (We don't want HAVE_MACOSX when building for iOS simulator.)

commit f39c7c22a2112a0addeb1418a7be29e9dd871887
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Nov 6 12:08:34 2010 +0100

    configure: Properly fix 884eaa35.
    
    Sorry for the breakage, the AC_SUBST(VLC_DEFAULT_PLUGIN_TYPE) was lost in its way.

commit ab68dc8645db94d0643dd982a4fb6080aa13b5dc
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 23:05:26 2010 +0100

    contrib: Group pthread and x264 settings together.

commit 3a768c4876e69a557489dd2bd7623afbf2090bda
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 23:01:50 2010 +0100

    contrib: Group ffmpeg settings together.

commit 6b84728250fb61df80d6c86c486abe14051de2e6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 7 21:14:04 2010 +0100

    contribs: setup autoconf/automake prior to anything else

commit 35778e62fc8a39b680a78edf4f653ea1716328fd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 7 21:01:50 2010 +0100

    contribs: always define MACOSX regardless of the bit count

commit 6342ff56572b5409e03eb065fafba9f3e76cf1ab
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 7 21:35:08 2010 +0200

    Qt4: user qpainter instead setpixel() in pictureflow

commit 5460741f3515a25824d9e4b3ca2996bed12b5042
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 7 21:27:06 2010 +0200

    Qt4: remove unused variable in pictureflow

commit b3a201c3b24352020c4393cad0644b11e5d72625
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 7 21:26:43 2010 +0200

    Qt4: speedup pictureflow rendering littlebit by using scanline and qtransform instead of doing those by hand

commit b520bf1284e8f9d7a957b7d68e60c47afdca1a03
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Nov 7 20:21:13 2010 +0100

    ncurses: translatable strings must be ASCII-only
    
    add a comment at the intention of the translators to tell them they can
    use fancy Unicode characters
    since this comment is UTF-8, add --from-code=UTF-8 option to xgettext
    
    Use a macro to make DrawHelp() lines shorter
    Merge 'Boxes' with 'Global' help category

commit bcf3cce0e49d2c6ab934aada2ffa7bc4f707076a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 7 20:16:01 2010 +0100

    lua_timers: fix timers.

commit e86691a7416a99b3173f8b97376471b5995a451f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Nov 7 19:54:56 2010 +0100

    Media_library: fix potential memleak.

commit b945b839b55ec25e6dd6abcfcbd562c886829a71
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Nov 7 19:09:46 2010 +0100

    win32 package: copy lua files from install dir, not source dir
    
    It includes only .luac files

commit 25defa036a23120eb76f90a93f09745fbd096780
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 7 19:03:28 2010 +0100

    contribs: powerpc-apple-darwin9 is macosx32

commit 9c5eda2458861251c66eb11e3f811f60f1d69a2a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 7 16:39:15 2010 +0100

    Workaround v4l2 drivers that do not behave correctly while enumerating inputs, standard, tuner, or format.

commit 71e844a513adcef36bff7ae5e46849ba15dcf511
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 7 14:42:53 2010 +0100

    Improved support for crop/ar changes.
    
    Crop/AR settings can now be changed by the video filters.
    Crop/AR changes done by the decoder are now applied to the exact
    picture and without any picture loss (before this patch, it was applied
    too soon and due to the recreation of the vout display, some pictures where
    lost).

commit 045ec346a34c025d368e6820a1e566f7fdf79a04
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 7 14:40:57 2010 +0100

    Fixed support for crop parameters in picture_NewFrom*().
    
    They were previously lost.

commit 9614138ddfbee394f500db3a811f87794372ca34
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 7 14:09:19 2010 +0100

    Cosmetics (vout).
    
    Moved up two functions.

commit 523bba18671c692ad53dd841ed88484b269e6c12
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 6 21:58:47 2010 +0100

    Added video_format_CopyCrop helper.

commit 6d0e1d1786aeab0efc3b10038f6a8437c28a7aae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 6 01:34:36 2010 +0100

    Fixed crop parameters when the decoded video has crop parameters.
    
    Now vout_SetDisplayCrop() takes crop parameters relative to the visible part.

commit 47d9c75432a372e5a04ea0b63c64346fb238da22
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 5 21:27:19 2010 +0100

    Get process affinity mask to compute the number of cpu in vlc_GetCPUCount.
    
    The old code used the current thread affinity.

commit 7a15e9a78f00a62045f1d21bc4450dfea6b154f4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 21:28:30 2010 +0100

    Fixed support of crop coming from the decoder.

commit edaffcc841187d4f864f6ee56b52139b94d6cdc3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 21:14:48 2010 +0100

    Modified vout_SetDisplayAspect() to take a DAR instead of a SAR.

commit d22b9922f778d227b2b34a4aef46f6adc60fb370
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 20:23:30 2010 +0100

    Small fix when changing a video filter option that wasn't created by the filter (qt4).
    
    It is more of a workaround, a cleaner way to configure video filters
    will need to be done.

commit 9ce38b5f85c6bd756b55e30ae66da6b19021ff72
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 7 10:30:46 2010 +0200

    Fix libvlc_media_player_(prev|next)_chapter assertion
    
    The variables are void, not boolean.

commit be87c5ee96e5c38ddff31980a791d71df8350818
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Nov 6 18:28:28 2010 +0100

    Remove calls to bzero.

commit 8ff2e66fced4218dcd523c65567c8262d88e88b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 18:40:26 2010 +0200

    Add libvlc_media_new_fd

commit a67fbfcd732babd4d5acc2f5c71898a43e43bcd9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 18:39:57 2010 +0200

    libvlc_media_new_(location|path): try to clarify the difference

commit 7ba4c3862850f59b84fa9210b0e77fbf86c20890
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 18:20:51 2010 +0200

    Input location is always an URL

commit 8e1c86a065feec0152e1039bde222984edf08f3c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 18:09:44 2010 +0200

    Expand and remove VLC_Version()

commit 362dbda8eb204cb98a4065c814f8d56cbc0a95ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 17:35:40 2010 +0200

    Remove some typedefs to non-existent structs

commit 0df5550c1ed7f0d850cc995380cca8a546fb398d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 17:24:51 2010 +0200

    Privatize appropriate module typedefs

commit c94293c4fd39095b1953d10aa6d994b7fdc0c056
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Nov 6 16:12:27 2010 +0100

    libasf: remove unused variable.

commit 11f64a071b31063915e035d0d3a8d6076ebadf2f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Nov 6 15:06:22 2010 +0100

    metachannels: force the use of the ffmpeg demuxer for mp4 (extension .m4v here).

commit b755e003aab5933eb416c26f5b23f0f92ad13404
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 13:02:25 2010 +0200

    Remove unused typedefs

commit e8da701b61fa7928611f12c5c273851055ac8ac7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 13:02:34 2010 +0200

    Do not redefine standard types

commit da0a29883736b514db54bfd9479b6335d0957dc8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 12:59:43 2010 +0200

    Remove __LIBVLC__ checks from src/

commit acfecaeadf47cb40d15d8a4011f5d652c58a7b39
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 12:52:12 2010 +0200

    Do not implicitly define MODULE_NAME
    
    We want compilation to fail if this is missing.

commit e1c0095c81e6111965592fea7edf0c8bbdb3b4f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 12:51:56 2010 +0200

    Fix warning

commit 59b2e8193bf6711e12eae39b37b4592d7db1d81d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 12:46:40 2010 +0200

    Restore Linux builds
    
    This reverts commit 884eaa35b9160cf34c901449502a74ce5717fc78.

commit 91d4843ba18e5ccb482e267160c781762fd9a08c
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sat Nov 6 11:32:34 2010 +0100

    vlc_sql.h: don't rely on __LIBVLC__ being defined

commit f0ecb0c5c223b34b834f3af4a48d9dd2b979d14d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sat Nov 6 11:24:07 2010 +0100

    libupnp depends on pthreads

commit 0ae9fe390a13cd9666179a92d42996ca6733ed0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 6 11:47:22 2010 +0200

    Modules.am: missing files

commit 24d400dfba384db8410db04cdb52ac95e05a6124
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:52:44 2010 +0100

    contrib: Replace darwin->macosx.

commit 635efb6284ec941dcf091b6e4bbb5e48a23662c6
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:34:09 2010 +0100

    contrib: Remove LD,STRIP etc redefinition.

commit d25dc67dce3f5c775c5aec1d4dfa6fffe72df1b0
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:33:35 2010 +0100

    contrib: Factorize the win targets.

commit b9b7edc6cd20c6feebefe2b83a24302f26d43774
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:28:55 2010 +0100

    bootstrap: Use an abstraction for enabling setting in config.mak.

commit 733e0bbcbccc9946b68cdc71b33695788e6f41cb
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:23:26 2010 +0100

    contrib: Use hint_distro when setting contrib.
    
    This will not override a previous hint_distro.

commit 3044b1c2b102b64eb6d54bfdabe71ffa090b97d8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 5 22:51:48 2010 +0100

    contribs: updated binary packages for Mac OS X (i686, x86_64, ppc)

commit c03dbb270aef79df1462f9b9e7fd26f4934f4997
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 5 22:28:55 2010 +0100

    contribs: use the videolan variable to retrieve libdca and use http to fetch GNU stuff

commit 9662bc9011c47318bb7a1de3a9086f07816111d1
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Nov 5 22:15:59 2010 +0100

    MobileVLCKit: Match contrib build dir location change.

commit 884eaa35b9160cf34c901449502a74ce5717fc78
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Nov 3 21:11:33 2010 +0100

    configure: Move --enable-static-plugins before any plugins gets enabled.

commit 8fad40cb68090eb6a8a8323d992939ad25a58bac
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 5 20:59:50 2010 +0100

    contribs: Use the gcc toolchain installed in /usr/bin instead of /Developer because the latter is no reliable path as it can be installed anywhere

commit 50c38afe8c07db8737d8e10be937708a04c0e5e4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 5 19:06:49 2010 +0000

    i18n: Mark SD categories for inclusion in vlc.pot
    
    Fix #4305

commit 86c91b1fbe47c58adbb0808353f3b9d8fdf41b39
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Fri Nov 5 13:54:59 2010 +0100

    Windows: use _wrewinddir instead of rewinddir
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8251271854672f05c1bc6f2b765228dee3a4a17e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Fri Nov 5 10:23:37 2010 +0100

    stream_filter/httplive.c: start playback with first HLS stream (usuall lower bandwidth).
    
    Start playback right after successfull downloading of the first segment. Switch to a higher bandwidth
    later on. By the time peeking and first segment have been played the next segment is available.

commit 0d24baf131199c4ad5f304af0df7601e148dbaf6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 5 01:48:26 2010 +0100

    lua: copy input options to result of playlist script
    
    This fixes this kind of scenario: you want to save a video from your
    favorite video website. So you open the VLC GUI, you copy/paste the URL
    into the convert dialog and you click on okay. The corresponding
    playlist lua script processes the URL and a new item is added into the
    playlist, but the :sout option is lost in the process, and you start
    watching a video that is never saved.

commit 3c400ee8c39a157d650cffad3cefe920c2e4893e
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Fri Nov 5 01:25:33 2010 +0530

    check_headers: look for leading spaces as well

commit 9b7d3dcc5eff41041fd8ef34f750765800466cbc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 4 20:16:22 2010 +0100

    check_headers: fix the script (a partial match is not enough).

commit ae18df14cf13641312ec1e011a2f4ebaca65232e
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Thu Nov 4 10:11:56 2010 +0100

    Skins: don't use GetProcAddress for TransparentBlt, AlphaBlend and SetLayeredWindowAttributes they're available since win2k
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e68cc628e8769bfe23a4422d9514d27e1abbe704
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Thu Nov 4 16:51:50 2010 +0100

    Windows: remove another call to GetProcAddress in vout plugins
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a35cc84e1efbc958b60ac7fbb64a1437840d25dc
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Thu Nov 4 15:46:16 2010 +0100

    Windows: remove calls to GetProcAddress for MonitorFromWindow and GetMonitorInfo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6bd4060bd422e565516d77d05ab93f7a606e5304
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 4 19:31:24 2010 +0100

    vout: remove dead assignement (and one mdate).

commit 7780faa9f6c57e3f7f0c32e7cc1d65e5755bef60
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 19:31:23 2010 +0100

    ML: try to unbreak configure when libsqlite3-dev isn't present

commit 46574f70d98b580219bfe6a3afd31c7ac354ab4f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 19:23:27 2010 +0100

    ML: fix compilation

commit 54aaa198796e70a0f2003091d4e03ac7afc62425
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 19:05:14 2010 +0100

    Real demuxer: correctly exit on errors when parsing Audio formats

commit d3b67d8fc36ea550324859846147d376fd387795
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 4 20:03:04 2010 +0200

    XVideo: use after free

commit 7ed999d81b49f273b530a1e0c25767a8bc3862c6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 4 20:01:26 2010 +0200

    XVideo: redumdant check

commit f6228be3264964d8b415c7e64d986d48a403b4b7
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Mon Oct 18 01:05:33 2010 +0530

    Enable Media Library Building

commit 1237aadc0d0da18545d0f94a1956a9025747e02c
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Mon Oct 18 01:03:12 2010 +0530

    Media library features sql_monitor - directory scanner ml_watch - playlist watcher item_list - items being watched by ml_watch media_pool - list of active media in vlc

commit 98d2036a0351393d604a945f480570287c8c25c4
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Mon Oct 18 01:02:06 2010 +0530

    Media library CRUD operations

commit db662f04a5d849695a10ac36187380482c107420
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Mon Oct 18 01:01:06 2010 +0530

    Base Media Library Module files

commit c83d4a8d5ca15f8e9ade8634afc5550f1afd0b8e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Nov 4 16:45:11 2010 +0100

    x264: remove double assignement

commit 14c1270b267a24bb84089d373b857e012c2a4679
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 02:03:06 2010 +0100

    Qt: deactivate noise video filter
    
    It has become so slow in 1.2.0, especially on Win32, that this isn't
    funny.
    Maybe the new rands() are slower (4d6247fdd024)
    Ref #4290

commit 7696907f8b8ae84993f551124f1c7b0e6e0e34b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 00:11:59 2010 +0100

    Contribs: update tiff and png

commit 5f3fe143c2c5fe351e14aa672c0c7797344fed6c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 4 00:07:37 2010 +0100

    Fixed segfault in freetype after ToCharset() changes.
    
    The code is quite ugly and the comments in IconvText() where wrongs...

commit 4b6e13d37fbac845c07c61236f3c765fae665d90
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 4 00:03:06 2010 +0100

    Contribs: libogg and libvorbis upgrade

commit d75c4e630888618544774af075e9b89c54e66178
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 23:49:43 2010 +0100

    Fixed another bug in ToCharset I introduced.
    
    Sorry for the noise, I won't touch it anymore...

commit e21ffabb47f4040f16a584eafcc78cb8681864a2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 23:40:41 2010 +0100

    Fixed a bug in ToCharset I introduced by fixing another one...

commit ba8bb2cb6c5fd07b6f2a347738f03b6a5367b533
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 23:31:43 2010 +0100

    Small simplification (ToCharset).

commit 7fe74e0d5cec4d2eacf872991154597c4e79e330
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 3 23:25:07 2010 +0100

    Fixed two potential segfaults in ToCharset().

commit 9432bf00c10e2432bfc065a891c8033e262420f5
Author: André Weber <atmo@videolan.org>
Date:   Wed Nov 3 20:54:21 2010 +0100

    atmo: fix assertion issue with picture_release
    do copy the in picture to out picture like all other video filters also if it is not needed for the atmo purpose just to get it working again.

commit c24028b199008cdcfd7b1b13fad4edc00a405273
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 20:37:44 2010 +0200

    Win32: pack vlc_DIR

commit 3a6e65588b443970b647a959d2a2bfad5179408d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 20:37:32 2010 +0200

    Win32: remove dead code

commit 358998994e25ce482130d6c1b281c543a59caae3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 20:36:03 2010 +0200

    Win32: fix closedir() to match vlc_opendir()
    
    Parental advisory: explicit kludge.

commit 3267797ea727e1ab298545cc6fc33709fef72609
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 18:53:33 2010 +0200

    Link GME with CXXLD
    
    This reverts commit c46366ce7b2f16f1c5e9efb4cd132538c7fd758b.

commit 3b9c2b89bcb781938c034d6da17aec88e42b2d6f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 3 17:15:13 2010 +0100

    Contribs, Libupnp: fix compilation issue

commit 44d1c20e7a51ca6efdabef84093880dbd19c2b65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 18:12:35 2010 +0200

    Win32: expand, simplify and (hopefully) fix vlc_w*dir() functions

commit 485d0ebd27e55c0233f8e9abf62a3e978cdb06ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 17:48:57 2010 +0200

    Split portable, POSIX and Win32 file system helpers

commit 0512fd3c82607eea683f9d833ecab4835f779b52
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 3 17:18:10 2010 +0200

    utf8_vfprintf(): handle ToLocale() failure

commit 1cb8978ecce14c2a975bbb8e0fcb836e148a8d57
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Nov 2 10:11:30 2010 +0100

    stream_filter/httplive.c: newstream can also be 0 (first index in vlc_array_t).
    
    HTTP Live Streams are number from 0 in vlc_array_t. The condition in Download()
    excluded 0 as valid stream. The first element in the array is at index 0, so consider
    this to be valid.
    (cherry picked from commit 7acbd2448c289cf28a80cfc0dd2ece21860aa6e9)

commit 6ab6ab61211da8b561098fb7ef51fc3dfe350a6f
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Nov 3 14:44:56 2010 +0100

    stream_filter/httplive.c: Bail out if block_Realloc() fails in AccessDownload().
    
    If block_Realloc() fails in the function AccessDownload() then resolving
    segment->data->i_buffer results in a segmentation error. Instead of continuing
    when block_Realloc() has failed, just cleanup and leave the function.

commit 7b794661c64e85716580e0c2e7750f6345ccbc50
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 3 15:00:45 2010 +0100

    Revert "Stats: be extra careful when cleaning members"
    
    This reverts commit 0861691f4ee562c21c3b08e2c093baad54b34ff0.
    
    This should not be possible, probably the backtraces were corrupted.

commit 0861691f4ee562c21c3b08e2c093baad54b34ff0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 3 14:09:30 2010 +0100

    Stats: be extra careful when cleaning members

commit 616734f379b9ee0816c9f11447bdef52c69ad70b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 3 14:01:24 2010 +0100

    AVI: remove dead assignment

commit 6ba5e8e8083e5825d0de7d257a377721a5ee7614
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 3 13:30:43 2010 +0100

    Ogg mux: make sure to reject if ES_type is not one expected
    
    This is extra-precaution, but it cannot do harm

commit 43db36bd5fd2b92348e0dde5c0ed387a7ed231d1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 2 15:31:51 2010 +0100

    Contribs: win32, build upnp

commit 852bd9add8d62978a795c10b62efca68f6597551
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Nov 3 03:22:46 2010 +0100

    contribs: no need to copy contrib m4 files
    
    VLC doesn't use foreign M4 macros anymore

commit 3ef9ecfb2fd932158a50e44f62a446e42b67cc9f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Nov 3 03:20:17 2010 +0100

    Revert "contrib: Don't polute root Makefile for autoconf package related stuff."
    
    This reverts commit ae14df5aa3f393c06eeed2c72065c9b531421cf6.
    
    [d85d6537739f9] explains why it is needed

commit 257d6f3ba1463429b8f624c9b436758d7e02b7be
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Nov 2 22:25:59 2010 +0100

    contrib: Remove the TOOLS hack for darwin.
    
    This introduce a circular dependency. The correct way (which what Rafael is doing) is to explicitely set the dependencies in the .package to automake, libtool...

commit f2c170d61767da19f1c02b49d563da52b73ff6c0
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Nov 2 22:02:53 2010 +0100

    contrib: Remove empty line.

commit ae14df5aa3f393c06eeed2c72065c9b531421cf6
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Nov 2 21:58:10 2010 +0100

    contrib: Don't polute root Makefile for autoconf package related stuff.
    
    This fix unbreaks those who don't build autoconf.
    
    Note, I have absolutely no idea why this is needed. This doesn't feel right anyhow.

commit bc28b885be9b7506510d3b3ef633f47f75dcf915
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Nov 2 21:52:29 2010 +0100

    contrib: Don't assume DARWIN_OS is Mac OS X.

commit 1688b979ed16cc6c05dbf25608b720f6f4c7e790
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 2 22:32:08 2010 +0200

    Remove unused file

commit bc19735206f7520b20e53c7935cb06fea9b43e4b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 2 21:16:42 2010 +0100

    Fixed potential use of non initialized value in corrupted nuv files.

commit ba6c81ac46ef8d903004ed5268e6b23e59eb01ba
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 2 21:12:44 2010 +0100

    Fixed potential use of non initialized fourcc in rawvideo demuxer.
    
    It could happen when the demuxer was forced.

commit b62d7ff5873bfcd2533888001642c6a0059b03dc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 2 21:07:48 2010 +0100

    Fixed potential division by 0 with corrupted real file and VLC_CODEC_RA_288.

commit edd1cb880b252a6b2dd74dfcbafdb3bef433313f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 2 20:59:54 2010 +0100

    Fixed potential NULL deference when flushing in avcodec encoder module.

commit 1df47ba694fe3c5fdc6ad08c90fc1c598ca78f3d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 20:55:29 2010 +0100

    Removed uneeded hack (vout).

commit 2fcbecb6d28eedd9d0d0c5edf52579cdccf73ba9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 17:34:08 2010 +0100

    Added support for rotation in the transform filter when authorized.

commit 61af3cf939605c6786f28124d640d20053066d3a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 21:32:50 2010 +0100

    Simplified mouse handling in transform filter.

commit cd3b98921dbb0cbc09497f6a43d39a6f5dafa839
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 17:30:52 2010 +0100

    Removed an invalid set_capability() in deinterlace.
    
    It was called 2 times.

commit 015842a693e13c9de7d25d5a18883545bc3270af
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 20:21:47 2010 +0100

    Distribute metachannels scripts.

commit c892bd7b61c155e6aae7a4fcf44c83759efefbed
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 2 19:11:15 2010 +0100

    rtp sout: hard code dynamic payload types to 96
    
    Payload types are scoped to the RTP session, and we put each ES in its
    own session, so no risk of conflict

commit ec1c77f9d4b555b0aadc12a5de4834474cc6b5f6
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 17:44:41 2010 +0100

    lua: update the documentation.

commit 89e6bf1e9ef34ffbe3ca5964b4d83b0fb1281124
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 17:30:21 2010 +0100

    lua: implement var_ToggleBool and var_CountChoices.

commit a50d13ab0ce72363e9ca37ca305fadf171729b64
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 17:27:59 2010 +0100

    lua: use var_ToggleBool.

commit 7046783c69d5c97d4154f9885b6f515a27d07715
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 15:19:00 2010 +0100

    lua_variables: implement var_IncInteger and var_DecInteger

commit 2a2f464b2e2413ce5b0f07fe4f13cd89ea899c38
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 12:26:56 2010 +0100

    Update LIST.

commit da905f6e6f5ff47368af65c816679fb5b46fe5c1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 11:20:47 2010 +0100

    lua_sd: cosmetics.

commit fdd7844ca7d668e7778bdaf3f3de49a5a850fb60
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 2 14:56:09 2010 +0100

    smb: Fix stack smashing
    
    It is described on http://shinnai.altervista.org/exploits/SH-008-20101026.html
    Thanks to geal for helping finding the problem
    (cherry picked from commit b531955c2206c88250cacc511793facc32cbced6)
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit c46366ce7b2f16f1c5e9efb4cd132538c7fd758b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 2 14:47:32 2010 +0100

    GME: fix linking on Win32

commit 16ef665d30414c58a8be66f3baf7fdad2707893a
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Oct 26 18:31:46 2010 +0200

    stream_filter/httplive.c: IV is supported in version 2 or higher
    
    IV attribute of tag #EXT-X-KEY was parsed for any version of the protocol.
    However chapter "7. Protocol version compatibility" lists the IV tag being
    protocol version 2 or higher. This patch restricts the IV attribute to version
    2 or higher of the protocol.
    (cherry picked from commit a07189f8187302417cc2b6741bf9ab8d8c3c6e4c)

commit 44d885bb2f084998a797a3956af10c2bb3d53cbf
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 23:20:20 2010 +0200

    stream_filter: httplive.c: add duration to current hls_stream_t in use.
    
    Properly pass duration to the correct hls_stream_t instance currently in use.

commit d314ffc9ac3c1c5a55a9ea9577c806e005783c4d
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 22:55:51 2010 +0200

    stream_filter/httplive.c: Take relative URI into account.
    
    Take relative URI into account. This patch relies on protocol (s->psz_access)  information being
    included in the stream_t * in addition to psz_path.

commit 87a2d70001283537e8b2798bf43f657fbb4cf577
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 22:49:20 2010 +0200

    stream_filter core: add procotol information to stream_t
    
    In addition to p_access->psz_location also add p_access->psz_access to the contructed
    stream_t *. It will allow a stream_filter to determine the protocol used in case it was
    constructed with an access input.

commit bda0ca395c06650d7b1816a3c2177e2c8d23f0b8
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 12:42:50 2010 +0200

    stream_filter: httplive.c: cleanup
    
    Cleanup

commit 01d9ee7feed067b0b05f42930175219244f923bc
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 10:02:07 2010 +0200

    stream_filter: httplive.c: remove debug code
    
    Remove debug code no longer needed.

commit 4852a577d3bc734324980cd93265c5449c2a0495
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Oct 13 09:59:51 2010 +0200

    stream_filter: httplive.c: remove unused include files
    
    Remove unused include files.

commit 3963704be45b717d5bc917c29b1e1ad5ae119ac4
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 28 10:20:45 2010 +0200

    h264 packetizer : correctly compute picture height in case of interlaced video.
    See frame_mbs_only_flag chapter 7.4.2.1

commit 16d8baab8135e6931b829a0d846fd0d94b8d36a5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 08:31:09 2010 +0100

    sd: fix compilation (missing file in the previous commit).

commit 3c12dc172ec1d87ab8560f7a9ede5f6658d2836e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 08:26:27 2010 +0100

    lua_sd: Implement the descriptor request.

commit 8d9c91648df792b3981ab5f3dcdf49ae65c40c4b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 08:18:55 2010 +0100

    lua_extension: do not export the array of capabilities.

commit ef2ea79839f18fd32172344596473820d6d35cbe
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 2 07:58:17 2010 +0100

    qt4: fix a crash if "view-mode" configuration values are invalid.

commit 1b4f18fd499d9953ce7cf2a35a8b37426f40f958
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 2 07:33:22 2010 +0100

    contribs: automake 1.11 needs a recent autoconf

commit 03c9cf61730535306dfb6d6b6b8ec473c8c7adb0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 2 07:15:00 2010 +0100

    stats: fix initialization on 32bits builds
    
    using psz_string to initialize will leave the top 32bits uninitialized

commit 93bf290591b021670a0985db5059eb5b8cab2d36
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 2 00:23:09 2010 +0100

    v4l2: revert to default caching
    
    A too short delay causes issues with late packets being dropped by the
    stream output. This reverts 32e94ee0822a43ad541d03c86263f7adcb6a7c50

commit 1147701912ac3bb28f7ee1b36db89be516ec776d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 1 19:37:29 2010 +0100

    contribs: build automake 1.11.1 on Darwin
    
    OSX automake 1.10 can build the contribs but not VLC

commit d1743f0e7377df228c7b394e0907371d0405638d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 17:51:00 2010 +0100

    NEWS: 1.2. has now mostly video filter2

commit 7ef858fec81f959601d91840dea03d1c94bbec19
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 17:46:27 2010 +0100

    Qt: video filters
    
    Add grain in first page, move away blur
    Renaming gradfun
    Tab reorder

commit 96ea9d8f0e6999ee72e01d299ef70b2dbffb6d05
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 1 17:15:35 2010 +0100

    Contribs: do not build libvpx decoder
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b6c9bd5125c668bbaf785f5021fe0de882792f7e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 17:02:27 2010 +0100

    NEWS: cleaning for 1.2.0

commit bb770dd1a8b310a54bae0080fe6acc980d09df06
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:45:27 2010 +0100

    Removed unused variables (blend).

commit ba9be5bd694ef1fdd2869e1ac9f88f8762986cc6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:41:11 2010 +0100

    Fixed potential use of undefined values (yuvp.c)

commit 49062f184c68e4d2a22c8f318139dbf368d567b6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:38:16 2010 +0100

    Used the right object for messages in src/input/decoder.c
    
    aout/vout were sometimes used. It was inconsistent and in some cases
    those objects could be undefined (NULL).

commit 5f068b2eec4a2ebf053dc4411bd2fa07367d40b3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:29:27 2010 +0100

    Cosmetic (vout).

commit 98604d10df39e14dbf037299e20e25528e0b947a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:27:36 2010 +0100

    Reenabled mean and discard deinterlacer mode in the vout.

commit d0f3e64d9723fba0ea442f243e1340cc75de7efd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:25:48 2010 +0100

    Allowed using filter changing their output formats in the vout.
    
    A scaler/chroma converter is inserted as the last filter if needed.

commit 4d2de10dca4a2368d2d7e99b6a65115710add5da
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 16:03:35 2010 +0100

    Cosmetics (vout).

commit 7a2431ffa60c5d683e455b68af7d8adca162a44a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 16:07:00 2010 +0100

    Blu-Ray: warn the user about AACS/BD+
    
    You need a very recent libbluray for this support

commit 2abfe391b7e4484cff71a3028f00036156cb367f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 15:23:45 2010 +0100

    Blu-Ray: correctly update the navigation menu for 'titles'
    
    As pointed out by Laurent

commit 33a6bdf3df0e78787bb3849218b01037613afde7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 1 15:10:12 2010 +0100

    Do not save deinterlace settings in the p_input object.
    
     It is not needed anymore as changing deinterlace settings does not
    restart the vout anymore. It removes the last vlc_object_find() in
    the vout code.

commit 14f8dbd47bd07de8b336d0d4c1747757a14d0737
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 13:31:50 2010 +0100

    Fixed a double free on error (http interface).

commit 78851abfa731eb4511ccb6b41a9123cd43605ac1
Author: Jean-Baptiste Kempf <jb@elayne.jbkempf.com>
Date:   Wed Oct 20 01:48:01 2010 +0200

    Bluray access: support for Titles
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0f2e11cf724416efd3e5e67f9e29293d2edd419
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 14:55:48 2010 +0100

    Contribs: Add libbluray for Win32 target

commit 3133dd3015071cc8757e04c81e631684b02a5388
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 14:50:35 2010 +0100

    Contribs: add GME target and patch it for static

commit 5bc4c10e6525b7f610de89a6987b2e530925786c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 1 13:43:21 2010 +0100

    Contrib: fix gcrypt compilation on Win32

commit c7c2950f25ad4446ebc37541c91d39abaadaa5ea
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Nov 1 12:20:16 2010 +0100

    rtp sout: simplify

commit 7b814718518673692a4db2472e3569162e056097
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 1 11:09:24 2010 +0100

    test: add an automatic test for the telnet interface
    
    Some important things:
     * the test is deactivated by default as it needed netcat. To activate it you
    just need to add check_SCRIPTS to the TESTS variable (I won't do it unless we
    think that netcat is present on every hosts that run the make check?)
     * the test is really simple for the moment (that's more a POC)
     * we can write a small netcat-like tool to activate this test by default...

commit 80d0bb5802e4478ac45f5144b890c3f3493e8450
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 1 01:32:59 2010 +0100

    dirac: use autoreconf instead of custom script
    
    Fix use of ACLOCAL_AMFLAGS

commit 9285f0da9dae5cac801038e51d6c2ee0222bf004
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 1 00:58:07 2010 +0100

    contribs: vcdimager depends on cdio
    
    also factorize a bit

commit 39a85ff7e7dc0ca2cc60da1bc7ca5937e39c186c
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 1 00:38:22 2010 +0100

    contribs: attempt to fix osx build of faad
    
    use autoreconf instead of faad bootstrap script

commit 166607365c9aad78bd9a1a21d7c5f7252e863b99
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 1 00:15:10 2010 +0100

    goom2k4-osx.patch: use original line endings

commit 87506de9d89cc3225cfc668fc7373447294cd6f3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 23:51:20 2010 +0100

    contribs: make sure build tools are built before the other targets
    
    We only need additional tools on OSX

commit 68b5e21ed773ad15318eaf2cfe6767c858105066
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 23:38:08 2010 +0100

    contribs: avoid ending with a link to Patches/ in Patches/

commit 5b9f8af92b23861e963a0d41e25e7137040207ec
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 23:19:41 2010 +0100

    contribs: libvpx needs yasm

commit f5eb10db61daacfff945530c1ca2537c8770f3aa
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 23:08:50 2010 +0100

    contribs: dont build vp8 decoder

commit 06cd9e617667e7f3198f89854a3394dc3a4b06ea
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 23:05:57 2010 +0100

    vpx: dont install docs

commit fa7fc3bf33139bc966425164df19ceb1ff00eab1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 22:56:07 2010 +0100

    contribs: goom2k4: don't build mac application

commit cd0bfcc0536d9203008706af3a6c3af9b4043d9d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 22:55:32 2010 +0100

    contribs: Remove build rules for autoconf/automake/gnumake
    
    OSX 10.5 tools are recent enough

commit 93df346dadcbb535039a7c05bb1fc1c79f4eea29
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 22:36:32 2010 +0100

    contribs: remove beos config

commit 5a02dcc973ff4ecc9ec67a8c0db42a9e3471b0e4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 22:29:42 2010 +0100

    contribs: no need to run autoreconf

commit ef0538924981a47b1091b154f5510b0478b6882a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 22:03:22 2010 +0100

    aclocal doesn't like -I <non-existing-dir>

commit 911b84c5b54f4bf959044f943220e6c1096b5a0d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:58:42 2010 +0100

    contribs: make aclocal look at contrib installed macros

commit a3b774b3b065e8a12bac4c73ce380af2c5a91bca
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:53:59 2010 +0100

    darwin contribs: remove obsolete target

commit e1aec8ff333c21e349803d18f379b77e3513f32f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:45:27 2010 +0100

    contribs: goom2k4
    
    Don't patch a file which we'll delete
    Use ACLOCAL_AMFLAGS to point aclocal to m4/

commit 8c4d107770674f8c7cbdbbb2f8981d93ae15234a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:29:15 2010 +0100

    contribs: remove broken rule

commit fad7f0d534c6179d2c34298362ab9acad4a3b883
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 22:12:23 2010 +0200

    RTP: reorder for better readability

commit e570b837019e87570450b0ebbe90ad5db01669a5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:12:30 2010 +0100

    contribs: don't build FFmpeg doc

commit c83a35596c289343bc79eef0953cd658291ca5f5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:06:02 2010 +0100

    contribs: make sure vpx destdir are created (use mkdir -p)

commit 409cf9a9f4d1e90e3f855afae6794005a9c201dc
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 21:02:49 2010 +0100

    ios: Add extras/package/ios.
    
    You can now build your iOS libvlc with build_for_iOS.sh.

commit 5c7bb8a3982a9d462d423bb66b51f46fb532a4d2
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 21:01:15 2010 +0100

    quartztext: Use TargetCondionnals.h instead of Availability for latest iOS SDK.

commit cc629fa53e654a18009cdfd3b5b1891e3f0992d8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 20:32:49 2010 +0100

    Allow libvlc client to build statically.

commit 514d6aa6df0e0a9563385f3ba39c699fb55095e5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 21:02:16 2010 +0100

    contribs: fix libvpx build, only specify cross prefix for win32

commit 29a9ef91c62819048434388142c39f80b1f60ca6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 20:21:02 2010 +0100

    contribs: ignore more files

commit fd45c169cb3d8ae49dbbfb6302fdd40ddc732628
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 20:17:05 2010 +0100

    contribs: remove bashism, remove generated link from VCS

commit 2c9005bea3d7c7ae109936ff0457915546c78d39
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 19:51:29 2010 +0100

    contrib: To please the windows build bot allow to use the old command line switch.

commit 78c576d876202cb9cb4d644c2b1b0d1af3f6f0e5
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 18:45:10 2010 +0100

    contrib: Fix build when there is no autoconf.

commit 0a55d75ffbcf53d9073a9c6bdbe4601de0b72c29
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 18:26:28 2010 +0100

    contrib: Old syntax should throw an error.

commit 30a5b9d2a94f5108392a258c069dde6e482424d3
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 18:10:56 2010 +0100

    config: Factorize the Mac OS X targets.

commit f7b1d4f03a1cf6019a17790a48559f74b496ca0a
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 17:57:32 2010 +0100

    contrib: Remove broken check.

commit e281247f50f13515b6781763a94c9b53e9e512ba
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 17:54:34 2010 +0100

    contrib: Automatically set the correct HAVE_${distro} flag.

commit 3d685b6a6b7db4e011ac555205aac4bf69990155
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 17:42:25 2010 +0100

    contrib: Support for iOS.

commit e46f41086a48546a5baf9aae29cb7f23d43ff2b9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 17:40:43 2010 +0100

    contrib: Make sure we can override default CC and CFLAGS from bootstrap.

commit ca3e9173e14011b62f7c629aac9f0d808d4f2c1b
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 17:17:29 2010 +0100

    contrib: Allow install dir and build dir override for contribs.

commit 6201f61b298391fe2912113a1ece6e6bddc8f017
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 18:53:19 2010 +0200

    Qt4: don't cache inside pictureflow
    
    doesn't seem to help at all in thatway, also leaked in playlist-tree mode
    (so if you revert, remember to fix that)

commit b99bed689f923a9cf3fc42ec9e130c9323509daa
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 18:08:12 2010 +0200

    Qt4: pictureflow, check that we use valid index

commit a827765af7c152553d44f2c08cec488cffc6c732
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 16:20:19 2010 +0100

    bootstrap: Use getopts.

commit 4881724b5c3a6511836fbd6796318924fe32cbc9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 16:09:50 2010 +0100

    contrib: Add some abstraction layers instead of using raw echo.

commit 067da77cc7176ad8d0db729967b9c2ee3681a77a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 17:42:48 2010 +0200

    qt4: don't deaccelerate when closing on target in pictureflow

commit 451e40d90b16845871cc8a8a043d0fb0d3d4be92
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 17:40:55 2010 +0200

    Qt4: render artists/title on pictureflow

commit 27b37486b546fa9dff45f3a09653f2a781d2c62a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 17:16:36 2010 +0200

    Qt4: pictureflow, activate input if cliked and it's not currently playing one

commit e40d6757b31854536486b283c31b9c8ae90600ad
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 16:53:43 2010 +0200

    Qt4: make pictureflow work with tree-like playlist too

commit ea7a0fecb1d618cad7542cff72a0663c76c46f92
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 15:02:32 2010 +0100

    ncurses: fix #1987
    
    Use a ncurses timeout() of 1 second, which will block when waiting for input
    
    We use 1 second so the position slider is refreshed correctly
    We could use 500ms to not miss any change, now the slider can make a
    2 seconds jump, see Nyquist-Shannon theorem
    
    Add a variable to the context to exit the main loop as soon as the exit key
    is pressed, so we don't have to wait one more second: vlc_object_alive()
    doesn't return false immediately after calling libvlc_Quit()

commit 78a9941ce4ef0d199807d60e26b5de70523e3262
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 31 14:34:37 2010 +0100

    OSX framework: ignore-config and no-media-library are already the default

commit c4d7e02c6f1212e24a36a0ac62a4ec08e7ebbf54
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 13:03:29 2010 +0100

    Revert "swscale: Support RGB565 in swscale."
    
    This reverts commit 103ae418b44980c0cabd211cd18d10ed87a994f4.
    
    This cannot be good: either it is invalid or incomplete. More informations
    are needed to properly fix the issue seen.

commit 131757a0443bac719091c4bedc0ecf2bb2cde2d8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:54:28 2010 +0100

    Removed invalid assignation while loading cue files.
    
     It has some random effects depending on the url (including use of
    uninitialized pointer).

commit 429232b99c5452f0d7e8c8b1b203e5d61431600e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:41:02 2010 +0100

    Fixed a allocation failure test in swscale.

commit 9db11bdf3dcaa47be10144e4bd26cdd8da1245a6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:40:15 2010 +0100

    Fixed allocation failure test in input_item_SetEpg().

commit 2f37c6b5ed4e193e1c12dffd5e4bf5151ba019ac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:36:23 2010 +0100

    Removed useless test (demux_New).

commit ca1bdb8650fa6875cea42e76ff1d88e457e471ab
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:35:44 2010 +0100

    Fixed a check on malloc failure in libvlc_media_get_tracks_info().

commit f103a7c2dae0020a4772b3a2f8c74997accc5111
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:34:45 2010 +0100

    Fixed double frees in libvlc_audio_output_device_longname/id.

commit a5429b614377c877e8fb58cf8eb1b17a676bd3b7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:32:51 2010 +0100

    Fixed a potential double free if an error occurs while saving the configuration.

commit 37e0b5b4827a85fc92643fb2baf881c4d34a6df4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:32:29 2010 +0100

    Removed useless test (ts.c)

commit d9f4825a3fa8b2193a14d41d6f01db1eaa6f3f7a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:31:32 2010 +0100

    Fixed a potential double free on error in qtl/shoutcast demuxers.

commit b04d7e33a94f7d5d037881f88935f0ae9538a658
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:31:11 2010 +0100

    Removed useless test in oggseek.

commit 5c45e94271453fba518d384df6632608708ffad2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:30:12 2010 +0100

    Used char [size] instead of char * in mp4.c for the iso639 conversion table.

commit f5d49c0ea1672125c3d6ddb5dbcf1d99dbc1817e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 31 12:29:25 2010 +0100

    Mde GrabVideo() in v4l2.c a bit easier to follow.

commit 6cbc6e320b327d4da6c4135319d2da88a0da5786
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 30 21:47:42 2010 +0200

    transform filter rewrite as a "video filter2".
    
    It is not yet complete:
     - packed YUV support is lost
     - rotation modes are lost (it needs change to the vout core).

commit 9939e11715d09f1ddd31724a7230709f137cb99d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 13:49:23 2010 +0200

    Win32 build fix attempt

commit 41e5bcdaf199d62d6bd5a6c0866ecce61458820e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 13:39:27 2010 +0200

    Remove unmaintained BeOS support

commit 242b536fdbfcf81a89d099ecc04d45e0a70955f0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 13:27:52 2010 +0200

    Revert "vmem: By default keep the original image aspect ratio."
    
    This reverts commit 4d9bf01bb1bad90a28100e2a80bb1482b0997a54.

commit 8924960324d87645d305e36bd7f740e2bc69878a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 13:08:59 2010 +0200

    XCB: use automake conditional

commit 9c42dd144294eef79efb12b91f85dd3f3ccd2079
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 13:06:44 2010 +0200

    Qt4: rework coverflow to use playlist model for art

commit fbeedd2dec9d10cc51263af1249d16f6f48ab124
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Oct 31 13:06:02 2010 +0200

    Qt4: return qmodelindex from moveCursor

commit 10ebadb26f100a56626c8b12d00cffa1e75962d1
Author: wucan <can_wu@cnbvcom.com>
Date:   Sun Oct 31 11:54:06 2010 +0100

    demux/ts: beatify warning digital format when dump invalid header of pes
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit 484ba52544f00e3a6df40ee4ea63d43b4bb46b09
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 11:46:38 2010 +0100

    NEWS: s/OpenGL ES 2.0/OpenGL ES 1.1/

commit cf2df38055fdd1a03d80666048b02ebc6e63b875
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 11:30:13 2010 +0100

    vout_ios: We do use 4 spaces indentation and not TABS.

commit e4b731d9d0709671971f1d2e7858d32494c0828d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 31 12:28:36 2010 +0100

    PO: add ios.m

commit d6c8ad452a2905b317ae7e50e094f0df860de0cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 31 12:26:44 2010 +0100

    Demux image: remove \t in source code

commit 5ff1f1545260d08f1a058f475b39d48349eca7bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 31 12:24:48 2010 +0100

    NEWS: iOS and Targa

commit 81f7d8c145e0861af2b13aa25ba7784e314fb88a
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 11:16:59 2010 +0100

    opengl: Fix a typo.

commit f2ca5228c7883efc68d94fc04b015e710e37c224
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 11:16:37 2010 +0100

    quartztext: Fixup.

commit c3e49077045992016077fdd22f65e4588f966e8f
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 11:16:24 2010 +0100

    mp4: fixup

commit 4d9bf01bb1bad90a28100e2a80bb1482b0997a54
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:53:57 2010 +0100

    vmem: By default keep the original image aspect ratio.
    
    Old behavior is accessible via vmem-preserve-aspect-ratio.
    
    I believe this is the most sensitive defaults even though this is not the current libvlc API. I wouldn't expect client breakage, but I may be mistaken here. Please shout if so.
    
    (Note, This is being used to do the iOS thumbnailing)

commit f7a324a541aa8e382f0153932fb73969cc205911
Author: Romain Goyet <romain.goyet@likid.org>
Date:   Sun Oct 31 10:44:16 2010 +0100

    opengl: Supports OpenGL ES.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit dc3c197863e46e0f2acc85c8c2724f1453a697e8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:27:36 2010 +0100

    quartztext: Allow to bypass quartztext build on Darwin.

commit 292ecf247c55502a1ab70a7137afe8e8187a12dd
Author: Romain Goyet <romain.goyet@likid.org>
Date:   Sun Oct 31 10:24:20 2010 +0100

    modules: Add iOS vout module.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit 103ae418b44980c0cabd211cd18d10ed87a994f4
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:17:42 2010 +0100

    swscale: Support RGB565 in swscale.

commit 4197f75c1a126e9f0ce9b7774726b62f8e45a261
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:15:07 2010 +0100

    quartztext: Basic support for iOS.

commit 0c8b345c6ee62b52f821b43e7e83197d45268dd3
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:11:03 2010 +0100

    mp4: Don't build IOKit specific hack on iOS.

commit 27596ea4849079de26ef01f56fedfc258b507af8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 10:05:21 2010 +0100

    motion: Don't use unimotion on iOS.

commit 4598e4887a74f05a7a9465e67c1d17c75b584cb1
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sun Oct 31 09:57:27 2010 +0100

    arm_neon: Force libtool to be in CC mode when using a custom as for iOS.

commit 2526aec1be619c16a0322783b624e844e497a7c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 11:12:20 2010 +0200

    Remove useless #includes

commit 3a27eb58f0a86a3cc80a0e66e8d0463fbbbfd4c9
Author: Brad Smith <brad@comstyle.com>
Date:   Sat Oct 30 19:26:25 2010 -0400

    Fix a typo with the libtool flag -export-symbols-regex
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c4c29a8b02882a7ec76a6985109116dabd96010a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 30 22:14:11 2010 +0200

    VAAPI: build fix

commit 40999732fcab5d4a089c8855f20138825cdbc692
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 23:01:03 2010 +0300

    Qt4: coverflow, only do animation if target is under 100 items away
    
    It seems to take about 10s to scroll 100 items in my pc, and any longer than
    that is just way too slow.

commit 51d4ac7c2b2cf581fda4feb6ae430e0ddac93f1a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 22:54:24 2010 +0300

    Qt4: small buggy test if modelinder is hidden or now

commit 795abbd5f4dd30ded3d1def1f2735f72ba8db990
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 22:53:54 2010 +0300

    Qt4: don't crash coverflow when cliked my mouse

commit 02bdc02e7c543c2b8329105067dc9d403278391e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 22:53:30 2010 +0300

    Qt4: coverflow, fix off-by-one in scrollto

commit fee9386c0e666b9b1d4c5554af3d0efcf0bd5301
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 30 21:01:42 2010 +0200

    Added targa support to image demuxer.

commit b7505eeb907d393dabbf3fa447679d76eb5d2154
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 22:03:51 2010 +0300

    Qt4: showslide scroll to row instead of column

commit 48c56f9d580f27810fb83f90cea6d0f298ad51f5
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 22:03:21 2010 +0300

    Qt4: don't connect centerindexchanged, it's trigggered allways when coverflow is scrolling

commit 4a05b5299dac0f63dae030b5b4833e7bc0e2fcbb
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 30 21:16:23 2010 +0300

    Qt4 don't return on empty arturl, otherwise we don't get noart-icons

commit cf6e402bb8b506a816fda71cea0afe1b90d3af4b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 30 19:20:53 2010 +0200

    luarc: fix #4282

commit f7520eb1df0617816265140752b3f8ed9b187fbc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 27 19:36:39 2010 +0200

    lua_sd: force garbage collection once a while.

commit 91a47fa968e61598ba35853206fd10528b8f74e4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 27 18:19:15 2010 +0200

    Use var_Inherit* when applicable.

commit 383e30d5d0eb7c02f3ba861c3efb09d6bea221cf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 30 19:27:04 2010 +0300

    Require XCB version of libpulse

commit e9f34b05c1bb5eeb9912c41bdbeda340e0ee9558
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 30 19:26:43 2010 +0300

    VAAPI: use vlc_xlib_init()

commit 595d10570d1223faba04b76058f4e4732249e605
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 30 18:04:44 2010 +0200

    Created the ES inside the Open() function of the ES demuxer.
    
    Based on an initial patch by Rafa�l Carr�.

commit 2329859614c05d33ace52b0a3ccda9fc2af926a0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 30 00:57:01 2010 +0200

    Fixed playing end of decoded audio data.
    
     It closes #4278, partially closes #3152, closes last part of #3090.
     It does not fix audio losses due to potentially buffered data by
    packetizers/decoders.

commit 3fe5be16aa84db7833c9eeb5471bacc540a013fe
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Sat Oct 30 16:22:56 2010 +0200

    Upnp: missing <assert.h> include
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d6157cf29012a723794b3cd8535cabbf51dece73
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Sat Oct 30 16:12:09 2010 +0200

    Fix stupid typo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f4a9f1315dc0865ac0519ba19ba684eaea84625b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 30 12:00:23 2010 +0200

    Text: Fix compilation on non-UTF-8 systems

commit 669862ccd3915bab58cc133a347baf735434cf7b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sat Oct 30 14:48:19 2010 +0200

    ncurses: fix messages display
    
    - use libvlc verbosity
    - reset default color after having displayed the messages

commit f48e8b56ae8254a937aba22b87b61c6e0aa57db8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 30 11:44:46 2010 +0200

    Qt: reorder views

commit d6a48806e897f96dac741dd6f88d0e8ece701213
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 28 14:33:27 2010 +0200

    Qt: initial pass for CoverFlow view of the playlist
    
    This code is unfinished, and is commited as a Proof-of-Concept
    If people agree on it, we will go on this experiment, else revert.
    A lot of the code is broken, you are warned.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f80154beca3e3e233c0cc3288af4c4d2dbf8fa72
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 29 03:21:11 2010 +0200

    Qt, playlist: Move getMeta helper functions to PLModel

commit 56a27db4d6468ed48aefc4e519ea539fe31a0b10
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 23:56:40 2010 +0200

    ncurses: add back comment mistakenly removed

commit 2b0981f7acf28fd27439f595fd2282065e003c64
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 23:53:28 2010 +0200

    ncurses: simplify IsIndex() and DrawPlaylist()

commit e425c7c00048f3028fb07aa99e34e8db95d64e75
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 29 22:30:44 2010 +0100

    Add some translators

commit 60f84b61bc75b29ff0dccc39d0ffdfb94151090d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 29 22:24:32 2010 +0100

    Activate Modern Greek translation on Windows (and Mac)

commit e6cfc171499f1893390e564cb52bc09ddf220783
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 23:34:13 2010 +0200

    ncurses: if (a || (!a && b)) -> if (a || b)

commit 035fd1fb1b82308f87ad5027621278e04c5e7ad4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 18:09:52 2010 +0200

    ncurses: typo

commit 1036154b0e17e541259cfa39a74b362f3ea438ec
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 18:03:51 2010 +0200

    ncurses: remove broken code to switch between flat/tree view
    
    flat/tree view seems to be controlled by playlist-tree option these days

commit 9f0a713cd27838ff3d7c226007d90d6170860951
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 17:46:26 2010 +0200

    ncurses: missing check in CheckIdx()

commit d8f0784231067b3da279a8f54d83320b32c87cf9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 17:29:12 2010 +0200

    ncurses: messages box

commit e2a6d9e31423eaaa27757f511ab647613c6ea2c4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 29 16:16:58 2010 +0200

    ncurses: lot of changes stacked together
    
    - remove some messages logging dead code
    - don't store the ncurses WINDOW, use global stdscr instead
    - add some fancy unicode characters to the help
    - factorize list navigation key handling
        all boxes now use the same code than PLAYLIST/BROWSE
        this means there is now a selector in every box
    - break Redraw() in several functions
    - remove fancy characters from Status box drawing code
        use the same layout than meta-info / info boxes
    - fix a display bug in objects box
    - simplify some functions and remove unneeded arguments
    - avoid a strdup() in ReadDir() loop
    
            Known regressions:
    - when switching back to PLAYLIST box, the selector will be set to the
      playing item only after the 2nd refresh (i.e. maximum 1 second later)

commit 5fff5583aebd179235e23af3d83f7f1c4bf31d68
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 29 03:08:19 2010 +0200

    NEWS: mention latest 1.2.0 developments
    
    And improve consistency

commit 151de06840b4da5a0680a6ca059b258b28420b0f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 29 03:02:55 2010 +0200

    description: fix the way the input is stopped
    
    Yes, this still works fine as long as it's used in that one place in
    the VLM.

commit c80222d4aefbe9d1634767e9027c73addaf477c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 28 23:57:10 2010 +0300

    GME: support for more than one track per file

commit 9b00ccb6035cd5d2106cec12f2455ded38e165fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 28 23:56:54 2010 +0300

    GME: useless #include

commit de7205dc3237b3bfeeb4a8f265e357fcb317f9e1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 28 22:00:45 2010 +0300

    GME: fix potential integer overflow

commit fac9bec69abe4f731e9e27a420e5cacaff804918
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 28 21:58:04 2010 +0300

    GME: new plugin based on the official C API
    
    Only one track per file implemented yet

commit 9728d81b27280fcf1f5242de88cab9e7ab62ac27
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 28 20:13:37 2010 +0300

    GME: complete plugin removal
    
    This uses some unspecified C++ statically linked version of GME.
    That does not correspond to libgme, and seems unused.

commit 3d7c4dc4eddb72f52a561ab7ceb3c4baa88e4542
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 27 22:55:01 2010 +0300

    Win32: libintl (gettext-runtime) should not need libiconv
    
    Our PO files are all encoded in UTF-8, and VLC always binds its text
    domain as UTF-8. There is no need to convert localized strings. So
    libintl does not need to use iconv.

commit 9cc4fe4d71ca01f9bb816b56df47a39effebc0cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 28 14:30:26 2010 +0200

    PLModel: formatting fixes

commit 465f5a018efce22bcae9b8c515a98232d8b69f5a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 28 03:59:02 2010 +0200

    Qt: fix the view checked() state in the ViewMenu

commit 6950dc055e304476bdeec14c2ce5afadd91886af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 28 01:53:41 2010 +0200

    Qt: further playlistPanel simplifications
    
    This should help a lot the future work.

commit 45202fbe4f0d4be8b190b44e91d934ec57b4cc82
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 28 04:58:57 2010 +0200

    Add missing include

commit 60b9431150c07394ee4979de1bf06bb03ad3e05d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 28 04:26:09 2010 +0200

    i18n: remove deleted file

commit 1b9f5521bff05b3e84d085253fe6972dc3b18477
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 27 22:33:09 2010 +0200

    vlm: use libvlc as a parent for vlm instance input resources
    
    We can't use the VLM object because the instances and their input
    resources are cleaned up in the VLM destructor

commit a6e6fbffe4ff156a594908a53a6c143f9e3bb9b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 27 22:31:01 2010 +0300

    LUA: use FromCharset()

commit 4dcd9522a31e21a945fb4f56c036dfa3432bce2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 27 21:26:31 2010 +0300

    FromLocale and ToLocale based on FromCharset and ToCharset

commit b79da00944ce72333375fa5a511251fa4a4e83af
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Oct 27 20:25:25 2010 +0200

    libvlc.sym: Alphabetical order.

commit c0b7521d7b18cdc2676c09c19c5086649e48ed45
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Oct 27 20:22:28 2010 +0200

    vlc_cpu: Fix a typo about ppc64.

commit de7b2fd2e8b58059bfe2f2ff7080385ab0a44f56
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 27 18:05:15 2010 +0300

    Revert "Qt4: small loop change"
    
    This reverts commit d38706da538c117b7da468edae58c54777104081.
    
    Changed back, as changed loop didn't do same as original did

commit e9976acac5580d150fef62d4ae677b36c147ba86
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 27 01:26:39 2010 +0200

    ncurses: rearrange Run() to remove a variable

commit 0a9020970530171115027daf8bc30b7fe3e3a231
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 27 00:21:01 2010 +0200

    ncurses: cosmetics to reduce LoC count (now under 2k!)
    
    Also assume p_item->i_es is set correctly

commit d2f7f8a652676df3ea9710c5d0c4a0906f55db44
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 27 00:10:02 2010 +0200

    Redraw(): if/else if/else if -> switch/case

commit 839261675cbf89f75bf9b659cca1d54ff49219de
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 23:42:54 2010 +0200

    ncurses: split HandleKey()
    
    - use switch/case instead of if/else if/else if
    - factor out HandleEditBoxKey() and HandleCommonKey()
    - return bool instead of int

commit 890ebe4a974cee5544bfa016ff1da6d7a07c5417
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 22:46:36 2010 +0200

    ncurses: densify HandleKey()
    
    Use one line per switch label when it improves readability
    Also explicit the sign of position increment even when positive so +x and -x are aligned

commit 4657acd4671db55baa3ab7f10e594846e525c03a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 22:01:56 2010 +0200

    ncurses: remove "default: break;" from switches

commit fbb4f13f84ce44a038b96aa136488e47edca300c
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 21:57:53 2010 +0200

    ncurses: factor HandleBrowseKey() out of HandleKey()

commit 41420a4f48ec63372122521c374debc2582607f3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 21:30:36 2010 +0200

    ncurses: Fix comment, UTF-8 locale is now required

commit 4a88683bf98808913bc91310667690fa911a23bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 27 08:50:08 2010 +0200

    Qt: move view names to the StandardPanel file
    
    And cleanup includes of StandardPanel

commit ea4ffc6f27c9910e8f5e943595149efaa194ca31
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 27 07:12:23 2010 +0200

    Qt: Playlist, code simplification and factorisation
    
    Remove friendship
    Factorisation of CoverArt
    Reduction of class footprints
    virtual and protected correctness
    Forward declaration when possible

commit d90dc446016d72cbaab9d43be8d877f51b8a0376
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 26 21:37:28 2010 +0200

    Qt: rename playlist views files

commit 82352081d233e482fb4064a8ba027a55121c2e59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 26 21:32:49 2010 +0200

    Qt: playlist views, correct virtualness

commit 415dab3b66f17c808045d41577c0b97d7732db33
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 27 01:40:20 2010 +0200

    luatelnet: fix grammar

commit a94688f91336176d32649824369dc9d9bde8d126
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 27 01:26:47 2010 +0200

    luatelnet: don't replace \r by extra \n
    
    It's useless and create bogus empty commands, that output ugly blank
    lines and crap during login

commit b1b43f10c6f0eaeb7813ea1030592472f50fd433
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 20:14:19 2010 +0200

    ncurses: factor HandlePlaylistKey() out of HandleKey()

commit 14b3c6a77f635e846aeec2b38d98390c658be26e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 21:11:13 2010 +0300

    FreeType: use ToCharset()

commit 20faccf7c4642cb878aae12a14a4d6c5018bf219
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:59:59 2010 +0300

    MMS: use ToCharset()

commit f8471e1db4bea3b055d03776347742ed1f8898f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:48:46 2010 +0300

    Add ToCharset() helper to convert from UTF-8

commit 67a62cc7bbb9f0241f14183d89da58f7e0aada41
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:27:40 2010 +0300

    DVB: resync with TS demux

commit b298ce46d52a627d49e09e2203a93110cbbf51d1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:17:55 2010 +0300

    Replace vlc_fix_readdir() with FromCharset()

commit e50e29c7508b795178ea004a08005b3e326421f0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:11:35 2010 +0300

    Move vlc_iconv* to <vlc_charset.h>

commit 979ee1a3f39e7dc8b2b1fae92e378b4dc76a8ece
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 20:06:09 2010 +0300

    TS: use FromCharset()

commit e8b9642e01560d279c13fb03517c35bf5ab968d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 19:56:11 2010 +0300

    NSC: use FromCharset()

commit b507be164634723343845d2cf9d2cb7d396ef5ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 26 19:51:43 2010 +0300

    ASF: use FromCharset()

commit 727bf3ce365e04357a8ac6c675040df448d90fb0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 18:27:55 2010 +0200

    ncurses Eject(): initialize psz_device correctly

commit d38706da538c117b7da468edae58c54777104081
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 26 19:04:57 2010 +0300

    Qt4: small loop change

commit eac9464c4028d25c81da0af793568a581088580a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 26 19:04:06 2010 +0300

    Qt4: don't create multiple playlist models

commit db8c66ceb1d9b3f374b19572cbed4739a3369ea5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 16:00:07 2010 +0200

    ncurses: fix search string display

commit 2c14f59841c493564d6b9900be99f7570c8699b7
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 15:54:07 2010 +0200

    ncurses: remove color switching
    
    --no-color / --color is a fine enough control

commit 849824afed632185d58c90774305c9e2ce3de536
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 15:46:53 2010 +0200

    ncurses: remove f_slider* from intf context
    
    ManageSlider() -> ChangePosition(), now takes the position increment as (signed) argument
    Don't show percentage of media in Position (elapsed/total already show this information)

commit e311921bfaf6f8324089d9c3efb85abc896f32e2
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 15:32:20 2010 +0200

    ncurses: remove variable from interface context

commit 2ae4d9ebb64dad290cfe535038452999048bd001
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 15:25:02 2010 +0200

    ncurses: fix playlist locking problem

commit 8b6530c26448243d8bc89972d9213cc054839ccd
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 15:24:16 2010 +0200

    ncurses: cleanup
    
    factor out file/directory detection code
    remove the need for {OPEN,SEARCH}_CHAIN_SIZE defines

commit 067da52ad566fe1036b48417beb2bfdbd92622c9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 14:17:00 2010 +0200

    typo

commit 59842d4a696c6f945cee282b8b737ea70e5baf37
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 13:35:32 2010 +0200

    ncurses: require libncursesw
    
    remove code to workaround lack of unicode support
    
    Also statically allocate open and search buffers

commit f449231fc3933f87edfbfd96e62e24a730b544c3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 11:25:13 2010 +0200

    ncurses: cosmetics
    
    align 'case' on the same level than 'switch'
    use an inline function to switch boxes

commit 8a72c657e913a8993e64d37eb310f495eca4c337
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 10:50:31 2010 +0200

    ncurses: simplify metadata printing

commit ad90962dfb8b3073e434b027d064de7f075fc799
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 26 00:39:58 2010 +0200

    ncurses: cleanup
    
    Comment out all messages box code
    Factorize Eject()
    Replace break/goto in HandleKey() by return
    Draw immediately on start of interface (avoid flicker)
    fix Playlist race condition in Run()
    Remove pointless comments

commit b7b8876f91806e59f37e32f2c95b4d03ffc29219
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 23:38:12 2010 +0200

    ncurses: cleanup
    
    remove unused intf_sys_t members
    remove useless assignements
    use C99 for(;;)
    fix a double free when not using ncursesw
    use sizeof instead of strlen() when possible
    use var_GetInteger() instead of var_Get()
    use calloc() to allocate intf_sys_t and remove assignements which set memory to 0

commit 815d94438c447f00092c0b3e9980dcd81fea3253
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 22:57:39 2010 +0200

    ncurses: i_current_view is a boolean

commit 1b61f9b44dc56b13f3a5103ecc49b228a069e41f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 22:52:01 2010 +0200

    ncurses: Use a table to store color pairs

commit 9886670b170158fbb683321fa1b5189c1122444f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 22:38:50 2010 +0200

    ncurses: Rewrite playlist code to make it more readable
    
    Split some functions

commit 3cc4799c1245eeab9e2fa2cfa94699d10cd7b0e1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 21:43:30 2010 +0200

    ncurses: factorize ReadDir()

commit 96c449015730579b1190757c3a30cf34b64f73ba
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 21:29:08 2010 +0200

    ncurses: improve array cleanup
    
    factorize

commit f78010cfdef42268d70c3a259bc1569838729302
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 21:05:15 2010 +0200

    ncurses: cosmetics
    
    Remove braces around a single statement
    Merge some comparisons
    "( a )"             -> "(a)"
    "if(x)"             -> "if (x)"
    "if (x == NULL)"    -> "if (!x)"
    "if (x != NULL)"    -> "if (x)"
    
    ReadDir: Invert logic to have less indentation:
    {
        if( a )
            x();
        else
            y();
    }
    ====>
    {
        if( !a )
        {
            y();
            return;
        }
    
        x();
    }

commit 26e663611b072ecd82327bd16d96ccee1adb672b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 25 20:50:37 2010 +0200

    ncurses: reorder static functions
    
    Remove most forward declarations
    Also update copyright

commit bdea03db32db0efadac1952789716bf144355a49
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 25 23:34:36 2010 +0200

    lua_sd_channels: implement the search function.

commit ab20299e91701579af48e15316f8c016317e987f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 25 23:17:09 2010 +0200

    Add an SD for channels.com (nice content).

commit f5dbbddb72e2723edcf049afc9dfe9d146fccb6f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 25 15:15:45 2010 +0200

    lua: cosmetics.

commit 6292f64765234d09a266af88608a7aa58edd0948
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 24 17:58:59 2010 +0200

    Fixed kate decoder compilation.

commit 03d6f6f26bfa2dbdfbf0d47c1b05d17d06f1d37a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 24 17:57:57 2010 +0200

    Fixed filter_chain_MouseFilter when multiple video filters are used.
    
    Ths mouse events must be filtered backward.

commit 4cebdb5ba995446802f2b0ba9ce093d70d3da34b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 23 23:20:07 2010 +0200

    Improved video-splitter changes by seeking back to try to resynch on I frames.

commit 84d2f956db0f2c5667a17cf156439bb3fa0f16d5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 23 23:17:07 2010 +0200

    Fixed variable name in motion control intf.

commit a5472838627f3598bbb12de2fcfc343cb2a7abde
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 23 23:16:22 2010 +0200

    Renamed vout-filter in video-splitter.

commit 88937154f1eaddcc97dddbaa27f30ead72429f3e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 23 23:09:11 2010 +0200

    Fixed vout-filter change support in qt4.

commit 35e5c857347e6d3d65103aaca8e5b5aa0b861741
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 23 23:06:08 2010 +0200

    Moved "vout-filter" change support from vout to playlist.
    
     Vout does not support on the fly changes, and an action on the input is needed.
    As such, it only belong to the input manager (hence the playlist). It also
    remove another vlc_object_find(PARENT).

commit d9b001818638b4b072e687aed5ad43d30a42ee48
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:54:35 2010 +0200

    Cosmetics (vout).

commit cfe5b8d598c744338c3975ff58cd33ba1b013aa5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:51:50 2010 +0200

    Moved vout_GetSnapshot() to video_output.c

commit 41d4b8bd7df6a2a2814e29e84efb10bebda6faf2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:39:03 2010 +0200

    Fixed and simplify --monitor-par support.

commit b5b258f7c346539c64d1a267bc3cfffead3b2811
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:29:18 2010 +0200

    Removed non thread safe callbacks on video-title-show/timeout/position.

commit 82676b9c941fe7e9c05a1d1758d4d4e4aa381a9b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:13:33 2010 +0200

    Merged vout_pictures.c with video_output.c.

commit 1ccc38ba9945ebc320d290b8a2c65dbbedf5982d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 22 20:11:12 2010 +0200

    Moved picture_t related functions to its own file.

commit d55184baab258023a1367dd29a0e9f12a56dba05
Author: André Weber <atmo@videolan.org>
Date:   Mon Oct 25 19:18:36 2010 +0200

    atmo: support Fnordlicht protocol with up to 254 channels

commit 9b2c6f226ab787d8e59c5dcf47ce508475b38d61
Author: Mika Tiainen <mikat@iki.fi>
Date:   Sat Oct 23 19:21:13 2010 +0300

    Fix compiling of xscreensaver plugin
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 6c24f08b6b396f2e9737277a2b02c3446474dd16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 25 18:35:32 2010 +0300

    TS mux: fix use of non-existent variables
    
    See http://forum.videolan.org/viewtopic.php?f=13&t=83706

commit 33a042e0019f157bc2a6a136a247f9b9fc1bbd31
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 25 18:28:45 2010 +0300

    Object reference leak

commit 195355bee28c1307f243f138e574525868514720
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 23 23:16:10 2010 +0200

     theora: fix packetizer fourcc
    
    This prevented restreaming theora streams into ogg
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit 70fb0a47dd26ccf60bf0e877aab33d1734250487
Author: VideoLAN <noreply@videolan.org>
Date:   Sun Oct 24 19:50:08 2010 +0200

    Darwin9: warn about gcc-4.2 only if not installed

commit fa8bbe9c3fd2606d53efc5c1da50d26ac29d1066
Author: VideoLAN <noreply@videolan.org>
Date:   Sun Oct 24 19:48:09 2010 +0200

    contribs: get number of CPUs on darwin

commit 91b0f5287e7f6195bafc44f6e8c96ac5ab4e2439
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 24 19:50:31 2010 +0200

    Qt4: fix SD search.

commit 8675d26cea713ca9ebae3b91bd7c3e9bb320dcb1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 24 18:14:33 2010 +0200

    taglib is not thread-safe
    
    Fix ticket #3958

commit 2ad5d811df1fcb2c0229d9e21fdd93d43344d19c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 24 16:58:25 2010 +0200

    Qt: adapt to new SD search function

commit f18a9358a25052dc4cbf764693ca20a06ee37aae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 24 16:48:25 2010 +0200

    Qt: playlist code refactoring

commit da1239a1439eb3bfe753a37300bc04ddc6fb4de6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 24 03:38:46 2010 +0200

    Qt: do not search SD if the text is empty

commit 0ba592f9aa1512e66ea4937426c96725d5c6f976
Author: G Finch <salsaman@gmail.com>
Date:   Mon Aug 9 23:05:53 2010 -0300

    New-ogg-seek-logic-theora-specific-changes
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit eea1cddcb651c874e66999a91962da3b3f85bed5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 24 10:17:13 2010 +0200

    rtsp: fix socket leak
    
    A socket is leaked when the client passes a wrong session identifier.
    A remote attacker could craft malicious RTSP requests and...

commit 7c5348b695c23258157ec21cdcf69ed6917bf009
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Oct 24 03:52:12 2010 +0200

    sd: remove the pf_search and use a more generic pf_control function.
    
    This way we can implement both a search function and a description function.

commit b131df4e1d11b0bd8df9d51040825cb9fd033345
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 24 03:24:31 2010 +0200

    Qt: search differently when you are in SD
    
    So that you don't kill the lua.sd search() functions

commit b528f5959085a4d96c5a98838bde1ccb0908cb1e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 19:13:52 2010 +0200

    sout_httplive: fix free of uninitialized pointer.

commit 19dc078e5acc868faaa78429718fe65cf343541a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 17:15:40 2010 +0200

    Use var_Set* when applicable.

commit 3119a2c565236de4dbefd31e6a36c12ecfa5f9cf
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Thu Sep 23 23:44:34 2010 +0200

    Add access module for BlackMagic SDI cards ("decklink").
    
    Adds a driver for the BlackMagic DeckLink series of SDI cards (input only).
    It requires BlackMagic's proprietary (but free-to-download) SDK to compile
    and run. I've only tested it on Linux -- the Windows API is very similar but
    not identical, so some adjustments will probably have to happen if anybody
    wants this to work on Windows. (Windows users can, AFAIK, already access the
    card via DirectShow, though.) It supports multiple cards, all the various
    A/V inputs and video modes including setting field dominance and multichannel
    input (2, 8 or 16 channels).
    
    All testing has been with a DeckLink HD Extreme 3, which I have very
    graciously been given access to by Frikanalen.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d7fa382b66ddb92de89edd35864860ebace28507
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 17:07:25 2010 +0200

    Typos.

commit bc1506a1863c601fd47a1dd5beb116c3d6cf1c4a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 17:06:33 2010 +0200

    Do not use strlen just to check that a string is non-empty.

commit 79943f01bc40992a5d6be7ec44078b3a6936cbcb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 16:07:11 2010 +0200

    access_out_file: add the sync option, only if O_SYNC is defined.

commit 9076372339058bf8447ce5edfbf8f098aa298d63
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 15:46:58 2010 +0200

    shout: fix a memory leak.

commit 6b7771a47904a82aa07c1d6827c104292a24121d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 15:20:30 2010 +0200

    shout: cosmetics.

commit 26256b990ac61e89c26e817a2efeb5710a3d9567
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 15:13:07 2010 +0200

    shout: use vlc_UrlParse instead of a custom one that can crash for some input ...

commit 71f84efb0907f2c337af2284ae9d22248723044c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 23 01:46:10 2010 +0200

    Skins2: #ifdef broken code on Win32

commit c403dc6569d7ae1ea06ceaae317d4e986b0f0fb1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 23 01:32:03 2010 +0200

    Configure: actually do what the help says it does

commit 8c7a6ccd145760f0800901c4d405bb0e64edd882
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 23 01:19:37 2010 +0200

    Fix compilation.

commit 396da76db051d19b751d50ad03cafe211fc5e441
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 23 01:00:38 2010 +0200

    Shout: fix compilation

commit 96929b1b8529b018862f59cd574fa01b5a02adb5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 22 17:52:09 2010 +0200

    Qt: change the LocationBar Class file

commit d380361862bb5f22b8a672575e0b5b21a9a29953
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 22 17:42:43 2010 +0200

    Playlist code: simplification, part 1

commit 99ab417dbf680f4df1c4f852db87309ef47ffa91
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 22 17:32:50 2010 +0200

    Qt: Remove the "media brower" label
    
    This adds exactly NOTHING to the usefulness of the UI

commit 7310bac28eabdc58eb07a86fcd75416df04ebbb4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 22 17:30:21 2010 +0200

    Qt: search the SD if possible.

commit 40b4d780a427e29a936e267090d6809e2ce98fd3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 21:08:23 2010 +0300

    add_bool: remove callback parameter

commit f7d111759f8dd52efe51bd46b402cd00fb9fc92a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 21:06:51 2010 +0300

    add_key: remove callback parameter

commit f98a66cea0e6279975e5f5a6116bf3e9389ec5da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 21:05:50 2010 +0300

    add_integer: remove callback parameter

commit 85ba4839e68f353ebb6cd8d0b2203c97e66d52e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 21:02:01 2010 +0300

    add_float: remove callback parameter

commit 61f30bffae807a435ee4e21ced4f6f7c8c47ff51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:57:17 2010 +0300

    add_directory: remove callback parameter

commit 989310c9237b9679c8381aeb165055150f269690
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:56:06 2010 +0300

    add_loadfile: remove callback parameter

commit cecde7fc23d3ec69f5d096696b3b92827c227ffd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:54:03 2010 +0300

    add_savefile: remove callback parameter

commit 2e6858af6a52984118962e3e57050d2de38878a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:52:25 2010 +0300

    add_password: remove callback parameter

commit 981a8542bdcd1b3dd1aca96a35d16d4688e96e83
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:48:41 2010 +0300

    add_font: remove unused parameter

commit 3204d232609fc02fa1893a9714f7ee52f6441b15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:19:38 2010 +0300

    Remove legacy parameter from add_string()

commit ac90e39814933b4619bb77247f643680dc850833
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:11:39 2010 +0300

    Do not pass former callback value to VLC_CONFIG_NAME

commit e5622718c1cb0ec13ae5d8712a1736329ff2dce2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 20:00:10 2010 +0300

    Remove unused change_integer_list parameter
    
    Changing the choice list of a configuration item is not thread-safe.
    Plus it does not make much sense to use a strict choice list if the
    choices change dynamically.
    
    If ever needed, we can invent a suggestions list system later, just
    like we already do for SD plugins enumeration.

commit 3c659c5390193503df2258a5233911633910bd65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 19:45:36 2010 +0300

    Remove config change callback
    
    This was only used by {alsa,oss}-audio-device and not semantically
    correct anyway. If we deem that this is useful, we should register
    a callback on the corresponding variables and change the variables
    from the UI, not the process-wide configuration.

commit 4d63bf16fdae29237ac3100ea040573f7edcbac3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 21 21:28:48 2010 +0300

    Remove aout_FindAndRestart()
    
    This was only used to change the OSS or ALSA device on the fly.
    However, this really should be done with a variable callback, not from
    the configuration.

commit aec33ea6e8d42561168df4da7337b50efe639245
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 22 19:31:57 2010 +0300

    Remove read-only field p_callback_data

commit 35c8b6fef690fef90842044a07028b9366255c3d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 22 18:08:25 2010 +0200

    winvlc.c: cosmetics
    
    make the loop for copying options in argv nicer

commit 10c10044068f81ce662d90762122f63cc39aab74
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 22 02:33:02 2010 +0200

    misc/atomic: fixed linking

commit ce1ee91a2cd8c1541d393d766fc15fdc04086703
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 21 22:13:00 2010 +0200

    macosx vout: fixed minor warning

commit a65ff719229b847d701e657f7a68ed2cac240e11
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 21 22:07:12 2010 +0200

    audioqueue aout: fixed 2 minor warnings

commit d55ae1b896bfacbbd1738307d3e8824b3c7837e6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 21 21:59:05 2010 +0200

    macosx_dialog_provider: handle EXTENSION_WIDGET_CHECK_BOX and fixed a few warnings pointed by clang's static analyser

commit 2af5e585706b6d1424719fcdca52c40c4e65aa15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 21 21:18:05 2010 +0300

    NULL rather than 0 pointers

commit 2bd9b911877c5e99af8c9b23c061c8730463ef6e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 21 21:55:01 2010 +0200

    Revert "win32 contribs: Fix dxva2 decoding for Intel cards"
    
    This reverts commit 1c1e8beacc1c2beb67d0304986fe638f2554fe61.
    Patch applied upstream

commit 2030ca5eb7bb067f268253c358d80ac03a3cd13e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 20 21:31:33 2010 +0200

    Fixed potential segfault in vout when not using DR (close #3899).
    
    It can happen if the vout display uses the same chroma than the video but
    doesn't do the resize itself.

commit 981edf1d53ff78c15cbd68fbec96c3dfd478a7f1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 20 21:30:27 2010 +0200

    Fixed typo in targa image mime.

commit eea468e632fe620228778b01bec36468222556bc
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 16:44:05 2010 +0200

    input: Fill in the input_item es
    
    Based on pdherbemont's patch
    Re-use existing es_format_t, do not worry about memory footprint
    It is meant to replace sout_stream_description

commit 7804b0403c5138c01c67ea42b52a8c7629df66a1
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 21 14:57:56 2010 +0200

    live555 : remove timeout thread before closing rtsp session

commit ffd3fce0a407c61e8e5aafdad666424fe5233609
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 21 08:48:49 2010 +0200

    net_OpenDgram don't return 0 in case of failure

commit 0dc9628b41d82256474d21f00a569119f403ab32
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 19:54:54 2010 +0200

    winvlc: enable media-library

commit f94fecb990baf9c1f6dd1eba6eb72a7bdcbe73b5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 19:54:07 2010 +0200

    vlc-cachegen: remove useless options
    
    --ignore-config and --no-media-library are default

commit 3f71509f445580a4b5ec08f16bc03aa12201cfba
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 16:17:31 2010 +0200

    Disable media-library by default
    
    Enable it in vlc binary

commit 14fbb294502dd257433540dc3ab35606fbde4d20
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 17:29:00 2010 +0200

    smem: give an error message if pre-render function didn't give a buffer

commit e3c90299e28248b08e4872953829ee41a70212be
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 16:01:11 2010 +0200

    libvlc headers: remove commas at end of enums
    
    Fix a warning reported by gcc -ansi -pedantic

commit 50f1d61d6da3e6fdb67420133bd8e5d080064e11
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 14:09:53 2010 +0200

    Don't copy activex/mozilla plugins when packaging for wince

commit 56a914d8936b46d7d4deb854e9a0ac9db76417dd
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 12:42:32 2010 +0200

    Dummy activex/npapi build rules for Windows CE / Windows 64bits
    
    Move the rules from {npapi,activex}.am to /Makefile.am

commit f3c5dc428ceaea385f6f4c85cfe0aa46bc03faf3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 20 12:36:04 2010 +0200

    new live555 release: update live-inet_ntop.patch

commit 8c2eaf2c90c104af5e6abca2cda9c1cf4ade32e3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 19 23:59:11 2010 +0200

    Qt: nameLabel: remove old school padding
    Padding using spaces was resulting in extra spaces when copying to
    clipboard

commit 5eec3beda4f5c2ecd086861f5a0e23b6e861be03
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 19 22:59:09 2010 +0200

    NEWS about ActiveX

commit 5bf4823d25d6009f6c32b421f8e05799394f9899
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 19 22:19:20 2010 +0200

    Remove activex project
    
    It is now available at git://git.videolan.org/activex-vlc.git
    Fetch, configure, and build it when making windows packages
    
    Modify npapi-vlc dependencies, and move install of the dll in
    package-win-common rule
    
    Pass $(SHELL) to npapi & activex ./configure to be sure they pick
    /bin/bash and not /bin/sh (which might be incompatible with libtool)

commit e6552497bb9d06d0b213e04fc4aa26f1d118b06c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 19 22:09:30 2010 +0200

    modules: assert when trying to add more than one deprecated alias.

commit 081ffed559bb77de1b992b996c43114bd0c4b7e0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 18 07:20:51 2010 +0200

    modules: fix type.

commit f0d135437b6047ae32a4b8ea9354a944afaaef39
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 18 07:14:43 2010 +0200

    lua_sd: cleanup.

commit ca609be9cb59eeeed5044d400f7b9db2f7b2a721
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 18 07:06:42 2010 +0200

    lua_sd: implement the search function.

commit a60a86bd83d16baba3554950b4eac165ff6d775d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 18 06:56:57 2010 +0200

    SD: add a function to query a service discovery for more items.

commit 698853e41d9689751ae298f2a1bf16264ac94c40
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 18 15:10:04 2010 +0200

    Don't build/package mozilla plugin for win64
    
    npapi hasn't been ported to windows 64 yet

commit 26a669a991b3479dd89f52133ef467ff27c503a2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 17 17:24:26 2010 +0200

    Bluray: correctly select the main title
    
    This should fix the usual playback issues we had so far.

commit 7c8209d9348beb02c4c766d15a5278c19b959e03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 17 16:45:30 2010 +0300

    Revert "XCB: reset the X11 screen saver when displaying a picture"
    
    This reverts commit 48be35499d7545a31a160c7578ffa073f761e814.

commit 99aa0dd994c218d7b64ef064dd8dbce74bfcbcf3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 17 13:50:44 2010 +0200

    win64 installer: install in \Programs Files
    
    \Program Files (x86) is for 32bits programs
    Fixes #4257
    
    fix suggested by jb

commit 82f06bd0e7d0112a8448914e2fddec771f35792d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 17 13:30:45 2010 +0300

    Fix memory leak

commit 3376f9cd084a16c2e62a7cb6f5208c8dae1ae83d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 14 20:09:43 2010 +0300

    Fix non-ASCII comment

commit 24188e89e466d724935a05fe67b393b7fb3958ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 14 19:47:15 2010 +0300

    Old RC: remove goto divide-by-two hack (fix #4236)

commit fe4011fd1505c3535eafca5865debb35360d92f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 14 19:39:49 2010 +0300

    Qt4: use open file dialog for loadfile items (fix #4247)

commit 963630ba6e663775d5b731e85a3201600962f8ca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 14 19:27:33 2010 +0300

    split add_file into add_loadfile and add_savefile
    
    The preference panel needs to know which of open or save file dialog
    it should use. Here we have 27 load and 4 save cases, plus 2 fonts
    that were not correctly marked as such in projectM.

commit 9ef380927163e60c2ba52485963b0e6232c80159
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 14 19:01:34 2010 +0300

    Qt4: don't trust toggle for systray, do what we say (fix #4248)
    
    If the menu item says hide, really always hide.

commit 4a2819e147e4b8a999d47349d6420368950cd6a5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 23:35:30 2010 +0300

    flag a bug
    
    p_demux value is not defined

commit 45d2fe313246ff5f1e02963eb84138ac89227d9d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 23:35:09 2010 +0300

    block_FifoPut() accepts/ignores NULL block

commit 13f0c6d0fc7fb56d0fc69b072db95089902ed9b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 19:07:40 2010 +0300

    Timer: do not run concurrently
    
    This is useless and awkward.

commit 6f2119ef405026333d8273ed8c5efd603e9cd287
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 19:06:55 2010 +0300

    Timer: make the overrun counter atomic

commit d25fd8d74a7be4bd367410bfeda08ab63f247ee7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 19:14:01 2010 +0300

    Timer: remove the static lock

commit 59fb10d033cd01b6d5c2379a20982cc0216f9b22
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 13 18:57:58 2010 +0300

    Add atomic swap and compare-and-swap

commit 1af9f7d397a8381917e4feabd38eec04ca403bf5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 13 17:52:01 2010 +0200

    win32 packaging: point npapi build to CONTRIB_DIR/gecko-sdk

commit 88784aa9461933f075f40fd75b13e284cce84ea1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 13 17:36:33 2010 +0200

    win32 packaging: factorize by using --with-contrib and setting CONTRIB_DIR

commit 4a454208743b5af8de93ba6de05ea943018dad68
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 12 22:41:58 2010 +0200

    Fix mozilla packaging for windows
    
    build-npapi is a dep of package-win32-base-exe and not
    package-win-common, because i don't think the mozilla plugin builds for
    windows CE
    
    Assumes we always want to build & package mozilla plugin

commit 2ab70b638bcc79d7cafaffb55705fd01a10767db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 13 01:02:09 2010 +0200

    Update NEWS

commit 1c1e8beacc1c2beb67d0304986fe638f2554fe61
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Oct 12 22:46:01 2010 +0200

    win32 contribs: Fix dxva2 decoding for Intel cards
    
    Tested on GMA HD, ATI/NVIDIA
    Untested on GMA4500
    
    Needs testing on more cards and samples before it is committed upstream

commit 3babb40513d148e66e83001c91b306c43b893ba3
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Oct 12 22:06:30 2010 +0200

    Update NEWS and modules/LIST

commit 1723efcc374b22d54896b16ee0fb168018864d37
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Sep 14 20:42:30 2010 +0200

    stream_filter/httplive.c: HTTP Live Streaming
    
    Support HTTP Live Streaming as described in the IETF draft standard:
     * http://tools.ietf.org/html/draft-pantos-http-live-streaming-04#page-8
    and Apple its description:
     * http://developer.apple.com/library/ios/#documentation/networkinginternet/conceptual/streamingmediaguide/Introduction/Introduction.html#//apple_ref/doc/uid/TP40008332-CH1-DontLinkElementID_29
    
    Not implemented (yet):
    - Encrypted streams (EXT-X-KEY)
    - playlist reloading for live streams

commit 52b89d15cd43424e9cd72c116f2b6d2e4b6a347d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 12 22:52:00 2010 +0300

    libvlc_..._stop: terminate aout and sout also, not just vout

commit 44848fbc590944811ede09bd6ced0ef74a5bcfd7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 12 22:48:38 2010 +0300

    vlc_timer: compute overruns and adjust if they occur

commit 86d92ca8bb0aae7dc9eba58ab36fa5eafc066f4b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 12 16:15:53 2010 +0200

    Contribs: correctly extract D2D headers

commit 6a4df1923214a7ff27fbb5c55d6e807e1527b2c8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 23:09:22 2010 +0300

    Ugly and almost working npapi build rules

commit 33547140752acf73ae96a2f6f93e787ac839d9e9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 11 22:00:25 2010 +0200

    Configure: fix live555 detection
    
    Yes, this code is weird, but well

commit 041923136e2698f652c4f5e71dd646d908c00464
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 11 21:06:39 2010 +0200

    lua extensions: remove dummy function (moreover vlc_join is simpler to understand)

commit 2d0aee25f1cbe0279a9b72f437595ee1c5264c02
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 11 20:06:02 2010 +0200

    lua extensions: use an enum and remove demuy declaration.

commit 75acda83c765451df57a5e42281f538832165bee
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 11 20:08:04 2010 +0200

    win32 configure scripts: --enable-mozilla is gone

commit 1c8a32a495b4fa1c04be9cc81d5b529fd383c162
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 20:44:33 2010 +0300

    Remove the NPAPI plugin

commit b3bfc494ac9c577690ef228e0cb547dbcbcce5af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 18:51:18 2010 +0300

    Remove obsolete feisty script

commit 39173fb7097975a2e071399e8f53a2515c19e56e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 18:51:04 2010 +0300

    Clarify live555 version error

commit 67ee9ccd6cd0d662458ca43dff9f5262b228354e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 18:45:43 2010 +0300

    Don't check for live555 headers twice
    
    If the version header is there, the main one should be too.

commit f70d051df79382a98f5d455232645937f9c4217c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 11 18:35:45 2010 +0300

    Remove unmaintained roku build script

commit 42850ecfa2401d3a6dacea664936b657ae002f13
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 11 15:50:38 2010 +0200

    win32 package: do not package mozilla plugin if we're not building it

commit 30e1378d8a421ad1acf861be9f1dd7e1d5e7b977
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 11 15:43:54 2010 +0200

    win64 configure script: look for contribs in /usr/win64

commit 017db3277468ddac8b534c71f8c6671a8c0abb3e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 11 15:42:02 2010 +0200

    contribs packaging: use the correct runtime version for win64

commit 740069f5a3aca86d7fece71081921d6c4cc0ecec
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Oct 11 14:35:10 2010 +0200

    distcheck configure: disable-mkv
    
    works around the lack of a recent enough libebml/libmatroska in Debian

commit 4eb06506baf726fd4afbe8dbd900ec73100efdbb
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 10 19:33:21 2010 +0200

    Don't trust __MINGW32_MINOR_VERSION for mingw64
    
    the version number hasn't been updated

commit 394f9217a4ed5829c5c56f22e17f6f0fde18ddb8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 10 19:22:30 2010 +0200

    win64 contribs: build portaudio

commit 9ac197baa5689d34a37147d4c4f07294db991a2c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 10 18:44:38 2010 +0200

    MKV: fix stupid typo, sorry

commit 45dd84db7b490997b2bbc8dfbac96232c97ec94e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 10 18:33:38 2010 +0200

    MKV, io_callback cosmetics

commit 0e1a2635ecad79f5db007a1509cd029cf2d025de
Author: Steve Lhomme <robux4@gmail.com>
Date:   Sun Oct 10 17:59:15 2010 +0200

    fix Matroska/WebM reading of live HTTP streams
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9333b18f8aef4c07fbff067c49188a5da41fc0aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 10 18:13:39 2010 +0200

    Fix various typos
    
    Spotted by Christoph Miebach Christoph dot Miebach __ web dot de

commit ea1799418b4ce1293742692d929a2afcd6f7f8b2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 17:06:12 2010 +0300

    Qt4: update discs MRL syntax for Windows

commit 4dc568d555e8498977d661eb688d37702c5f8a3b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 16:57:23 2010 +0300

    var_InheritString returns NULL, not ""

commit 677247dc1e48dfa2c6c508eeac700948db11682f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sun Oct 10 14:04:21 2010 +0200

    contribs: fix portaudio build for win64
    
    patch sent upstream

commit c4fc30952da85a6d7bc750c4fb0884eb5f206308
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 13:10:59 2010 +0300

    dvdread: fix potential buffer read overflow (fix #4238)

commit d626e6783470e2476b0b61d1c00aa2fe35d03bba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 13:10:06 2010 +0300

    dvdnav: fix potential buffer read overflow

commit d22239dab06428b0b13be6631ec9782d3dd344d3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 12:56:19 2010 +0300

    Revert "dvdread: minimum value for ps_pkt_size is 6"
    
    This reverts commit 76003f0e6cd54217619b68537ba73c089c60c8ed,
    which is not needed anymore.

commit e84cbe563bfd63336cdcbe9e2d945074d79f8a69
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 12:51:20 2010 +0300

    dvdnav: no need to check for 6 bytes before ps_pkt_size() anymore
    
    This mostly reverts commit 8a497301054ccc2d9d470ade60264036d43e3fc0.

commit ef2f7b9d70d4ea370faf584e58f547e569a14a37
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 12:46:27 2010 +0300

    Put size check before data dereference
    
    I think that's a good pattern to follow.
    In this particular case, there was no bug however.

commit 9dc746496551eb854ab6bf0ebdeb8c8ab5cd1709
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 10 12:43:38 2010 +0300

    Really fix ps_pkt_size()
    
    The original commit description is rather terse
      "ps demux: fix an issue in ps_pkt_read()"
    so I don't really know what the "issue" is. But ps_pkt_size() really
    made no sense as is.
    
    This reverts commit d761cf6f1d40a952548407b843ee0c3f0a3cd472.
    
    Conflicts:
    
            modules/demux/ps.h

commit 2bbfeddf9631c255d72bff8f36650ca46c74f000
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Oct 9 16:45:24 2010 +0200

    http: Fix a NULL ptr deref in http-user-agent handling.

commit a1299460d79912a58f4d0c1743f76ed931ec3073
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 9 14:18:01 2010 +0200

    avformat: fix typo.

commit 85f86a934ae337e60c1f7cba5727b5b31fd06796
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 9 14:11:30 2010 +0200

    Remove idempotent operation.

commit bf7f847fd5e57d1a0991177f99242917ed18ad32
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 9 14:07:11 2010 +0200

    quartztext: do not call CFRelease on a NULL pointer.

commit cad39a6be25e9366b49fbd2ab5554709e437bbad
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 8 20:58:18 2010 +0200

    Use var_Inherit.

commit 4cda86b74f8dfce0c48c8952416c48d3c6209df9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Oct 8 20:12:08 2010 +0200

    lua_extensions: no need to lock the object as we are inside a call to module need with a freshly created object.

commit 7b9e1bc30e2fb4c60d350584dcab808fd3cea4ad
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sat Oct 9 00:26:23 2010 +0200

    windows config scripts: add win64
    
    separate path to ./configure and options
    -> we can disable specific options for win64

commit c2d925e597c9e4e8d045be155017d501d7e5f068
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Sat Oct 9 00:25:55 2010 +0200

    vlc_windows_interfaces.h: always define STDCALL
    
    It is not defined on windows 64

commit 13948ee731cd2ec1b1e3452a06f7cac6b272129d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 23:36:29 2010 +0200

    win64 contribs: misc fixes
    
    gecko-win32 -> gecko
    build dirac
    don't make ffmpeg depend on libvpx
    don't build portaudio
    patch x264 to link x264.exe with -liberty (debian's amd64 runtime hasn't getopt)
    patch pthreads to link with libws2_32 instead of libwsock32

commit 4b103b8440fb8dbbe40ace739927d26795bbc2e1
Author: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date:   Sun Sep 26 00:24:09 2010 +0200

    Support DVD LPCM encode.
    
    This patch adds encode support to the LPCM module; only the DVD variant for
    now. It's not been tested with any other clients than VLC.
    
    The rationale for this functionality is relatively simple -- LPCM is
    currently the only low-latency codec that VLC supports and that can be
    embedded in a TS stream. Longer-term support for other low-latency codecs
    would be good, but if you're not particularly bandwidth-constrained and need
    low latency, this is currently the best option I know of.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 6f3f8160c7fc5c254d34155c366394aa21955310
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 22:34:28 2010 +0200

    contribs: update x264 options

commit f2513588b0099ce5634b7094246bac63d503a3c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 23:30:08 2010 +0300

    dvdnav: clean up, fix error message and probing encoding (fix #3816)
    
    Paths for error message must be UTF-8; they were locale.
    Paths for probing must be UTF-8 also, as vlc_fopen() does the
    conversion to locale internally.

commit 140a43f3d3394f92b3d8079ce79e343dd0a6738e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 23:29:02 2010 +0300

    dvdread: clean up path handling and fix error message encoding
    
    Paths given to msg_*() function must be UTF-8, not local.

commit c56850aac01fb75ed5d8d9d26e9293faa95848b8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 22:12:54 2010 +0200

    libvpx: make sure destdir exists for libvpx.a

commit 60ab24d9d006ed4407e22332c69ea8ccb34c9784
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 22:35:33 2010 +0300

    Fix a warning

commit 104a9920e9b13ca005c423fbca660d12b832018e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 22:35:18 2010 +0300

    Weaken test case so that it does not depend on the locale

commit 890f8ebc72b5f33f8257bd6da014c6416552fadc
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 21:34:04 2010 +0200

    contribs: make sure destdir exists when unpacking directshow headers

commit da3dc2aee0435719f18ef1843a6efd365381ab9e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 21:13:33 2010 +0200

    contribs: bump orc and schroedinger
    
    schroedinger doesn't depend on orcc anymore

commit 0d53fcf41b5cfa73c9f350587751c762e83422ad
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 20:34:10 2010 +0200

    contribs: fix pthreads build, it doesn't like MAKEFLAGS=-j4
    
    Force MAKEFLAGS=-j1

commit d85d6537739f9f088d3b96be996dde7d8a075b56
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 20:08:39 2010 +0200

    contribs: fix copy of aclocal m4 files
    
    make sure they are copied only after all contribs have been built

commit 81d3d94568a060e0a8b0b9dad67a223bd7660c4e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 19:17:18 2010 +0200

    contribs: use existing MAKEFLAGS variable to change make options
    
    as suggested by courmisch

commit dd9e78e046409cd28d5f4071c9c7e61ff7bd674a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 19:18:43 2010 +0200

    contribs: make sure destdir exists when unpacking directx headers

commit 54cd05eb701c15df0a1f7909ffbeb6501cee552f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Oct 8 19:15:06 2010 +0200

    contribs: add dxva2api.h cleanup rule and fix jpeg rule

commit 57d7451344c7890d845a43decb89d7f5df4e732d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 21:41:07 2010 +0300

    Playlist search: proper case-insensitive search (fix #4214)

commit c862c0fcf254fa87a8e67bfbefccd4227f242467
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 21:40:52 2010 +0300

    Test case for vlc_strcasestr()

commit 027cc99e4fdf949846225d8c23e97c78ad32f4b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 21:02:23 2010 +0300

    Add vlc_strcasestr()

commit 9ce1a13fb8fa77a38e0dfdfe3387829e1df3f085
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 8 20:30:11 2010 +0300

    Refactor EnsureUTF8 and IsUTF8

commit abe105d5d58f64912adb2f09fa94132d509e3375
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 7 22:35:21 2010 +0200

    contribs: use make -jX
    
    Where X is the number of CPU detected on Linux, or 1
    TODO: detection on BSD, OSX, etc...

commit 8c723814b224f467abdc3d823f74efa25d01ac1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 7 22:35:44 2010 +0300

    Speed up vlc_meta_TypeToLocalizedString()

commit 2222eb8403e6f223e932515079c6060b171539d1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 7 17:44:21 2010 +0200

    Doc: fortunes

commit ed762d69aa8a4e41d6f681d8a951f736bbe8164f
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 7 11:38:40 2010 +0200

    don't try http tunneling in case of error 404. Also add a debug message.

commit e21d626d6abb7009f1b48963596c3cad3156bcf1
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Oct 7 11:36:22 2010 +0200

    rtsp, don't timeout if DESCRIBE failed

commit 5b49f631404f4c89e7f2afda975da29d03aafd08
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 7 14:23:40 2010 -0700

    live-inet_ntop.patch: update for new live555 release

commit 93b130325528d417070324317fdb08fd4c119387
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 7 13:27:08 2010 -0700

    contribs: store path of external tools with ""
    
    helps when paths have a space in them (/c/Program Files/...)

commit 18ef3eb583557fd07128e388ff000f6d45b4614d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 7 12:19:19 2010 -0700

    contribs: remove obsolete config option for fribidi

commit fb6bead8e2ab4f9e52dfeb718fba82e4c73f7c36
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Oct 7 10:43:00 2010 -0700

    Revert "contribs: fix libmp3lame detection in ffmpeg"
    
    This reverts commit 5ff88fe4590d27a27173847e212f1173dce74ef1.
    Patch applied upstream

commit 5ff88fe4590d27a27173847e212f1173dce74ef1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 6 21:01:12 2010 +0200

    contribs: fix libmp3lame detection in ffmpeg
    
    patch sent upstream

commit f35c705e31421cf70997d2760778f4d844f739a8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 6 21:12:12 2010 +0300

    Permissions

commit e2bf328095ae842c0d03f7aaee559e8757dbb976
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 6 19:33:45 2010 +0200

    lua_input: grab the input lock only one time when reading the metas (do not lock/unlock for each meta).

commit 7a725e89a45fb4c2e28f848e7f927c7a3f93a497
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Oct 6 19:14:19 2010 +0200

    epg: more small cleanup

commit c31eda211a3394f93cba2a39940bf1436a88f1f6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 6 14:12:57 2010 +0200

    win32 config: don't use --with-live555-tree
    
    fix configuration with mingw on Linux
    
    Acked-on-IRC-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7e7ead5d37667ea3016bc2d355b57958d9ef93e2
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Oct 6 10:51:31 2010 +0200

    skins2(X11): add icon to vlc
    
    this should fix https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/521850
    Tested successfully with compiz and metacity
    
    Todo: adapt configure.ac to ensure XPM is available for skins2 (as done with mozilla)

commit 27d14aa4b8206a2cb31a13e095b7b72b46fdc3a4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 6 14:06:19 2010 +0200

    win32 config: sdl-config-path has been dropped

commit 04476453d3c4bba6fd5562c45fe0a7c2ee2a6bd5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Oct 6 13:21:40 2010 +0200

    win64 contribs: run autoreconf -fi when needed
    
    Some old libraries configured with ancient autotools  don't recongize
    amd64-mingw32msvc-
    Also update libswscale patch (one hunk applied upstream)

commit b1170d85021b107417a5e714ca9ba309ff787b20
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 5 20:11:54 2010 +0200

    epg: remove dummy cast.

commit e8d9d1f3cf58c26aa28e668087414ebdc69e5070
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 5 19:49:57 2010 +0200

    Also test config_chainDuplicate.

commit c9718f88482f3c2e70bd8023b5deb6a77f362816
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 5 19:12:52 2010 +0200

    config_chain: improve automatic testing.

commit 762244d8be874f7b99c55461be14d972ff609af8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 5 16:28:18 2010 +0200

    Configure.ac: cosmetics and cleaning

commit 49c5a5471d3b31c644944a31e89f51b4aa1aa1ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 5 16:25:36 2010 +0200

    Bump libebml and libmatroska requirements to 1.0.0 for webm
    
    Basically, we need that to be able to play correctly the matroska/webm
    files that have unknow length segments
    
    If you are running debian, use packages from experimental
    If you are running Windows and Mac, the contribs are fine
    Else, please contact your local distribution administrator

commit 27e2bbffe7168ee928cbb37ebf8f196ca4a1e475
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 4 16:34:53 2010 +0300

    lua: youtube seems to do some (more) double encoding

commit 444c6a067575f5ec5a002a2204c31e734f50aa04
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Sep 28 00:12:18 2010 +0300

    x264: use default libx264 lookahead-value

commit 57766ff3471c43f045921118dddc64e499547827
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 26 14:50:03 2010 +0300

    refactor rate(,-faster,-slower) to playlist
    
    Thisway we don't reset playback rate between items

commit 00e9a165dea5ca8851186a79046116a4fd2fb87e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 4 17:26:05 2010 +0200

    Update LIST

commit c03f74b690598a7fe51b1589b8dbeac07805ca0d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 4 16:52:14 2010 +0200

    Contribs: Update tremor to work with upstream
    
    They applied it upstream, almost completly
    As discussed at FOMS

commit 940cc4c91b78bfd2ddc3c3dbcc9f3859d374e58e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 3 17:31:50 2010 +0200

    Blu-Ray: be way more restrictive in the probing
    
    BDMV/ isn't supported yet, because we don't know how to do wrt to AACS
    and BD+ yet

commit 487b82d0a6d8e216ac9555a8351b03265d44a092
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 3 17:25:58 2010 +0200

    Configure: do not die if live555 version is too old, just warn about it
    
    If you --enable-live555 and are too old, it will error
    Else, if you are too old, it will error
    
    If you use live555-tree, you are on your own.

commit 7294042bb9c3459fe0b11b1100360cd3cf8a0c87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 2 19:28:21 2010 +0200

    Qt: sinput_pref: add dvd/cd devices listing

commit e6e4cb89ca84881ee0b09fe06f2e9af1d45a08c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 2 18:31:06 2010 +0200

    Qt: OpenDiscPanel: add devices listing

commit 57a4f916876060dc51583f40483522a0ad1de8bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 2 18:54:53 2010 +0300

    Revert "Remove libvlc_free"
    
    This reverts commit 61f0547b72d3ba80039f09064249d89fa8f2b0f7.
    
    Conflicts:
    
            include/vlc/libvlc.h

commit 39349f5c16dbf4d7dc7e474e7b596bd34c380730
Author: Tony Vankrunkelsven <Tony.Vankrunkelsven@otnsystems.com>
Date:   Thu Sep 30 13:13:06 2010 +0200

    decode an RTP/H264 elementary stream without using SDP
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 02ada6459d3add49f1515f6b164b6e37e2981187
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 2 11:42:54 2010 +0200

    Fix file rights.

commit 20da20364f00d55e60df831918097386ca5e9e03
Author: GBX <g.b.x@web.de>
Date:   Sat Oct 2 11:28:20 2010 +0200

    LUA HTTP Interface: Implementation of missing seeking funtionality when using status.xml from the lua http interface.
    
    Seeking is now possible with relative values instead of just absolute ones.
    Also the time format as mentioned in the readme file is now recognized:
    [+ or -][<int><H or h>:][<int><M or m or '>:][<int><nothing or S or s or ">]
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit e6cd528635caf98867b5182bb9d7c6aca02ae1dc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 2 09:49:25 2010 +0200

    playlist: do not signal the playlist thread when PLAYLIST_PAUSE is asked without input.
    
